

bail_out01 (xAxis) {
  z = c = pixel:
  z = z^2 + c
  |fn1(z)| <= p1
  ;SOURCE: bailout.frm
}


bail_out02 (xAxis) {
  z = c = pixel:
  z = z^2 + c
  |fn1(real(z))| <= p1
  ;SOURCE: bailout.frm
}


bail_out03 (xAxis) {; xAxis won't do for fn=exp. 
                    ; Use bail_out03exp instead
  z = c = pixel:
  z = z^2 + c
  |fn1(imag(z))| <= p1
  ;SOURCE: bailout.frm
}


bail_out03exp {
  z = c = pixel:
  z = z^2 + c
  |exp(imag(z))| <= p1
  ;SOURCE: bailout.frm
}


bail_out03i (xAxis) {; use p1 slightly less than 1 in sin and cos
  z = c = pixel, i = (0.0, 1.0):
  z = z^2 + c
  |fn1(imag(z)*i)| <= p1
  ;SOURCE: bailout.frm
}


bail_out04 (xAxis) {
  z = c = pixel:
  z = z^2 + c
  real(fn1(z)) <= p1
  ;SOURCE: bailout.frm
}


bail_out05 {
  z = c = pixel:
  z = z^2 + c
  imag(fn1(z)) <= p1
  ;SOURCE: bailout.frm
}


bail_out06 (xAxis) {
  z = c = pixel:
  z = z^2 + c
  |fn1(|z|)| <= p1
  ;SOURCE: bailout.frm
}


bail_out07 {
  z = c = pixel:
  z = z^2 + c
  |fn1(imag(z))| <= p1 && |fn1(real(z))| <= p1
  ;SOURCE: bailout.frm
}


bail_out08 {
  z = c = pixel:
  z = z^2 + c;
  |fn1(real(z))| <= p1  || |fn1(imag(z))| <= p1
  ;SOURCE: bailout.frm
}


bailout-A {; Hard coded bailout value
           ; p1 = parameter (default 0,0)
  z = pixel, c = fn1(pixel):
  z = fn2(z*z) + c + p1
  |z| < 4
  ;SOURCE: frmtutor.frm
}


bailout-B {; Variable default -- additive
           ; p1 = parameter (default 0,0)
           ; p2 = bailout adjustment value (default 0,0)
  test = (4 + p2)
  z = pixel, c = fn1(pixel):
  z = fn2(z*z) + c + p1
  |z| < test
  ;SOURCE: frmtutor.frm
}


bailout-C {; Variable default -- conditional logic
           ; This formula requires floating-point
           ; p1 = parameter (default 0,0)
           ; p2 = bailout   (default 4,0)
   ;The following line sets test = 4 if real(p2) = 0, else test = p2
  test = (4 * (p2 <= 0)) + (p2 * (0 < p2))
  z = pixel, c = fn1(pixel):
  z = fn2(z*z) + c + p1
  |z| < test
  ;SOURCE: frmtutor.frm
}


Bali {; The difference of two squares
  z=x=1/pixel, c= fn1 (z):
  z = (x+c) * (x-c)
  x=fn2(z)
  |z| <=3
  ;SOURCE: fractint.frm
}


Barnsley_PHC { ;;formula adapted by Vincent Damion Presogna 
  z = c = pixel: 
  z1 = z - 1
  z2 = z + 1
  rz = real(z)
  t1 = ((z1) * p1) * ((rz) >= 0)   ;; t1 & t2 => Barnsleyj1
  t2 = ((z2) * p1) * ((rz) <  0)
  t3 = ((z1) * c + p2) * ((rz) >= 0) ;; t3 & t4 => Barnsleym1
  t4 = ((z2) * c + p2) * ((rz) < 0)
  z = ((t1 + t2) * (whitesq == 1)) + ((t3 + t4) * (whitesq == 0)) 
  |z| < 4
  ;SOURCE: beck.frm
}


Barnsley_PHC_2 {; formula adapted by Vincent Damion Presogna 
  z = c = pixel: 
  z1 = z - 1
  z2 = z + 1
  rz = real(z)
  t1 = ((z1) * p1) * ((rz) >= 0)   ;; t1 & t2 => Barnsleyj1
  t2 = ((z2) * p1) * ((rz) <  0)
  t3 = ((z1) * c + p2) * ((rz) >= 0) ;; t3 & t4 => Barnsleym1
  t4 = ((z2) * c + p2) * ((rz) < 0)
  z = ((t1 + t2) * (whitesq == 1)) + ((t3 + t4) * (whitesq == 0)) 
  |z| < 4
  ;SOURCE: 96msg.frm
}


Barnsley_PHC_3 {; formula adapted by Vincent Damion Presogna
  z = c = pixel
  c1 = p1*whitesq + c*(whitesq==0) , c2 = p2*(whitesq==0) :
   z1 = z - (z>=0) + (z<0)
   z = z1*c1 + c2
    |z| < 4
  ;SOURCE: 96msg.frm
}


barnsleyj1 {; Chuck Ebbert.                        added 12 Jan 1993
   ; p1 = Parameter (default (0.6,1.1) ), real(p2) = bailout (default 4)
  z = pixel,  ; next, set c=default if p1=0, else c=p1
  c = ((0.6,1.1) * (|p1|<=0) + p1 ),
   ; The following line sets t = 4 if real(p2) <= 0; else t = p2.
  t = (4 * (real(p2)<=0) + real(p2) * (0<p2) ):
   ; Use the "<=" or "<" operators when doing if-then-else.
   ; Put the compare operation after the multiply for speed gain.
   ; Extra parens are needed to get the correct results.
  z = (((z-1) * (0<=z) + (z+1) * (real(z)<0) ) * c ),
  |z| <= t  ; use t for the bailout test
  ;SOURCE: builtn2.frm
}


barnsleyj2 {; Chuck Ebbert.                        added 12 Jan 1993
   ; p1 = Parameter (default (0.6,1.1) ), real(p2) = bailout (default 4)
  z = pixel,  ; next, set c=default if p1=0, else c=p1
  c = ((0.6,1.1) * (|p1|<=0) + p1 ),
   ; The following line sets t = 4 if real(p2) <= 0; else t = p2.
  t = (4 * (real(p2)<=0) + real(p2) * (0<p2) ):
  t2 = real(z) * imag(c) + real(c) * imag(z),
  z = (((z-1) * (0<=t2) + (z+1) * (real(t2)<0) ) * c ),
  |z| <= t  ; use t for the bailout test
  ;SOURCE: builtn2.frm
}


barnsleyj3 {; Chuck Ebbert.                        added 14 Jan 1993
   ; p1 = Parameter c, real(p2) = bailout (default 4)
  z = pixel,  ; next set c=(.1,.36) if p1=0
  c = ((0.1,0.36) * (|p1|<=0) + p1 ),
   ; The following line sets t = 4 if real(p2) <= 0; else t = p2.
  t = (4 * (real(p2)<=0) + real(p2) * (0<p2) ):
  z = (z*z-1 + ( c*real(z) * (real(z)<=0) ) ),
  |z| <= t  ; use t for the bailout test
  ;SOURCE: builtn2.frm
}


barnsleym1 {; Chuck Ebbert.                      changed 12 Jan 1993
   ; p1 = initial perturbation of z, real(p2) = bailout (default 4)
  z = pixel + p1, c = pixel,
   ; The following line sets t = 4 if real(p2) <= 0; else t = p2.
  t = (4 * (real(p2)<=0) + real(p2) * (0<p2) ):
   ; Use the "<=" or "<" operators when doing if-then-else.
   ; Put the compare operation after the multiply for speed gain.
   ; Extra parens are needed to get the correct results.
  z = (((z-1) * (0<=z) + (z+1) * (real(z)<0) ) * c ),
  |z| <= t  ; use t for the bailout test
  ;SOURCE: builtn2.frm
}


barnsleym2 {; Chuck Ebbert.                       added 12 Jan 1993
   ; p1 = initial perturbation of z, real(p2) = bailout (default 4)
  z = pixel + p1, c = pixel,
   ; The following line sets t = 4 if real(p2) <= 0; else t = p2.
  t = (4 * (real(p2)<=0) + real(p2) * (0<p2) ):
  t2 = real(z) * imag(c) + real(c) * imag(z),
  z = (((z-1) * (0<=t2) + (z+1) * (real(t2)<0) ) * c ),
  |z| <= t  ; use t for the bailout test
  ;SOURCE: builtn2.frm
}


barnsleym3 {; Chuck Ebbert.                        added 14 Jan 1993
   ; p1 = initial perturbation of z, real(p2) = bailout (default 4)
  z = pixel + p1, c = pixel,
   ; The following line sets t = 4 if real(p2) <= 0; else t = p2.
  t = (4 * (real(p2)<=0) + real(p2) * (0<p2) ):
  z = (z*z-1 + ( c*real(z) * (real(z)<=0) ) ),
  |z| <= t  ; use t for the bailout test
  ;SOURCE: builtn2.frm
}


Bat { 
  z = pixel:
  z = fn1 (log (sin(z) ) ), 
  |z| <= 42
  ;SOURCE: hubert.frm
}


Beck {
  z = pixel, sp = sin(sqr(pixel)): 
  r = z * (fn1(1/z) /sp) + p1  
  q = fn2(z) * sp + p2 
  z = r * (whitesq == 1) + q * (whitesq == 0)
  |z| <= 4
  ;SOURCE: beck.frm
}


BEJ {
  z = c = pixel:
  x = (1.5+z^p1)^(1/p1)
  z = z*(1+y)/(1-x) + p2
  z=fn1(z)+c
  z=fn2(z)-c 
  |z| <4
  ;SOURCE: bej's.frm
}


BEJ-0001 {; Brian E. Jones 102702,2213@Compuserve.com
  z=c=pixel*.05:
  z=sinh(z+z)*pi
  z=z*z+c
  |z|<4
  ;SOURCE: bej0014.frm
}


BEJ-0008 {; Brian E. Jones 102702,2213@Compuserve.com
  z=c=pixel*.275:
  z=sinh((z+z)*(z+z)*(z+z))*pi
  z=z*z+c
  |z|<4
  ;SOURCE: bej0014.frm
}


BEJ-0010 {; Brian E. Jones 102702,2213@Compuserve.com
  z=c=pixel*.75:
  z=sin(sqr(z+z))*(sin(z+z)*.5)*pi
  z=z*z+c
  |z|<4
  ;SOURCE: bej0014.frm
}


BEJ-0013 {; Brian E. Jones 102702,2213@Compuserve.com
  z=c=pixel/sqr(pixel)*0.020:
  z=sinh(z+z)*pi
  z=z*z+c
  |z|<4
  ;SOURCE: bej0014.frm
}


BEJ-0015 {; Brian E. Jones 102702,2213@Compuserve.com
  z=c=pixel*sqrt(tan(pixel*3))*0.020:
  z=sinh(z+z)*pi
  z=z*z+c
  |z|<4
  ;SOURCE: bej0014.frm
}


BEJ-0018 {; Brian E. Jones 102702,2213@Compuserve.com
  z=c=pixel*sqrt(tanh((pixel*1)^pixel/.1.176930596))*0.05:
  z=sinh(z+z)*pi
  z=z*z+c
  |z|<4
  ;SOURCE: bej0014.frm
}


BEJ-0021 {; Brian E. Jones 102702,2213@Compuserve.com
  z=c=pixel*sqrt(tanh(cosh((pixel*(pi^pixel))^pixel/4.996003610813)))*0.05:
  z=sinh(z+z)*pi
  z=z*z+c
  |z|<4
  ;SOURCE: bej0014.frm
}


BEJ-0022 {; Brian E. Jones 102702,2213@Compuserve.com
  z=c=pixel/(1*tan(1.176930596/pixel))^sqr(pixel*sin(0.135/pixel)):
  z=sinh(z+z)*pi
  z=z*z+c
  |z|<4
  ;SOURCE: bej0014.frm
}


BEJ-0024 {; Brian E. Jones 102702,2213@Compuserve.com
  z=c=pixel*.009:
  z=sinh(z+z)*pi
  z=z*z+c
  |z|<4
  ;SOURCE: bej0014.frm
}


BEJ-0036 {; Brian E. Jones 102702,2213@Compuserve.com
  z=c=pixel*.05:
  z=sinh(z^p1+z^p2)*pi
  z=z*z+c
  |sinh(z^p1+z^p2)*pi|<4
  ;SOURCE: bej0014.frm
}


BEJ-0041 {; Brian E. Jones 102702,2213@Compuserve.com
  z=c=pixel*.05:
  z=sinh((z*z)+(c*c))*pi
  z=z*z+c
  |z|<4
  ;SOURCE: bej0014.frm
}


BEJ-0041-a {; Brian E. Jones 102702,2213@Compuserve.com
  z=c=pixel*.05:
  z=sinh((z*z)+(c*c*((c*z)*pixel)))*pi
  z=z*z+c
  |z|<4
  ;SOURCE: bej0014.frm
}


BEJ-0043-b {; Brian E. Jones 102702,2213@Compuserve.com
  z=c=pixel*.05:
  z=sinh(z+z)*pi*(c*c+z)
  z=z*z+c
  |z|<4
  ;SOURCE: bej0014.frm
}


BEJ-0043-e {; Brian E. Jones 102702,2213@Compuserve.com
  z=c=pixel*.05:
  z=sinh(z*z)*fn1(c*c)+(z*pi)
  z=z*z+c
  |z|<4
  ;SOURCE: bej0014.frm
}


BEJ-0043-f {; Brian E. Jones 102702,2213@Compuserve.com
  z=c=pixel*.05:
  z=sinh(z*z)*fn1((c*c)*(z*c))+(z*pi)
  z=z*z+c
  |z|<4
  ;SOURCE: bej0014.frm
}


BEJ-0043-i {; Brian E. Jones 102702,2213@Compuserve.com
  z=c=pixel*.5:
  z=sinh(z*z)*log((c*c)*(z*c^sqrt(3*z)))+(z*pi)
  z=z*z+c
  |z|<4
  ;SOURCE: bej0014.frm
}


BEJ-0045 {; Brian E. Jones 102702,2213@Compuserve.com
  z=c=pixel*.05:
  z=sinh((z*z)*(z*z)+(c*c))*pi
  z=z*z+c
  |z|<4
  ;SOURCE: bej0014.frm
}


BEJ-N113 {
  z=1/pixel, c=z=conj(sin(z*z)):
  z=z*z+c
  z2=z*z
  z4=z2*z2
  z=fn1(z*z*z*z)
  |z|<4
  ;SOURCE: msg-1.frm
}


BEJ-N141 {
  z=pixel/1.1357,c=sqr(abs(pixel)):
  z=fn2(z)*pixel+fn1(c)
  z=z*z-c
  |0.0001|<z
  ;SOURCE: 96msg.frm
}


BEJ-N187 {
  z=c=pixel, q=sin(conj(0.1,1.0)):
  z1=fn1(z/sqrt(pixel+1))/q
  z=fn1(z)/imag(p1)*fn2(z)/real(p1)+c
  |real(z)|<4
  ;SOURCE: bej0015.frm
}


BEJ-N187a {
  pixel=sqr(conj(conj(pixel*sqr(pi))))
  z=c=pixel:
  z1=fn1(z/sqrt(pixel+1))
  z=fn1(z)/imag(p1)*fn2(z)/real(p1)+c
  |real(z)|<4
  ;SOURCE: bej0015.frm
}


BEJ-N188a {
  z=pixel,c=pixel,zc=pixel*sin(conj(conj(pixel))):
  c=sin(conj(imag(zc)))/p1,
  z=fn1(z/1)*z+c
  |real(z)|<4
  ;SOURCE: bj-phc02.frm
}


BEJ-N197 {
  z=c=pixel,zc=pixel/sqr(pixel*.5):
  c=(zc/p1)/(zc/fn1(z)),
  z=z*z+c
  |imag(z)|<4
  ;SOURCE: bj-phc02.frm
}


BEJ-N198 {
  z=c=pixel,zc=pixel/sqr(pixel*.5):
  c=(zc/p1)/(zc/sqrt(fn1(z))),
  z=z*z+c
  |imag(z)|<4
  ;SOURCE: bj-phc02.frm
}


BEJ-N199 {
  z=c=pixel,zc=pixel/sqr(pixel*.5):
  c=((zc/p1)/(zc/sqrt(z))) * (whitesq == 0)\ 
    + ((zc/p2)/(zc/sqrt(abs(z)))) * whitesq,
  z=z*z+c
  |imag(z)|<4
  ;SOURCE: bj-phc02.frm
}


BEJ-N202 {
  z=c=pixel,zc=pixel/sqr(pixel*.5):
  c=(zc/p1)/(zc*sqrt(fn1(real(z)))),
  z=z*z+c
  |imag(z)|<4
  ;SOURCE: bj-phc02.frm
}


BEJ-N205 {
  z=c=pixel,zc=pixel/sqr(pixel*.5):
  c=(zc/p1)/(zc*sqrt(fn1(real(z))+zc)),
  z=z*z+c
  |imag(z)|<4
  ;SOURCE: bj-phc02.frm
}


BEJ-N219 {
  pixel=fn2(sqrt(pixel/.5)*pixel)
  z=c=pixel,zc=pixel/sqr(pixel*.5):
  c=((zc/p1)/pixel)/(zc*sqrt(fn1(real(z)))),
  z=z*z+c
  |imag(z)|<4
  ;SOURCE: bj-phc02.frm
}


BEJ-N221 {
  pixel=sqr(pixel)*-abs(cosxx(pixel)),
  z=c=pixel/p1:
  z=fn1(z)*z+c
  |real(z)|<4
  ;SOURCE: bj-phc02.frm
}


BEJ-N223a {
  pixel=sqr(pixel),
  z=pixel,c=pixel^z:
  z=fn1(z)*z+((c+pixel)^c)
  |real(z)/(pixel*p1)|<4
  ;SOURCE: bj-phc02.frm
}


BEJ-N224 {
  pixel=flip(-abs(pixel*(pixel*1))),
  z=pixel,c=fn1(pixel^z)*.05:
  z=sinh(z*z)*fn2((c*c)*(z*c))+(z*pi)
  z=z*z+c
  |z|<4
  ;SOURCE: bej0015.frm
}


BEJ-N227 {
  pixel=pixel*(fn1(pixel*pi)),
  z = pixel , c = fn1(flip(pixel^fn3(z))):
  z = fn2(z * z) + c 
  |z| < 16
  ;SOURCE: bej0015.frm
}


BEJ-N229e {
  pixel=flip(-abs(pixel*sqrt(pixel*1))),
  z=sqr(pixel),c=cotan(pixel^fn1(z)):
  z=fn3(z*z)+(acos(c+pixel)/fn2(c))
  |z|<4
  ;SOURCE: bej0015.frm
}


BEJ-N229f {
  pixel=flip(-abs(pixel*sqrt(pixel*1))),
  z=sqr(pixel),c=cotan(pixel^fn1(z)):
  z=fn3(sin(z*z))+(acos(c+pixel)/fn2(c))
  |z|<4
  ;SOURCE: bej0015.frm
}


BEJ-N229l {
  pixel=flip(-abs(pixel*sqrt(pixel*1))),
  z=sqr(atan(sqrt(pixel))),c=cotan(pixel^fn1(z)):
  z=fn3(sqr(sin(z*z)))+(acos(c+pixel)/fn2(c))
  |z|<4
  ;SOURCE: bej0015.frm
}


BEJ-N241 {
  z=c=sin(acos(tan(log(pixel*p1))))* whitesq + (pixel) * (whitesq == 0):
  z=sqr(z)+c
  |real(z)|<16
  ;SOURCE: bej0015.frm
}


BEJ-N262 {
  z=pixel, x=real(z), y=imag(z):
  x=fn1(z*x)
  z=fn2(y+z)
  |z|<16
  ;SOURCE: bej0015.frm
}


BEJ0002 {
  z=c=pixel, x=y=cos(pixel*0.05):
  z=fn1(z*x+y)
  x=fn2(c*y+z)
  |z|<8
  ;SOURCE: bej0015.frm
}


BEJ3 {
  z=c=pixel:
  zsqr=z*z*z*z
  x = (1.5+z^p1)^(1/p1)
  z = z*(1+y)/(1-x) + p2
  z=fn1(z)-c
  z=fn2(z)+c
  |z|<=3
  ;SOURCE: bej's.frm
}


BEJ6 {
  z=(0), c=pixel:
  zsqr^2*z+const
  x=(1-z*p1)/(1*p2)
  z=fn1(z)+c
  z=fn2(z)+c
  |z|<4
  ;SOURCE: bej's.frm
}


BEJ_22 {
  z=pixel:
  z=z*z*z
  z1=z*z*z*z
  z=fn1(z1)+pixel
  |z|<4
  ;SOURCE: bej's.frm
}


BEJ_23 {
  z=pixel:
  z1=(z*z)^(z-z)*z
  z2=(z*z)^(z1+p1)+pixel
  z3=z*z*z*z
  z=fn1(z3)+pixel
  |z|<4
  ;SOURCE: bej's.frm
}


BEJ_25 {
  z=pixel:
  z1=z*z*z
  z2=z+pixel
  z3=z*z+(z*z)
  z=fn1(z3)+pixel
  |z|<=4
  ;SOURCE: bej's.frm
}


BEJ_M9 {
  fn1(z)=pixel:
  z=z*z+c
  z=z*z
  z=fn1(z*z+c)
  z=fn2(fn3(z+z*c))
  |z*z+c|<4
  ;SOURCE: bejones.frm
}


BEJ_N13 {
  z=pixel,c=atan(pixel):
  z*z*z=z^sqr(5+1/p1)*(-1+3/p2)
  zsqr=z*z
  x = (1.5+z^p1)^(1/p1)
  z = z*(1+y)/(1-x) + p2
  z=fn1(z)+c
  z=fn2(z)-c
  |z| <4
  ;SOURCE: bej's.frm
}


BEJ_N24 {
  z=pixel,c=pixel:
  z1=z*z
  z2=(z*p1)^(z+p2)
  z=fn1(z2)+pixel
  |z|<4
  ;SOURCE: bej's.frm
}


BEJ_N28C_B {
  z=pixel:
  z1=z*fn1(z*fn2(z))+fn1
  z2=sqr(z)/fn1(z)+pixel*sqrz
  z3=z^(zsqr=z*z),zsin=(c+p1^1.5)*(c+p1/1.2),
  z=(z*1)/(c+p2),z=fn1(z),z=fn2(z)
  |z|<4
  ;SOURCE: bej's.frm
}


BEJ_N39 {
  z=c=pixel,maria=log(z):
  z=fn1(z)
  z=(z*z+c)+(maria/p1)
  |z|<4
  ;SOURCE: bej-mari.frm
}


BEJ_N4 {
  z=c=pixel:
  zsqr=z*z
  zsin=(c+p1^1.5)*(c+p1/1.2)
  z=(z*1)/(c+p2)
  z=fn1(z)
  z=fn2(z)
  |z|<4
  ;SOURCE: bej's.frm
}


BEJ_N41 {
  z=c=pixel,maria=sqr(z)+log(z):
  z=fn1(z)+p1/(maria+pixel)
  z=(z*z+c)
  |z|<4
  ;SOURCE: bej-mari.frm
}


BEJ_N90f {
  z=c=pixel,limit=atan(p1):
  test1=(limit>atan),test2=srand(limit&&atan)
  z=(z*z+c)/limit+(fn1(1/p1)+c)
  c=(-0.7456,-0.0186)
  c=sin(conj(-0.81256,-0.1295))
  |z|<4
  ;SOURCE: sg-bc-bj.frm
}


BEJ_N90j {
  z=c=pixel,limit=atan(p1):
  test1=(limit<=atan)+(1*p1)
  z=z*z*z
  z=fn1((z)*z+c)/(test1^limit)
  c=(-0.7456,-0.0186)+(z*z+c)
  c=sin(conj(-0.81256,-0.1295))
  |fn1(z+pixel)|<4
  ;SOURCE: sg-bc-bj.frm
}


BEJ_N90j-1 (YAXIS) {
  z=c=pixel,limit=atan(p1):
  test1=(limit<=atan)+(1*p1)
  z=z*z*z
  z=fn1((z)*z+c)/(test1^limit)
  c=(-0.7456,-0.0186)+(z*z+c)
  c=sin(conj(-0.81256,-0.1295))
  |fn1(z+pixel)|<4
  ;SOURCE: sg-bc-bj.frm
}


BEJ_New1 {
  z=pixel,root=1:
  z=z*z/p1,
  z2 = z*z;
  z3 = (z*z) - pixel;
  z4 = z3 * z
  z = (3 * z4 + Root) / (4 * z3)
  z=fn1(z)+c,
  z=fn2(z)+c,
  |z|<4
  ;SOURCE: bej's.frm
}


BESSEL-1 {
   ; (c) 1993 by
   ;
   ; LRCMIKE@LRC.OLDSCOLLEGE.AB.CA
   ;
   ; Michael G. Wareman
   ; P.O. Box 1856
   ; Olds, Alberta, Canada
   ; T0M 1P0
   ; This formula, and BESSEL-2 to BESSEL-4 are based on 
   ; formulas taken from the article on bessels from the
   ; Encyclopedia of Science.
  c = z = pixel:
  z = sin(z) / z * pixel,
  |z| <= 100
  ;SOURCE: bessels.frm
}


BESSEL-2 {
   ; (c) 1993 by
   ;
   ; LRCMIKE@LRC.OLDSCOLLEGE.AB.CA
   ;
   ; Michael G. Wareman
   ; P.O. Box 1856
   ; Olds, Alberta, Canada
   ; T0M 1P0
  c = z = pixel:
  z = cos(z) / z + pixel,
  |z| <= 100
  ;SOURCE: bessels.frm
}


BESSEL-3 {
   ; (c) 1993 by
   ;
   ; LRCMIKE@LRC.OLDSCOLLEGE.AB.CA
   ;
   ; Michael G. Wareman
   ; P.O. Box 1856
   ; Olds, Alberta, Canada
   ; T0M 1P0
  c = z = pixel:
  z = -cos(z) / z + sin(z) / (z * z) + pixel,
  |z| <= 100
  ;SOURCE: bessels.frm
}


BESSEL-4 {
   ; (c) 1993 by
   ;
   ; LRCMIKE@LRC.OLDSCOLLEGE.AB.CA
   ;
   ; Michael G. Wareman
   ; P.O. Box 1856
   ; Olds, Alberta, Canada
   ; T0M 1P0
  c = z = pixel:
  z = -sin(z) / z - cos(z) / (z * z) + pixel,
  |z| <= 100
  ;SOURCE: bessels.frm
}


Betacron {
  z = pixel:
  z = (z*z/sqrt(z)) + z*fn1(z) + p1
  z = z - pixel + (z*0.05)
  |z| < 4
  ;SOURCE: omicron.frm
}


Betacron_2 {
  z = pixel:
  z = (z*z/sqrt(z)) + z*fn1(z) + p1
  z = fn2(z) + pixel - (z*0.5)
  |z| < 4
  ;SOURCE: omicron.frm
}


Betacron_3 {
  z = pixel:
  z = sqr(z) + ((z*z)*0.75) + pixel
  z = (1 / z + sqrt(z)) - pixel 
  z = fn1(z) 
  |z| < 4
  ;SOURCE: omicron.frm
}


bfly (XYAXIS) {
   ; Be creative and try to use these terms in novel ways.
   ; You have to be careful what you initialize here
   ; or everything goes to 0.0
  z = zp1 = pixel, zp2 = (0,0):
  temp = z
  z  = z * zp1 + zp2
  zp2 = zp1
  zp1 = temp, |zp1| <= 4 
  ;SOURCE: noel.frm
}


bfly1 (XAXIS) {
   ; A minor variation on exp1 [init to pixel], gives another
   ; butterfly symmetry.
  z = zp = pixel:
  temp = z
  z = -exp(z) - zp
  zp = temp, |zp| <= 4 
  ;SOURCE: noel.frm
}


bfly2 (XAXIS) {
   ; Try a minor real axis offset in the iterative loop.
  z=pixel, zp = (0,0):
  temp = z
  z = 1-exp(z) - zp
  zp = temp,|zp| <= 4 
  ;SOURCE: noel.frm
}


bfly3 (XAXIS) {
   ; How about a conjugation of a cosine function
  z=pixel, zp = z1 = (0,0):
  temp = z
  z = 1-cos(z) - zp
  zp = conj(temp),|zp| <= 4 
  ;SOURCE: noel.frm
}


Bhakti {
  z = pixel:
  z = z + p1
  r = fn2(z) * z  
  q = z^pi 
  z = fn1(z) * (r/q)
  |z| <= 4
  ;SOURCE: shakti.frm
}


BILL13 (yaxis) {; Bill Rossi
  z=pixel,pi=3.142857142857:
  z=fn1(z)/fn2(z)-(fn3(z)*pi),
  z=fn4((z)^pi),
  |z| <= 4
  ;SOURCE: billatny.frm
}


BILL_err7 (yaxis) {; Bill Rossi
  z=Pixel:
  tmp1=fn1(z)^fn2(z),
  tmp2=fn3(z)^fn4(z),
  z=(tmp1/tmp2), 
  |z| <= 4
  ;SOURCE: jpl1.frm
}


Billsfrm (YAXIS) {; Based on a formula by Paul Carlson
  z = pixel:
  z = (fn1(z)^4) / (fn2(z)^3) / (fn3(z)^2) / (fn4(z)),
  |z| <=4
  ;SOURCE: brossi.frm
}


BirdOfPrey (XAXIS_NOPARM) { ; Optimized by Sylvie Gallet
  z = p1 :
   z = cosxx(sqr(z) + pixel) + pixel
    |z| <= 4
  ;SOURCE: fract196.frm
}


BirdOfPrey+ (XAXIS_NOPARM) {; Jon Osuch
                            ; Try p1=0, p2=4, fn1=sqr, fn2=cosxx
  z = p1,
  x = 1:
  (x  <  10) * (z=fn1(z)+pixel),
  (10 <= x)  * (z=fn2(z)+pixel),
  x = x+1,
  |z| <=p2
  ;SOURCE: jpl1.frm
}


BirdOfPreyC (XAXIS_NOPARM) {
  z=p1, x=1:
  (z=sqr(z)+pixel)*(x<10)+(z=cosxx(z)+pixel)*(10<=x),
  x=x+1, |z|<=4
  ;SOURCE: choice.frm
}


BirdOfPreyC.1 (XAXIS_NOPARM) {
  z=p1, x=1:
  (z=sqr(z)+pixel)*(x<10)+(z=cos(z)+pixel)*(10<=x),
  x=x+1, |z|<=4
  ;SOURCE: choice.frm
}


bizarre {
  (x<10)*(z=sqr(z)+pixel),
  (10<=x)*(x<20)*(z=exp(z)+pixel),
  (20<=x)*(z=log(z)+pixel),
  x=x+1, |z|<=4
  ;SOURCE: bizarre.frm
}


BJ-BC-1e {; Modified Bob Carr modified Sylvie Gallet frm.
  z=pixel,
  c=pixel^2+0.25,
  iter=1,rad=6,center=(-7.6,-3.0)
  pix=(10*sqr(pixel)+(5.0,-3.5))*(-0.1,-0.95)
  zn=(center+rad/(pix-center)),limit=real(p1)
  test0=1,b1=16,b2=0.0001,test3=0:
  test1=(iter<limit),test0=1-test0,test2=(iter!=limit)
  z=(z+zn)*test2-(zn),z2=z*z+c,z4=z2*z2,
  z6=z2*z4,z1=((z6*z-1)/(imag(p1)*z6)),
  z=(z*z+(c-((0.3,0.65))-c/8))*test1+((z-z1)*(1-test1)),
  test3=(test3 || (|z|>b1))
  z=z*1.01105*(1-(test3 && test0 && test1))
  iter=iter+(1.099,0.0)
  ((|z| <= b1) * test1) || ((|z1| >= b2) * (1-test1))
  ;SOURCE: 96msg.frm
}


BJ-BC-1g {; Modified Bob Carr modified Sylvie Gallet frm.
  z=pixel,
  c=pixel^2+0.25,
  iter=1,rad=6,center=(-7.6,-3.0)
  pix=(10*sqr(pixel)+(5.0,-3.5))*(-0.1,-0.95)
  zn=(center+rad/(pix-center)),limit=real(p1)
  test0=1,b1=16,b2=0.0001,test3=0:
  test1=(iter<limit),test0=1-test0,test2=(iter!=limit)
  z=(z-zn)*test2+(zn),z2=z*z/fn1(zn*pixel),z4=z2*z2,
  z6=z2*z4,z1=((z6*z-1)/(imag(p1)*z6)),
  z=(z*z+(c-((0.3,0.65))-c/8))*test1+((z-z1)*(1-test1)),
  test3=(test3 || (|z|>b1))
  z=z*1.01105*(1-(test3 && test0 && test1))
  iter=iter+(1.099,0.0)
  ((|z| <= b1) * test1) || ((|z1| >= b2) * (1-test1))
  ;SOURCE: 96msg.frm
}


BJ-BC1924pt3 {; Modified Bob Carr frm from a modified Sylvie Gallet frm.
              ; For FN1 check out
  z= pixel, c =(-0.7456,3.245),
  z=c=z,
  iter = 1 , rad = 6 , center = (1.0,0.1)
  pix = (10*pixel+(8.0,-5))*(-0.1,-0.95)
  zn = center+rad/(pix-center) , limit = real(p1)
  test0 = 1 , b1 = 16 , b2 = 0.0001 , test3=0 :
  test1 = (iter<limit) , test0 = 1-test0 , test2=(iter!=limit)
  z = (z-zn)*test2 + zn
  z2 = z*z , z4 = z2*z2 , z6=z4*z2, z1 = (z6*z-1)/(4*z6)+fn1(pixel), 
  z = (z2+c)*test1 + ((z-z1)*(1-test1))
  z7=z*z*z
  z8=(z+c)^pixel/(z*z+(zn*z2)/z7)
  c=z+c/2.125,
  test3 = (test3 || (|z|>b1))
  z = (z*(1-(test3 && test0 && test1)))
  iter = iter+3.75
  ((|z| <= b1) * test1) || ((|z1| >= b2) * (1-test1))
  ;SOURCE: bej's.frm
}


BJ-BC1974 {; Modified Bob Carr frm from a modified Sylvie Gallet frm.
  c=z=pixel, d=log(1/pixel-conj(1/pixel)),
  compt=0 , limit=(abs(p1/5)) , bailout=4
  p=(0.9/-2.48)-1.00763 :
  test=(compt<limit)+fn1(c)
  c=c*test+p*(1-test)
  z=z*z+c-real(d/5*pixel),
  compt=compt+0.39
  |z|<=bailout
  ;SOURCE: bej's.frm
}


BJ-BC1974-c {; Modified Bob Carr frm from a modified Sylvie Gallet frm.
  c=z=pixel, d=log(1/pixel-conj(1/pixel)),
  compt=0, limit=(abs(p1/5))/p2, bailout=4
  p=(1.0/-2.48)-(1.00763):
  test=(compt<limit)+fn1(c)
  c=c*(test/p3)+p*(1-test)
  z=(z*z+c)-real(d/100*pixel),
  compt=compt+0.39
  |z|<=bailout
  ;SOURCE: bej0015.frm
}


BJ-BC1974-h {; Modified Bob Carr frm from a modified Sylvie Gallet frm.
  c=z=fn2(pixel*pixel)/p2, d=log(1/pixel-conj(1/pixel)),
  compt=0, limit=(abs(p1/5)), bailout=4
  p=(1.0/-2.48)-(1.00763):
  test=(compt<limit)+fn1(c)
  c=c*(test/p3)+p*(1-test)
  z=(z*z+c)-real(d/100*pixel),
  compt=compt+0.39
  |z|<=bailout
  ;SOURCE: bej0015.frm
}


BJ-BC1997b (XAXIS) {; Modified Bob Carr 
                    ; modified Sylvie Gallet frm. [101324,3444],1996
  z=pixel,c=pixel,
  z1=c1=(1.5*z),z2=c2=(2.25*z),z3=c3=(3.375*z),z4=c4=(5.0625*z),
  l1=real(p1), 
  l2=imag(p1),
  l3=real(p2),
  l4=imag(p2),
  bailout=16, iter=0 :
  t1=(iter==l1) , t2=(iter==l2) , t3=(iter==l3),t4=(iter==l4),
  z=fn1(z)*(1-(t1||t2||t3||t4))
  c=c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 +c4*t4 
  z=z*z+c,
  iter=iter+1
  |real(z)| <= bailout
  ;SOURCE: sg-bc-bj.frm
}


BJ-BC1997c (XAXIS) {; Modified Bob Carr 
                    ; modified Sylvie Gallet frm. [101324,3444],1996
  z=pixel,c=pixel,
  z1=c1=(1.5*z),z2=c2=(2.25*z),z3=c3=(3.375*z),z4=c4=(5.0625*z),
  l1=real(p1), 
  l2=imag(p1),
  l3=real(p2),
  l4=imag(p2),
  bailout=16, iter=0 :
  t1=(iter==l1) , t2=(iter==l2) , t3=(iter==l3),t4=(iter==l4),
  z=z*(1-(t1||t2||t3||t4))
  c=c*(1-(t1||t2||t3||t4))+fn1(c1*t1)+fn2(c2*t2)+fn3(c3*t3)+fn4(c4*t4) 
  z=z*z+c,
  iter=iter+1
  |real(z)| <= bailout
  ;SOURCE: sg-bc-bj.frm
}


BJ-BC1997d (XAXIS) {; Modified Bob Carr 
                    ; modified Sylvie Gallet frm. [101324,3444],1996
  z=pixel,c=pixel,
  z1=c1=(1.5*z),z2=c2=(2.25*z),z3=c3=(3.375*z),z4=c4=(5.0625*z),
  l1=real(p1), 
  l2=imag(p1),
  l3=real(p2),
  l4=imag(p2),
  bailout=16, iter=0 :
  t1=(iter==l1) , t2=(iter==l2) , t3=(iter==l3),t4=(iter==l4),
  z=z*(1-(t1||t2||t3||t4))
  c=c*(1-(t1||t2||t3||t4))+fn1(c1*t1)+fn2(fn1(c2*t2))+fn3(fn2(fn1(c3*t3)))+fn4(fn3(fn2(fn1(c4*t4)))) 
  z=z*z+c,
  iter=iter+1
  |real(z)| <= bailout
  ;SOURCE: sg-bc-bj.frm
}


BJ-BC1997e (XAXIS) {; Modified Bob Carr 
                    ; modified Sylvie Gallet frm. [101324,3444],1996
  z=pixel,c=pixel,
  z1=c1=(1.5*z),z2=c2=(2.25*z),z3=c3=(3.375*z),z4=c4=(5.0625*z),
  l1=real(p1), 
  l2=imag(p1),
  l3=real(p2),
  l4=imag(p2),
  bailout=16, iter=0 :
  t1=fn1(iter==l1), t2=fn2(iter==l2), t3=fn3(iter==l3), t4=fn4(iter==l4),
  z=z*(1-(t1||t2||t3||t4))
  c=c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 +c4*t4 
  z=z*z+c,
  iter=iter+1
  |real(z)| <= bailout
  ;SOURCE: sg-bc-bj.frm
}


BJ-BC1997f (XAXIS) {; Modified Bob Carr 
                    ; modified Sylvie Gallet frm. [101324,3444],1996
  z=pixel,c=pixel,
  z1=c1=(1.5*z),z2=c2=(2.25*z),z3=c3=(3.375*z),z4=c4=(5.0625*z),
  l1=real(p1), 
  l2=imag(p1),
  l3=real(p2),
  l4=imag(p2),
  bailout=16, iter=0 :
  t1=fn1(iter==l1), t2=fn2(iter==l2), t3=fn3(iter==l3), t4=fn4(iter==l4),
  c=(-0.7456,-.0186)
  c=sin(conj(-0.81256,-0.1295))+p3
  z=z*(1-(t1||t2||t3||t4))
  c=c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 +c4*t4 
  z=z*z+c,
  iter=iter+1
  |real(z)| <= bailout
  ;SOURCE: sg-bc-bj.frm
}


BJ-BC1997g (XAXIS) {; Modified Bob Carr modified Sylvie Gallet frm. 
                    ; [101324,3444],1996
       ;here are some combos for the fn's:
   ;fn1:          fn2:             fn3:      fn4:
   ; sin          ident            ident     conj
   ; sqr          ident            ident     conj
   ; flip         ident            ident     conj
   ; sqr                           ident     conj
   ; ident        flip             log       conj
   ; ident        sqr,log,conj     ident     conj
  z=pixel,c=pixel,
  z1=c1=(1.5*z),z2=c2=(2.25*z),z3=c3=(3.375*z),z4=c4=(5.0625*z),
  l1=real(p1), 
  l2=imag(p1),
  l3=real(p2),
  l4=imag(p2),
  bailout=16, iter=0 :
  t1=(iter==l1), t2=(iter==l2), t3=(iter==l3), t4=(iter==l4),
  z=z*(1-(t1||t2||t3||t4))
  c=c*(1-(t1||t2||t3||t4))+fn1((c1*t1)+(c2*t2))+fn2(fn1(fn1(c3*t3)))+fn3(fn2(fn1(c4*t4))) 
  z=fn4(fn3(fn2(fn1(flip(z)))))
  z=z*z+c,
  iter=iter+1
  |real(z)| <= bailout
  ;SOURCE: 96msg.frm
}


BJ-BC1997h (XAXIS) {;Modified Bob Carr modified Sylvie Gallet frm. 
                    ; [101324,3444],1996
     ;here are some combos for the fn's:
   ;   fn1:         fn2:             fn3:      fn4:
   ;    sin          ident            ident     conj
   ;    sqr          ident            ident     conj
   ;    flip         ident            ident     conj
   ;    sqr          flip             ident     conj
   ;    ident        abs              log       conj
   ;    ident        sqr,log,conj     ident     conj
  z=pixel,c=pixel,
  z1=c1=(1.5*z),z2=c2=(2.25*z),z3=c3=(3.375*z),z4=c4=(5.0625*z),
  l1=real(p1), 
  l2=imag(p1),
  l3=real(p2),
  l4=imag(p2),
  bailout=16, iter=0 :
  t1=(iter==l1), t2=(iter==l2), t3=(iter==l3), t4=(iter==l4),
  z=z*(1-(t1||t2||t3||t4))
  c=c*(1-(t1||t2||t3||t4))+fn1((c1*t1)+(c2*t2))+fn2(fn1(fn1(c3*t3)))+fn3(fn2(fn1(c4*t4))) 
  fn4(z)=fn3(fn2(fn1(flip(z))))
  z=z*z+c,
  iter=iter+1
  |real(z)| <= bailout
  ;SOURCE: 96msg.frm
}


BJ-JDfrm010m2 {; Brian Jones [102702,2213], 1996  Requires passes=1
               ; Modified Lee Skinner/Jim Deutch frm
  pixel = (((whitesq==0)*fn1(pixel*(3/sqrt(pixel))))-whitesq) * pixel\ 
          + whitesq * -pixel
  z = 0
  c = pixel:
  z = z*z + c
  |z| < 4
  ;SOURCE: phc.frm
}


BJ-JDfrm010m3 {; Brian Jones [102702,2213], 1996    Requires passes=1
               ; Modified Lee Skinner/Jim Deutch frm
  pixel = (((whitesq==0)*fn1(pixel*fn2(3/sqrt(pixel))))-whitesq) * pixel\ 
          + whitesq * -pixel
  z = 0
  c = pixel:
  z = z*z + c
  |z| < 4
  ;SOURCE: phc.frm
}


BJ-JDfrm010m7-a {; Brian Jones [102702,2213], 1996   Requires passes=1
                 ; Jim Deutch/modified by Lee Skinner.
  pixel = whitesq * pixel + (whitesq==0) * -pixel
  z = sqr(flip(pixel)) , c = pixel:
  z = z*z + c
  |z| < 4
  ;SOURCE: phc.frm
}


BJ-Lamda*2-a {; Brian Jones [102702,2213], 1996  Requires passes=1
              ; Modification of Ron Barnett's MandJulia frm
  z = pixel+ whitesq*p1 :
  m = p2,
  z = (sin(z) * p2)/p3,
  abs(imag(z)) <= 64 && abs(real(z)) <= 64
  ;SOURCE: phc.frm
}


BJ-Lesfrm13-001 {; Modified Les St Clair formula "Lesfrm13" 
  z = pixel 
  x = fn1(z) , y = fn2(z):
  x = x*p1*pi
  y = y*p2*pi 
  z = fn4(fn3(x)/y)
  |z| <= 4
  ;SOURCE: 96msg.frm
}


BJ-Lesfrm13-002 {; Modified Les St Clair formula "Lesfrm13" 
  z = pixel 
  x = fn1(z) , y = fn2(z):
  x = x*p1*pi
  y = y*p2*pi 
  z = fn4(x/fn3(y))
  |z| <= 4
  ;SOURCE: 96msg.frm
}


BJ-Lesfrm13-003 {; Les St Clair, 1996
  z = pixel 
  x = fn1(z*z) , y = fn2(z*z):
  x = x*p1*pi
  y = y*p2*pi 
  z = x/y
  |z| <= 4
  ;SOURCE: modles13.frm
}


BJ-Lesfrm13-004 {; Les St Clair, 1996
  z = pixel 
  x = fn1(z*z) , y = fn2(z*z):
  x = fn3(x)*p1*pi
  y = fn4(y)*p2*pi 
  z = x/y
  |z| <= 4
  ;SOURCE: modles13.frm
}


BJ-Lesfrm13-005 {; Les St Clair, 1996
  z = pixel 
  x = fn1(z) , y = fn2(z):
  x = x*p1*pi
  y = y*p2*pi 
  z = fn3(x/y)/fn4(z)
  |z| <= 4
  ;SOURCE: modles13.frm
}


BJ-Lesfrm13-006 {; Les St Clair, 1996
  z = pixel 
  x = fn1(z) , y = fn2(z):
  x = fn3(z*x)*p1*pi
  y = fn4(z*y)*p2*pi 
  z = x/y
  |z| <= 4
  ;SOURCE: modles13.frm
}


BJ-Lesfrm13-007 {; Les St Clair, 1996
  z = pixel , c = z*pixel , 
  x = fn1(z) , y = fn2(z):
  x = x*p1*pi-c
  y = y*p2*pi-c 
  z = x/y
  |z| <= 4
  ;SOURCE: modles13.frm
}


BJ-Lesfrm13-008 {; Les St Clair, 1996
  z = pixel 
  x1 = fn1(z) , y1 = fn2(z)
  x2 = fn3(z*z) , y2 = fn4(z*z):
  x1 = x1*p1*pi
  y1 = y1*p2*pi 
  z = x1*x2/y1*y2
  |z| <= 4
  ;SOURCE: modles13.frm
}


BJ-Lesfrm13-012 {; Les St Clair, 1996
  z = pixel , c=(-0.7456,-.0186) , 
  x = fn1(z) , y = fn2(z):
  c=sin(conj(-0.81256,-0.1295))
  x = x*p1*pi-c
  y = y*p2*pi-c 
  z = x/y
  |z| <= 4
  ;SOURCE: modles13.frm
}


BJ-Man-Galore-g (xaxis) {; Modified Variation on Sylvie Gallet formula. 
   ; George Martin [76440,1143]
   ; periodicity=0 must be set
   ; Try 50 or more for real(p1) - even multiples of
   ;    256 give interesting effects
   ; Try 1.2 - 1.8 for imag(p1)
   ; Try 1000 or more for Maximum Iterations (x menu)
  z=c=pixel, iter=0 
  nextzoom = iterspace = real(p1), magnification = imag(p1):
  test = (iter == nextzoom)
  nextzoom = nextzoom + test*iterspace
  z = z*(1 - test) 
  c = c*(1 - test) + test*magnification*c
  z = fn1(z*z*z+c)
  iter = iter + 1
  |z| <= 16
  ;SOURCE: sg-bc-bj.frm
}


BJ-man-julz-002 {; Sylvie Gallet [101324,3444], 1995
  z=fn1(flip(imag(1-pixel))*conj(tan(pixel))\
    -conj(0.10/pixel)-flip(0.010/pixel)), c = z
  compt=0 , limit = real(p1) , bailout = 4
  p = (-0.743380900000982,-0.131850030300002)/p2 :
  test = (compt<limit)
  c = fn2(c*test+p*(1-test))
  z = z*z+c
  compt = compt+1
  |z| <= bailout
  ;SOURCE: bejones.frm
}


BJ-man-julz-004 {; Sylvie Gallet [101324,3444], 1995
  c = z = fn1((((0.3,0.6)+pixel)/(0.20/-pixel))*(0.1,1.0)), 
  compt=0 , limit = real(p1) , bailout = 4
  p = (-0.743380900000982,-0.131850030300002) :
  test = (compt<limit)
  c = c*test+p*(1-test)
  z = z*z+c
  compt = compt+1
  |z| <= bailout
  ;SOURCE: bejones.frm
}


BJ-man-lam-fn-6 {; Sylvie Gallet [101324,3444], 1995
                 ; requires "periodicity=0" (<g> command)
  c = z = fn1(pixel*sqr(1.0,0.1)) , lambda = (1.0,0.4) 
  pix2 = pixel*4+0.8 , compt = 0 , limit = real(p1) :
  test1 = (compt<limit) , test2 = (compt!=limit)
  z = (z-pix2)*test2 + pix2
  bailout = 4096 - 4032*test1
  z2 = lambda*sin(z)/(pix2/p2)
  z = (z*z+c-z2)*test1+z2
  compt = compt+1
  |z| <= bailout
  ;SOURCE: bejones.frm
}


BJ-man-lam-fn-9b {; Sylvie Gallet [101324,3444], 1995
                  ; requires "periodicity=0" (<g> command)
  c=z=fn1(conj(sin(pixel*(1.0,0.1)/p2)))/(1.0,0.1)\
      -fn3(conj(sin(pixel*(1.0,0.1)/p2))) 
  lambda = (1.0,0.4)/p3 
  pix2 = fn2(pixel*4+0.8), compt = 0, limit = real(p1):
  test1 = (compt<limit), test2 = (compt!=limit)
  z = (z-pix2)*test2 + pix2
  bailout = 4096 - 4032*test1
  z2 = lambda*sin(z)
  z = (z*z+c-z2)*test1+z2
  compt = compt+1
  |z| <= bailout
  ;SOURCE: bejones.frm
}


BJ-MandJulia {; Brian Jones [102702,2213], 1996  Requires passes=1
              ; Modification of Ron Barnett's MandJulia frm
  z = pixel+(whitesq==0)*p3,
  c = whitesq*p1*pixel + (whitesq==0)*p2:
  z=fn1(z*z)*pi,
  z=z*z+c, 
  |z|<4
  ;SOURCE: phc.frm
}


BJ-MandJulia-a {; Brian Jones [102702,2213], 1996   Requires passes=1
                ; Modification of Ron Barnett's MandJulia frm
  z = pixel+(whitesq==0)*p3,
  c = whitesq*p1*pixel + (whitesq==0)*p2:
  z=fn1(z+z)+fn2(z*c)*pi,
  z=z*z+c, 
  |z|<4
  ;SOURCE: phc.frm
}


BJ-MandsJulia {; Brian Jones [102702,2213], 1996   Requires passes=1
               ; Modification of Ron Barnett's MandJulia frm
  z = pixel+(whitesq==0)*p3,
  c = whitesq*p1*pixel + (whitesq==0)*p2:
  z=fn1(z+z)*pi,
  z=z*z+c, 
  |z|<4
  ;SOURCE: phc.frm
}


BJ-MandsJulia-b {; Brian Jones [102702,2213], 1996  Requires passes=1
                 ; Modification of Ron Barnett's MandJulia frm
   ; p3 will shift the julia set wrt the mandelbrot set
   ; p2 is for the Julia value
  z = (pixel * pixel)+(whitesq==0)*p3,
  c = whitesq*p1*pixel + (whitesq==0)*p2:
  z=fn1(z+z)*pi,
  z=z*z+c, 
  |z|<4
  ;SOURCE: phc.frm
}


BJ-MandsJulia-b-2 {; Brian Jones [102702,2213], 1996  Requires passes=1
                   ; Modification of Ron Barnett's MandJulia frm
   ; p3 will shift the julia set wrt the mandelbrot set
   ; p2 is for the Julia value
  z = (pixel * flip(fn1(pixel*3)))+(whitesq==0)*p3,
  c = whitesq*p1*pixel + (whitesq==0)*p2:
  z=sin(z+z)*pi,
  z=z*z+c, 
  |z|<4
  ;SOURCE: phc.frm
}


BJ-MandsJulia-b-4 {; Brian Jones [102702,2213], 1996  Requires passes=1
                   ; Modification of Ron Barnett's MandJulia frm
  z = (pixel * flip(fn1(pixel*3)))+(whitesq==0)*p3,
  c = whitesq*p1*pixel + (whitesq==0)*p2:
  z=sin(z+z)*pi,
  z=z*z+c, 
  |z|<4
  ;SOURCE: phc.frm
}


BJ-Newton*2 {; Brian Jones [102702,2213], 1996  Requires passes=1
             ; Modification of Ron Barnett's MandJulia frm
  root = 1,
  z = pixel+(whitesq==0)*p3,
  c = whitesq*p1*pixel + (whitesq==0)*p2:
  z3 = z * (z * z + c),
  z4 = z3 * z,
  z = (3 * z4 + root) / (4 * z3),
  .004 <= |z4 - Root|
  ;SOURCE: phc.frm
}


BJ-Newton*2+Man-b {; Brian Jones [102702,2213], 1996  Requires passes=1
                   ; Modification of Ron Barnett's TwoMands frm
  root=1,
  z = c = pixel+(whitesq==0)*p3:
  z = whitesq*(z^p1+c)+(whitesq==0)*(z^p2+c):
  z3 = fn1(z * z) * fn2(z * z * z) * fn3(z + c),
  z4 = z3 * z
  z = (3 * z4 + root) / (4 * z3),
  .004 <= |z4 - Root|
  ;SOURCE: phc.frm
}


BJ-Newton*2-b {; Brian Jones [102702,2213], 1996  Requires passes=1
               ; Modification of Ron Barnett's MandJulia frm
  root = 1,
  z = pixel+(whitesq==0)*p3,
  c = whitesq*p1*pixel + (whitesq==0)*p2:
  z3 = (z * z) * (z * z) * (z + c),
  z4 = z3 * z,
  z = (3 * z4 + root) / (4 * z3),
  .004 <= |z4 - Root|
  ;SOURCE: phc.frm
}


BJ-Newton*2-c {; Brian Jones [102702,2213], 1996  Requires passes=1
               ; Modification of Ron Barnett's MandJulia frm
  root = 1,
  z = pixel+(whitesq==0)*p3,
  c = whitesq*p1*pixel + (whitesq==0)*p2:
  z3 = (z * z) * (z * z * z) * (z + c) ,
  z4 = z3 * z,
  z = (3 * z4 + root) / (4 * z3),
  .004 <= |z4 - Root|
  ;SOURCE: phc.frm
}


BJ-Newton*2-g {; Brian Jones [102702,2213], 1996  Requires passes=1
               ; Modification of Ron Barnett's MandJulia frm
  root = 1,
  z = pixel+(whitesq==0)*p3 * -abs(flip(pixel*3)),
  c = whitesq*p1*pixel + (whitesq==0)*p2:
  z3 = fn1(z) * 5 * fn4((z) * fn3(z) * fn2(z*2)) * (z + c),
  z4 = z3 * z,
  z = (3 * z4 + root) / (4 * z3),
  .004 <= |z4 - Root|
  ;SOURCE: phc.frm
}


BJ-PHC-CmplxNwtn-1 {; Brian Jones [102702,2213], 1996  Requires passes=1
                    ; Modification of Ron Barnett's MandJulia frm
  pm1 = p1-1,
  z = pixel+(whitesq==0)*p2,
  oldz = whitesq*pixel + (whitesq==0)*p2:
  oldz = z,
  z = (pm1*(z^p1) +1)/(p1 * z^pm1),
  |(z-oldz)|>=|0.01|
  ;SOURCE: phc.frm
}


BJ-PHC-G3-03-a {; Brian Jones [102702,2213], 1996  Requires passes=1
                ; Modification of Sylvie Gallet's 3-03
                ; & Ron Barnett's MandJulia frm
  z = pixel+(whitesq==0)*p3,
  x = real(z)+(whitesq==0)*p3 , y = imag(z):
  x1 = x - p1*fn1(y*y+p2*fn2(y)),
  y1 = y - p1*fn1(x*x+p2*fn2(x)),
  z = (z*z+c) / x1+flip(y1),
  |z|<=4
  ;SOURCE: phc.frm
}


BJ-SG-3-02-a {; Modified Sylvie Gallet [101324,3444], 1996
  z = pixel :
  x = real(z) , y = imag(z)
  x1 = x - p1*fn1(y/p2*fn2(y))
  y1 = y - p1*fn1(x/p2*fn2(x))
  z = x1+flip(y1)
  |z| <= 4
  ;SOURCE: msg-1.frm
}


BJ-SG-3-03-g {; Modified Sylvie Gallet [101324,3444], 1996
  z = pixel , c = sin(conj(-0.81256,-0.1295)) :
  x = real(z) , y = imag(z)
  x1 = x - p1*fn1(x*x+p2*fn2(y)) 
  y1 = y - p1*fn1(y*y+p2*fn2(x)) 
  z = x1+flip(y1)
  |z| <= 4
  ;SOURCE: sg-bc-bj.frm
}


BJ-SG-3-03-gb {; Brian E. Jones [102702,2213]
   ;Modified Sylvie Gallet [101324,3444], 1996
  z = pixel , c = sin(conj(-0.81256,-0.1295)) :
  x = real(z) , y = imag(z)
  x1 = x - p1*fn1(x*x+p2*fn2(y)) * (whitesq == 0)+c* whitesq 
  y1 = y - p1*fn1(y*y+p2*fn2(x)) 
  z = x1+flip(y1)  
  |z| <= 4
  ;SOURCE: 96msg.frm
}


BJ-SG-3-03-gd {; Modified Sylvie Gallet [101324,3444], 1996
  z = pixel , c = sin(conj(-0.81256,-0.1295)) :
  x = real(z) , y = imag(z)
  x1 = x - p1*fn1(x*x+p2*fn2(y)) * (whitesq == 0) + c * whitesq 
  y1 = y - p1*fn1(y*y+p2*fn2(x)) 
  z = fn3(x1+flip(y1))  
  |z| <= 4
  ;SOURCE: bj-phc02.frm
}


BJ-SG-3-03-gda {; Modified Sylvie Gallet [101324,3444], 1996
  z = pixel , c = sin(conj(-0.81256,-0.1295)) :
  x = real(z) , y = imag(z)
  x1 = x - p1*fn1(x*x+p2*fn2(y)) * fn3((whitesq == 0) + (c/(x+y)) * whitesq)
  y1 = y - p1*fn1(y*y+p2*fn2(x)) 
  z = x1+flip(y1)  
  |z| <= 4
  ;SOURCE: bj-phc02.frm
}


BJ-SG-3-03-h {; Modified Sylvie Gallet [101324,3444], 1996
  z = pixel :
  x = real(z) , y = imag(z)
  x1 = x - p1*fn1(y*x*y+p2*fn2(y))
  y1 = y - p1*fn1(x*y*x+p2*fn2(x))
  z = x1+flip(y1)
  |z| <= 4
  ;SOURCE: msg-1.frm
}


BJ-SG-5-07-a {; Modified Gallet 5-07
              ; Sylvie Gallet [101324,3444], 1996
  z = pixel, x = z*(0,1), y = (whitesq == 0) + (z*(0,-1)) * whitesq:
   hx = p1 * fn1(x), hy = p1*fn2(y)
   x = x + hy, y = y + hx
   z = x + flip(y) 
    (|hx|+|hy|) <= p2
  ;SOURCE: 96msg.frm
}


BJ-SG-5-07-c {; Modified Gallet 5-07
              ; Sylvie Gallet [101324,3444], 1996 
  z = pixel , x = fn3(z*(0,1)) , y = fn4(z*(0,-1)) :
   hx = p1*fn1(x) , hy = p1*fn2(y)
   x = x + hy , y = y + hx
   z = x + flip(y)
    (|hx|+|hy|) <= p2
  ;SOURCE: 96msg.frm
}


BJ-SG-G-1-a {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, periodicity=0
  c = z = pixel
  z1 = c1 = fn1(1.5*z), z2 = c2 = fn2(2.25*z), 
  z3 = c3 = fn3(3.375*z), z4 = c4 = fn4(5.0625*z)
  l1 = real(p1) , l2 = imag(p1) , l3 = real(p2) , l4 = imag(p2)
  bailout = 16 , iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), t3 = (iter==l3), t4 = (iter==l4)
  z = z*(1-(t1||t2||t3||t4)) + z1*t1 + z2*t2 + z3*t3 + z4*t4
  c = c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 + c4*t4
  z = z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: sg-bc-bj.frm
}


BJ-SG-G-1-d {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = pixel,c1=fn1(c=sin(conj(-0.81256,-0.1295)))/p3
  z1 = c1 = 1.5*z, z2 = c2 = 2.25*z, 
  z3 = c3 = 3.375*z, z4 = c4 = 5.0625*z
  l1 = real(p1), l2 = imag(p1), l3 = real(p2), l4 = imag(p2)
  bailout = 16 , iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), t3 = (iter==l3), t4 = (iter==l4)
  z = z*(1-(t1||t2||t3||t4)) + z1*t1 + z2*t2 + z3*t3 + z4*t4
  c = c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 + c4*t4
  z = z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: sg-bc-bj.frm
}


BJ-SG-G-1-e {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = pixel,c1=fn1(c=sin(conj(-0.81256,-0.1295)))/p3 
  z1 = c1 = 1.5*z, z2 = c2 = 2.25*z, 
  z3 = c3 = 3.375*z, z4 = c4 = 5.0625*z
  l1 = real(p1) , l2 = imag(p1) , l3 = real(p2) , l4 = imag(p2)
  bailout = 16 , iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), t3 = (iter==l3), t4 = (iter==l4)
  z = z*(1-(t1||t2||t3||t4)) + z1*t1 + z2*t2 + z3*t3 + z4*t4
  c = c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 + c4*t4
  z = z*z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: sg-bc-bj.frm
}


BJ-SG-G-1-f {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = pixel , c1 = fn1(c=sin(conj(-0.81256,-0.1295)))/p3
  z1 = c1 = 1.5*z, z2 = c2 = 2.25*z, 
  z3 = c3 = 3.375*z , z4 = c4 = 5.0625*z
  l1 = real(p1), l2 = imag(p1), l3 = real(p2), l4 = imag(p2)
  bailout = 16 , iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), t3 = (iter==l3), t4 = (iter==l4)
  z = z*(1-(t1||t2||t3||t4)) + z1*t1 + z2*t2 + z3*t3 + z4*t4
  c = c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 + c4*t4
  z = z*z*z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: sg-bc-bj.frm
}


BJ-SG-G-1-g020 {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = pixel
  z1 = c1 = 1.5*z, z2 = c2 = 2.25*z, 
  z3 = c3 = 3.375*z, z4 = c4 = 5.0625*z, 
  z5 = c5 = z*z*z , z6 = c6 = z*z*z*z*z*z*z*z*z
  l1 = real(p1), l2 = imag(p1), 
  l3 = real(p2), l4 = imag(p2), 
  l5 = real(p3), l6 = imag(p3)
  bailout = 16 , iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), 
  t3 = (iter==l3), t4 = (iter==l4), 
  t5 = (iter==l5), t6 = (iter==l6)
  z=z*(1-(t1||t2||t3||t4))+z1*t1+z2*t2+z3*t3+z4*t4+fn1(z5*t5)+fn3(z6*t6)
  c=c*(1-(t1||t2||t3||t4))+c1*t1+c2*t2+c3*t3+c4*t4+fn2(c5*t5)+fn4(c6*t6)
  z = z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: msg-1.frm
}


BJ-SG-G-1-g021 {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = pixel, c0=(0.08638,-0.4922)
  z1 = c1 = 1.5*z, z2 = c2 = 2.25*z, 
  z3 = c3 = 3.375*z, z4 = c4 = 5.0625*z, 
  z5 = c5 = z*z*z, z6 = c6 = fn1(z1*z2*z3*z4*z5)
  l1 = real(p1), l2 = imag(p1), 
  l3 = real(p2), l4 = imag(p2), 
  l5 = real(p3), l6 = imag(p3)
  bailout = 16 , iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), 
  t3 = (iter==l3), t4 = (iter==l4), 
  t5 = (iter==l5), t6 = (iter==l6)
  z = fn2(z*(1-(t1||t2||t3||t4))+z1*t1+z2*t2+z3*t3+z4*t4+z5*t5+z6*t6)
  c = fn3(c*(1-(t1||t2||t3||t4))+c1*t1+c2*t2+c3*t3+c4*t4+c5*t5+c6*t6)
  z = z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: msg-1.frm
}


BJ-SG-G-1-g023 {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = pixel, c0=(0.08638,-0.4922)
  z1 = c1 = fn1(1.5*z), z2 = c2 = fn2(2.25*z), 
  z3 = c3 = fn3(3.375*z), z4 = c4 = fn4(5.0625*z), 
  z5 = c5 = z*z*z, z6 = c6 = z1*z2*z3*z4*z5
  l1 = real(p1) , l2 = imag(p1) , l3 = real(p2) , l4 = imag(p2) , l5 = real(p3) , l6 = imag(p3)
  bailout = 16 , iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), 
  t3 = (iter==l3), t4 = (iter==l4), 
  t5 = (iter==l5), t6 = (iter==l6)
  z = z*(1-(t1||t2||t3||t4))+z1*t1+z2*t2+z3*t3+z4*t4+z5*t5+z6*t6
  c = c*(1-(t1||t2||t3||t4))+c1*t1+c2*t2+c3*t3+c4*t4+c5*t5+c6*t6
  z = z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: msg-1.frm
}


BJ-SG-G-1-g024 {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = pixel, c0=(0.08638,-0.4922)
  z1 = c1 = 1.5*z, z2 = c2 = fn1(2.25*z), 
  z3 = c3 = fn2(3.375*z), z4 = c4 = fn3(5.0625*z), 
  z5 = c5 = fn4(7.0268*z), z6 = c6 = z1*z2*z3*z4*z5
  l1 = real(p1), l2 = imag(p1), 
  l3 = real(p2), l4 = imag(p2), 
  l5 = real(p3), l6 = imag(p3)
  bailout = 16 , iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), 
  t3 = (iter==l3), t4 = (iter==l4), 
  t5 = (iter==l5), t6 = (iter==l6)
  z = z*(1-(t1||t2||t3||t4))+z1*t1+z2*t2+z3*t3+z4*t4+z5*t5+z6*t6
  c = c*(1-(t1||t2||t3||t4))+c1*t1+c2*t2+c3*t3+c4*t4+c5*t5+c6*t6
  z = z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: msg-1.frm
}


BJ-SG-G-1-g028 {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = pixel*(0.0,1.0)
  z1 = c1 = fn1(1.5*z), z2 = c2 = fn2(2.25*z), 
  z3 = c3 = fn3(3.375*z), z4 = c4 = fn4(z*c*z)*pixel
  l1 = real(p1), l2 = imag(p1), l3 = real(p2), l4 = imag(p2)
  bailout = 16 , iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), t3 = (iter==l3), t4 = (iter==l4)
  z = z*(1-(t1||t2||t3||t4)) + z1*t1 + z2*t2 + z3*t3 + z4*t4
  c = c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 + c4*t4
  z = z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: msg-1.frm
}


BJ-SG-G-1-g029 {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = pixel*(0.0,1.0)
  z1 = c1 = fn1(1.5*z), z2 = c2 = fn2(2.25*z1), 
  z3 = c3 = fn3(3.375*z2), z4 = c4 = fn4(z*c*z3)*pixel
  l1 = real(p1), l2 = imag(p1), l3 = real(p2), l4 = imag(p2)
  bailout = 16 , iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), t3 = (iter==l3), t4 = (iter==l4)
  z = z*(1-(t1||t2||t3||t4)) + z1*t1 + z2*t2 + z3*t3 + z4*t4
  c = c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 + c4*t4
  z = z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: msg-1.frm
}


BJ-SG-G-1-g030 {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = pixel*(0.1,1.0)
  z1 = c1 = fn1(1.5*z), z2 = c2 = fn2(2.25*z1), 
  z3 = c3 = fn3(3.375*z2), z4 = c4 = fn4(z1*c2*z3)*pixel
  l1 = real(p1), l2 = imag(p1), l3 = real(p2), l4 = imag(p2)
  bailout = 16 , iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), t3 = (iter==l3), t4 = (iter==l4)
  z = z*(1-(t1||t2||t3||t4)) + z1*t1 + z2*t2 + z3*t3 + z4*t4
  c = c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 + c4*t4
  z = z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: msg-1.frm
}


BJ-SG-G-1-g031 {; Modified  Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = pixel*(0.1,1.0)
  z1 = c1 = fn1(1.5*z), z2 = c2 = fn2(2.25*z1), 
  z3 = c3 = fn3(3.375*z2), z4 = c4 = fn4(z1*c2*z3)*(1/pixel)
  l1 = real(p1), l2 = imag(p1), l3 = real(p2), l4 = imag(p2)
  bailout = 16 , iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), t3 = (iter==l3), t4 = (iter==l4)
  z = z*(1-(t1||t2||t3||t4)) + z1*t1 + z2*t2 + z3*t3 + z4*t4
  c = c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 + c4*t4
  z = z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: msg-1.frm
}


BJ-SG-G-1-g032 {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = (3*pixel)-conj(0.001/pixel-flip(0.01/pixel))+1/pixel
  z1 = c1 = fn1(1.5*z), z2 = c2 = fn2(2.25*z1), 
  z3 = c3 = fn3(3.375*z2), z4 = c4 = fn4(z1*c2*z3)*pixel
  l1 = real(p1), l2 = imag(p1), l3 = real(p2), l4 = imag(p2)
  bailout = 16 , iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), t3 = (iter==l3), t4 = (iter==l4)
  z = z*(1-(t1||t2||t3||t4)) + z1*t1 + z2*t2 + z3*t3 + z4*t4
  c = c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 + c4*t4
  z = z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: msg-1.frm
}


BJ-SG-G-1-g033 {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  z=conj(sin(1/pixel-3.594)),c=conj((1/pixel)*(-3.9764,-0.1824))
  z1 = c1 = fn1(1.5*z), z2 = c2 = fn2(2.25*z1), 
  z3 = c3 = fn3(3.375*z2), z4 = c4 = fn4(z1*c2*z3)*(1/pixel)
  l1 = real(p1), l2 = imag(p1), l3 = real(p2), l4 = imag(p2)
  bailout = 16 , iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), t3 = (iter==l3), t4 = (iter==l4)
  z = z*(1-(t1||t2||t3||t4)) + z1*t1 + z2*t2 + z3*t3 + z4*t4
  c = c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 + c4*t4
  z = z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: msg-1.frm
}


BJ-SG-G-1-g034 {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = pixel*(0.1,1.0)
  z1 = c1 = fn1(1.5*z*z*z), z2 = c2 = fn2(2.25*z1), 
  z3 = c3 = fn3(3.375*z2), z4 = c4 = fn4(z1*c2*z3)*(1/pixel)
  l1 = real(p1), l2 = imag(p1), l3 = real(p2), l4 = imag(p2)
  bailout = 16 , iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), t3 = (iter==l3), t4 = (iter==l4)
  z = z*(1-(t1||t2||t3||t4)) + z1*t1 + z2*t2 + z3*t3 + z4*t4
  c = c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 + c4*t4
  z = z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: msg-1.frm
}


BJ-SG-G-1-g035 {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = pixel*(0.1,1.0)
  z1 = c1 = fn1(1.5*z*z), z2 = c2 = fn2(2.25*z1*z), 
  z3 = c3 = fn3(3.375*z2*z), z4 = c4 = fn4(z1*c2*z3)*(1/pixel)
  l1 = real(p1), l2 = imag(p1), l3 = real(p2), l4 = imag(p2)
  bailout = 16 , iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), t3 = (iter==l3), t4 = (iter==l4)
  z = z*(1-(t1||t2||t3||t4)) + z1*t1 + z2*t2 + z3*t3 + z4*t4
  c = c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 + c4*t4
  z = z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: msg-1.frm
}


BJ-SG-G-1-g038 {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = pixel*(0.1,1.0)
  z1 = c1 = fn1(1.5*z*z), z2 = c2 = fn2(2.25*z1*z*z*z), 
  z3 = c3 = fn3(3.375*z2*z*z*z*z), z4 = c4 = fn4(z1*c2*z3)*(1/pixel)
  l1 = real(p1), l2 = imag(p1), l3 = real(p2), l4 = imag(p2)
  bailout = 16 , iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), t3 = (iter==l3), t4 = (iter==l4)
  z = z*(1-(t1||t2||t3||t4)) + z1*t1 + z2*t2 + z3*t3 + z4*t4
  c = c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 + c4*t4
  z = z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: msg-1.frm
}


BJ-SG-G-1-g047 {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = pixel*(0.1,1.0)
  z1 = c1 = fn1(1.5*z/z/z), z2 = c2 = fn2(sqrt(2.25*z1)), 
  z3 = c3 = fn3(conj(3.375*z2))*(1/pixel), 
  z4 = c4 = fn4(z1*c2*z3)*((0.1,1.0)/pixel)
  l1 = real(p1), l2 = imag(p1), l3 = real(p2), l4 = imag(p2)
  bailout = 16 , iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), t3 = (iter==l3), t4 = (iter==l4)
  z = z*(1-(t1||t2||t3||t4)) + z1*t1 + z2*t2 + z3*t3 + z4*t4
  c = c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 + c4*t4
  z = z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: msg-1.frm
}


BJ-SG-G-1-g051 {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = pixel*(0.1,1.0)
  z1 = c1 = fn1(1.5*z*z*z*z), z2 = c2 = fn2(sqrt(2.25*z1)),
  z3 = c3 = fn3(conj(3.375*z2))*(1/pixel), 
  z4 = c4 = fn4(conj(sin(z1*c2*z3)*(1/pixel)))
  l1 = real(p1), l2 = imag(p1), l3 = real(p2), l4 = imag(p2)
  bailout = 16 , iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), t3 = (iter==l3), t4 = (iter==l4)
  z = z*(1-(t1||t2||t3||t4)) + z1*t1 + z2*t2 + z3*t3 + z4*t4
  c = c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 + c4*t4
  z = z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: msg-1.frm
}


BJ-SG-G-1-g052 {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = pixel*(0.1,1.0)
  z1 = c1 = fn1(z*z*z), z2 = c2 = fn2(2.25*z1), 
  z3 = c3 = fn3(3.375*z2), z4 = c4 = fn4(z1*c2*z3)*(1/pixel)
  l1 = real(p1), l2 = imag(p1), l3 = real(p2), l4 = imag(p2)
  bailout = 16 , iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), t3 = (iter==l3), t4 = (iter==l4)
  z = z*(1-(t1||t2||t3||t4)) + z1*t1 + z2*t2 + z3*t3 + z4*t4
  c = c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 + c4*t4
  z = z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: msg-1.frm
}


BJ-SG-G-1-g053 {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = pixel*(0.1,1.0)
  z1 = c1 = fn1(1.5/(z*z*z)), z2 = c2 = fn2(2.25*z1), 
  z3 = c3 = fn3(3.375*z2), z4 = c4 = fn4(z*z*z)*(1/pixel)
  l1 = real(p1), l2 = imag(p1), l3 = real(p2), l4 = imag(p2)
  bailout = 16 , iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), t3 = (iter==l3), t4 = (iter==l4)
  z = z*(1-(t1||t2||t3||t4)) + z1*t1 + z2*t2 + z3*t3 + z4*t4
  c = c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 + c4*t4
  z = z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: msg-1.frm
}


BJ-SG-G-1-g060 {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = sqr(conj(0.75*(pixel)))
  z1 = c1 = fn1(1.5/(z*z*z*z))/p3, z2 = c2 = fn2(2.25*z1*z*z),
  z3 = c3 = fn3(3.375*z2), z4 = c4 = fn4(z*z*z)^(1/pixel)
  l1 = real(p1), l2 = imag(p1), l3 = real(p2), l4 = imag(p2)
  bailout = 16 , iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), t3 = (iter==l3), t4 = (iter==l4)
  z = z*(1-(t1||t2||t3||t4)) + z1*t1 + z2*t2 + z3*t3 + z4*t4
  c = c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 + c4*t4
  z = z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: msg-1.frm
}


BJ-SG-G-1-g062 {;Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = sqr(conj(0.75*(pixel*pixel)))*(0.1,1.0)
  z1 = c1 = fn1(1.5/(z*z*z*z*z*z*z*z))/p3, z2 = c2 = fn2(2.25*z1*z*z),
  z3 = c3 = fn3(3.375*z2), z4 = c4 = fn4(z*z*z)^(1/pixel)
  l1 = real(p1), l2 = imag(p1), l3 = real(p2), l4 = imag(p2)
  bailout = 16 , iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), t3 = (iter==l3), t4 = (iter==l4)
  z = z*(1-(t1||t2||t3||t4)) + z1*t1 + z2*t2 + z3*t3 + z4*t4
  c = c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 + c4*t4
  z = z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: msg-1.frm
}


BJ-SG-G-1-g067 {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = fn4((((0.3,0.6)+pixel)/(0.20/-pixel))*(0.1,1.0)) 
  z1 = c1 = fn1(conj(sin(0.0742,-0.0391)))*(1.5*z), 
  z2 = c2 = fn2(2.25*z1),
  z3 = c3 = fn3(3.375*z2), z4 = c4 = (z*z*z)*(1/pixel)
  l1 = real(p1), l2 = imag(p1), l3 = real(p2), l4 = imag(p2)
  bailout = 16, iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), t3 = (iter==l3), t4 = (iter==l4)
  z = z*(1-(t1||t2||t3||t4)) + z1*t1 + z2*t2 + z3*t3 + z4*t4
  c = c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 + c4*t4
  z = z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: msg-1.frm
}


BJ-SG-G-1-g069 {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = pixel*(0.1,1.0)
  z1 = c1 = fn1(1.5*z)*(0.1,1.0), z2 = c2 = fn2(2.25*z1)*(0.1,1.0), 
  z3 = c3 = fn3(3.375*z2)*(0.1,1.0), z4 = c4 = fn4(z1*c2*z3)*pixel
  l1 = real(p1), l2 = imag(p1), l3 = real(p2), l4 = imag(p2)
  bailout = 16, iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), t3 = (iter==l3), t4 = (iter==l4)
  z = z*(1-(t1||t2||t3||t4)) + z1*t1 + z2*t2 + z3*t3 + z4*t4
  c = c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 + c4*t4
  z = z*z+c
  iter = iter+1
  |z| <= bailout
  ;SOURCE: msg-1.frm
}


BJ-SG-G-1-g070 {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = pixel*(0.1,1.0)
  z1 = c1 = 1.5*z, z2 = c2 = fn1(fn3(2.25*z1)), 
  z3 = c3 = 3.375*z2, z4 = c4 = fn2(fn4(5.0625*z3))^z*z*z,  
  z5 = c5 = z*z*z, z6 = c6 = z*z*z*z*z*z*z*z*z
  l1 = real(p1), l2 = imag(p1), 
  l3 = real(p2), l4 = imag(p2),  
  l5 = real(p3), l6 = imag(p3)
  bailout = 16 , iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), 
  t3 = (iter==l3), t4 = (iter==l4), 
  t5 = (iter==l5), t6 = (iter==l6) 
  z = z*(1-(t1||t2||t3||t4||t5||t6))+z1*t1+z2*t2+z3*t3+z4*t4+z5*t5+z6*t6
  c = c*(1-(t1||t2||t3||t4||t5||t6))+c1*t1+c2*t2+c3*t3+c4*t4+c5*t5+c6*t6
  iter = iter+1
  z = z*z+c
  |z| <= bailout
  ;SOURCE: msg-1.frm
}


BJ-SG-G-1-g071 {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  pixel=-abs(real(pixel))+flip(imag(pixel)),
 ; Borrowed, not stolen from Bob Carr   
  m=conj(0.0130/pixel)+flip(0.0020/pixel)+tanh(0.0010/pixel), 
  z=(pixel+(pixel^2.18)+m^6)-0.5                                
  c=cabs(sqr(2*(pixel)-m))                                      
  z1 = c1 = 1.5*z, z2 = c2 = fn1(2.25*z1), 
  z3 = c3 = fn4(3.375*z2), z4 = c4 = fn2(5.0625*z3)^fn3(z*z*z) 
  l1 = real(p1), l2 = imag(p1), l3 = real(p2), l4 = imag(p2) , 
  bailout = 16, iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), t3 = (iter==l3), t4 = (iter==l4) 
  z = z*(1-(t1||t2||t3||t4||t5||t6)) + z1*t1 + z2*t2 + z3*t3 + z4*t4 
  c = c*(1-(t1||t2||t3||t4||t5||t6)) + c1*t1 + c2*t2 + c3*t3 + c4*t4 
  iter = iter+1
  z = z*z+c
  |z| <= bailout
  ;SOURCE: msg-1.frm
}


BJ-SG-G-1-g074 {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = pixel, lambda = (1.0,0.4), pix2 = pixel*4+0.8, 
  compt = 0 , limit = real(p1)
  z1 = c1 = (1.5*z)+fn1((z-pix2)*test2 + pix2 / ((z*z+c-z2)*test1+z2)), 
  z2 = c2 = 2.25*z, 
  z3 = c3 = fn2((z-pix2)*test2 + pix2 / ((z*z+c-z2)*test1+z2)), 
  z4 = c4 = fn3((z-pix2)*test2 + pix2 / ((z*z+c-z2)*test1+z2))
  l1 = real(p1), l2 = imag(p1), l3 = real(p2), l4 = imag(p2)
  bailout = 4096 - 4032*test1, 
  iter = 0, pix2 = pixel*4+0.8, compt = 0, limit = real(p3) :
  t1 = (iter==l1) , t2 = (iter==l2) , t3 = (iter==l3) , t4 = (iter==l4)
  test1 = (compt<limit) , test2 = (compt!=limit)
  z = z*(1-(t1||t2||t3||t4)) + z1*t1 + z2*t2 + z3*t3 + z4*t4
  c = c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 + c4*t4
  z = (z-pix2)*test2 + pix2
  z5 = lambda*sin(z)
  z = (z*z+c)
  iter = iter+1
  |z| <= bailout
  ;SOURCE: msg-1.frm
}


BJ-SG-G-1-h {; Modified Sylvie Gallet [101324,3444], 1996
   ; 0 < real(p1) < imag(p1) < real(p2) < imag(p2) < maxiter, 
   ; periodicity=0
  c = z = pixel,c1 = fn1(c=sin(conj(-0.81256,-0.1295)))/p3
  z1 = c1 = 1.5*z, z2 = c2 = 2.25*z, 
  z3 = c3 = 3.375*z, z4 = c4 = 5.0625*z
  l1 = real(p1), l2 = imag(p1), l3 = real(p2), l4 = imag(p2)
  bailout = 16, iter = 0 :
  t1 = (iter==l1), t2 = (iter==l2), t3 = (iter==l3), t4 = (iter==l4)
  z = z*(1-(t1||t2||t3||t4)) + z1*t1 + z2*t2 + z3*t3 + z4*t4
  c = c*(1-(t1||t2||t3||t4)) + c1*t1 + c2*t2 + c3*t3 + c4*t4
  z = fn2(z*z)*(z*z*z+c)
  iter = iter+1
  |z| <= bailout
  ;SOURCE: sg-bc-bj.frm
}


BJ-SG-man-lam1 {; Modified Sylvie Gallet [101324,3444], 1995
                ; requires "periodicity=0" (<g> command)
  c = z = pixel , lambda = (1.0,0.4)
  pix2 = pixel*4+0.8 , compt = 0 , limit = real(p1) :
  test1 = (compt<limit) , test2 = (compt!=limit)
  z = (z-pix2)*test2 + pix2
  bailout = 20000 + 1000*test1   ; the bug is here...
  z2 = lambda*sin(fn1(z))
  z = (z*z+c-z2)*test1+z2
  compt = compt+1
  |z| <= bailout
  ;SOURCE: sg-bc-bj.frm
}


BJ-SG-man-lam2 {; Modified Sylvie Gallet [101324,3444], 1995
                ; requires "periodicity=0" (<g> command)
  c = z = pixel , lambda = (1.0,0.4)
  pix2 = pixel*4+0.8 , compt = 0 , limit = real(p1) :
  test1 = (compt<limit) , test2 = (compt!=limit)
  z = (z-pix2)*test2 + pix2
  bailout = 20000 + 1000*test1   ; the bug is here...
  z2 = fn1(lambda*fn2(sin(fn3(z))))
  z = (z*z+c-z2)*test1+z2
  compt = compt+1
  |z| <= bailout
  ;SOURCE: sg-bc-bj.frm
}


BJ-SG-man-lam6 {; Modified Sylvie Gallet [101324,3444], 1995
                ; requires "periodicity=0" (<g> command)
  c = z = pixel , lambda = (1.0,0.4)
  pix2 = pixel*4+0.8 , compt = 0 , limit = real(p1) :
  test1 = (compt<limit) , test2 = (compt!=limit)
  z = (z-pix2)*test2 + pix2
  bailout = 20000 + 1000*test1   ; the bug is here...
  z2 = fn1((lambda^p2)*fn2(sin(fn3(z))))
  z = (z*z+c-z2)*test1+z2
  compt = compt+1
  |z| <= bailout
  ;SOURCE: sg-bc-bj.frm
}


BJ-SG-man-lam7 {; Modified Sylvie Gallet [101324,3444], 1995
                ; requires "periodicity=0" (<g> command)
  c = z = pixel , lambda = (1.0,0.4)
  pix2 = pixel*4+0.8 , compt = 0 , limit = real(p1) :
  test1 = (compt<limit) , test2 = (compt!=limit)
  z = (z-pix2)*test2 + pix2
  bailout = 20000 + 1000*test1   ; the bug is here...
  z2 = fn1((lambda^p2)*fn2(sin(fn3(z))))
  c=(-0.7456,-.0186)
  c=sin(conj(-0.81256,-0.1295))
  z = (z*z+c-z2)*test1+z2
  compt = compt+1
  |z| <= bailout
  ;SOURCE: sg-bc-bj.frm
}


BJ-SG-man-man-a {; Modified Sylvie Gallet [101324,3444], 1995
                 ; requires "periodicity=0" (<g> command)
  c1 = (0.34396372130558980 , 0.05608272738673762)
  c2 = (-0.72141758920523890 , 0.25918045895127010)
  c = z = sqr(conj(fn2(pixel))) , delta = fn1(c2-c1) , b = c+delta
  compt = 0 , limit = real(p1) , bailout = 16 :
  test1 = (compt<limit) , test2 = (compt!=limit)
  z = z * test2
  c = b - delta * test1
  z = z*z+c
  compt = compt+1
  |z| <= bailout
  ;SOURCE: sg-bc-bj.frm
}


BJ-SG-man-man-c {; Modified Sylvie Gallet [101324,3444], 1995
                 ; requires "periodicity=0" (<g> command)
  c1 = (0.34396372130558980 , 0.05608272738673762)
  c2 = (-0.72141758920523890 , 0.25918045895127010)
  c = z = sqr(conj(fn1(fn2(pixel)))) , delta = fn3(c2-c1) , b = c+delta
  compt = 0 , limit = real(p1) , bailout = 16 :
  test1 = (compt<limit) , test2 = (compt!=limit)
  z = z * test2
  c = b - delta * test1
  z = z*z+c
  compt = compt+1
  |z| <= bailout
  ;SOURCE: sg-bc-bj.frm
}


BJ-SG-man-newt-dd {; Modified Sylvie Gallet [101324,3444], 1995
  z = pixel , c = z , iter = 1
  rad = 3.1 , center = (1.0,0.1)
  pix = (10*pixel+(5.0,-3.4))*(-0.1,-0.95)
  zn = center+rad/(pix-center)
  limit = real(p1) , b1 = 16 , b2 = 0.0001 :
  test1 = (iter<limit) , test2=(iter!=limit)
  z = (z-zn)*test2 + zn
  z2 = fn1(z*z)/(z*z*z) , z4 = z2*z2 , z1 = (z4*z-1)/(4*z4)
  z = (z2+c)*test1 + (z-z1)*(1-test1) 
  iter = iter+1
  ((|z| <= b1) * test1) || ((|z1| >= b2) * (1-test1))
  ;SOURCE: msg-1.frm
}


BJ-SG-man-newt-ee {; Modified Sylvie Gallet [101324,3444], 1995
  z = pixel , c = z , iter = 1
  rad = 3.1 , center = (1.0,0.1)
  pix = (10*pixel+(5.0,-3.4))*(-0.1,-0.95)
  zn = center+rad/(pix-center)
  limit = real(p1) , b1 = 16 , b2 = 0.0001 :
  test1 = (iter<limit) , test2=(iter!=limit)
  z = (z-zn)*test2 + zn
  z2 = z*z+c , z4 = fn1(z2*z2) , z1 = (z4*z-1)/(4*z4)
  z = (z2+c)*test1 + (z-z1)*(1-test1) 
  iter = iter+1
  ((|z| <= b1) * test1) || ((|z1| >= b2) * (1-test1))
  ;SOURCE: sg-bc-bj.frm
}


BJ-SG-man-newt-gg {; Modified Sylvie Gallet [101324,3444], 1995
  z = pixel , c = z , iter = 1,
  rad = 3.1 , center = (1.0,0.1)
  pix = (10*pixel+(5.0,-3.4))*(-0.1,-0.95)
  zn = center+rad/(pix-center)
  limit = real(p1) , b1 = 16 , b2 = 0.0001 :
  test1 = (iter<limit) , test2=(iter!=limit)
  z = (z-zn)*test2 + zn
  x = real(z) , y = imag(z)
  x1 = x - p2*fn1(y*y+p2*fn2(y))
  y1 = y - p2*fn1(x*x+p2*fn2(x))
  z = x1+flip(y1)
  z2 = z*z+c , z4 = fn1(z2*z2) , z1 = (z4*z-1)/(4*z4)
  z = (z2)*test1 + (z-z1)*(1-test1) 
  iter = iter+1
  ((|z| <= b1) * test1) || ((|z1| >= b2) * (1-test1))
  ;SOURCE: sg-bc-bj.frm
}


BJ-SG-man-newt-h {; Modified Sylvie Gallet [101324,3444], 1995
  z = pixel , c = sqr(fn1(z)/p2)^2+0.25 , iter = 1
  rad = 3.1 , center = (1.0,0.1)
  pix = (10*pixel+(5.0,-3.4))*(-0.1,-0.95)
  zn = center+rad/(pix-center)
  limit = real(p1) , b1 = 16 , b2 = 0.0001 :
  test1 = (iter<limit) , test2=(iter!=limit)
  z = (z-zn)*test2 + zn
  z2 = z*z , z4 = z2*z2 , z1 = (z4*z-1)/(4*z4)
  z = (z2+c)*test1 + (z-z1)*(1-test1) 
  iter = iter+1
  ((|z| <= b1) * test1) || ((|z1| >= b2) * (1-test1))
  ;SOURCE: sg-bc-bj.frm
}


BJ-SG-man-newt-j {; Modified Sylvie Gallet [101324,3444], 1995
  z = pixel , c = sqrt(fn1(conj(fn2(z+pixel)))/p2)^2+0.25 , iter = 1
  rad = 3.1 , center = (1.0,0.1)
  pix = (10*pixel+(5.0,-3.4))*(-0.1,-0.95)
  zn = center+rad/(pix-center)
  limit = real(p1) , b1 = 16 , b2 = 0.0001 :
  test1 = (iter<limit) , test2=(iter!=limit)
  z = (z-zn)*test2 + zn
  z2 = z*z , z4 = z2*z2 , z1 = (z4*z-1)/(4*z4)
  z = (z2+c)*test1 + (z-z1)*(1-test1) 
  iter = iter+1
  ((|z| <= b1) * test1) || ((|z1| >= b2) * (1-test1))
  ;SOURCE: sg-bc-bj.frm
}


BJ-SG-man-newt-k {; Modified Sylvie Gallet [101324,3444], 1995
  z = pixel , c = sqrt(fn1(conj(fn2(z+pixel))/p2))^2+0.25 , iter = 1
  rad = 3.1 , center = (1.0,0.1)
  pix = (10*pixel+(5.0,-3.4))*(-0.1,-0.95)
  zn = center+rad/(pix-center)
  limit = real(p1) , b1 = 16 , b2 = 0.0001 :
  test1 = (iter<limit) , test2=(iter!=limit)
  z = (z-zn)*test2 + zn
  z2 = z*z , z4 = z2*z2 , z1 = (z4*z-1)/(4*z4)
  z = (z2+c)*test1 + (z-z1)*(1-test1) 
  iter = iter+1
  ((|z| <= b1) * test1) || ((|z1| >= b2) * (1-test1))
  ;SOURCE: sg-bc-bj.frm
}


BJ-SG-man-newt-l {; Modified Sylvie Gallet [101324,3444], 1995
  z = pixel , c = fn1(real(pixel))+fn2(sqrt(imag(pixel))), iter = 1
  rad = 3.1 , center = (1.0,0.1)
  pix = (10*pixel+(5.0,-3.4))*(-0.1,-0.95)
  zn = center+rad/(pix-center)
  limit = real(p1) , b1 = 16 , b2 = 0.0001 :
  test1 = (iter<limit) , test2=(iter!=limit)
  z = (z-zn)*test2 + zn
  z2 = z*z , z4 = z2*z2 , z1 = (z4*z-1)/(4*z4)
  z = (z2+c)*test1 + (z-z1)*(1-test1) 
  iter = iter+1
  ((|z| <= b1) * test1) || ((|z1| >= b2) * (1-test1))
  ;SOURCE: sg-bc-bj.frm
}


BJ-SG-man-newt-p {; Modified Sylvie Gallet [101324,3444], 1995
  z = pixel , c = c=sin(fn1(sqrt(log(1/pixel*0.91/pixel)))), iter = 1
  rad = 3.1 , center = (1.0,0.1)
  pix = (10*pixel+(5.0,-3.4))*(-0.1,-0.95)
  zn = center+rad/(pix-center)
  limit = real(p1) , b1 = 16 , b2 = 0.0001 :
  test1 = (iter<limit) , test2=(iter!=limit)
  z = (z-zn)*test2 + zn
  z2 = z*z , z4 = z2*z2 , z1 = (z4*z-1)/(4*z4)
  z = (z2+c)*test1 + (z-z1)*(1-test1) 
  iter = iter+1
  ((|z| <= b1) * test1) || ((|z1| >= b2) * (1-test1))
  ;SOURCE: msg-1.frm
}


BJ-SG-MaNewt-001 {; Modified Sylvie Gallet [101324,3444], 1995
  z = fn1(1/pixel) , c = z , iter = 1
  rad = 3.1 , center = (1.0,0.1)
  pix = (10*pixel+(5.0,-3.4))*(-0.1,-0.95)
  zn = center+rad/(pix-center)
  limit = real(p1) , b1 = 16 , b2 = 0.0001 :
  test1 = (iter<limit) , test2=(iter!=limit)
  z = (z-zn)*test2 + zn
  z2 = z*z , z4 = z2*z2 , z1 = (z4*z-1)/(4*z4)
  z = (z2+c)*test1 + (z-z1)*(1-test1) 
  iter = iter+1
  ((|z| <= b1) * test1) || ((|z1| >= b2) * (1-test1))
  ;SOURCE: bejones.frm
}


BJ-SG-MaNewt-014 {; Modified Sylvie Gallet [101324,3444], 1995
  z = pixel + rad, c = z , iter = 1
  rad = 3.1 , center = (1.0,0.1)
  pix = fn1((10*pixel+(5.0,-3.4))*(-0.1,-0.95))
  zn = fn2(center+rad/(pix-center))
  limit = real(p1) , b1 = 16 , b2 = 0.0001 :
  test1 = (iter<limit) , test2=(iter!=limit)
  z = (z-zn)*test2 + zn
  z2 = z*z , z4 = z2*z2 , z1 = (z4*z-1)/(4*z4)
  z = (z2+c)*test1 + (z-z1)*(1-test1) 
  iter = iter+1
  ((|z| <= b1) * test1) || ((|z1| >= b2) * (1-test1))
  ;SOURCE: 96msg.frm
}


BJ-SG-MaNewt-024 {; Modified Sylvie Gallet [101324,3444], 1995
  z = pixel * (center/p2) , c = z , iter = 1
  rad = 3.1 , center = fn1(-1.0,0.1)
  pix = fn2((10*pixel+((5.0,-1.4)/p3))*(0.0,-1.0))
  zn = fn3(center+rad/(pix-center))
  limit = real(p1) , b1 = 16 , b2 = 0.0001 :
  test1 = (iter<limit) , test2=(iter!=limit)
  z = (z-zn)*test2 + zn
  z2 = z*z , z4 = z2*z2 , z1 = (z4*z-1)/(4*z4)
  z = (z2+c)*test1 + (z-z1)*(1-test1) 
  iter = iter+1
  ((|z| <= b1) * test1) || ((|z1| >= b2) * (1-test1))
  ;SOURCE: bejones.frm
}


BJ-SG-MaNewt-026 {; Modified Sylvie Gallet [101324,3444], 1995
  z = pixel * fn1(rad/p2) , c = z , iter = 1
  rad = 3.1 , center = (1.0,0.1)
  pix = fn2((10*pixel+(5.0,-3.4/p3))*(0.0,-0.95))
  zn = fn3(center+rad/(pix-center))
  limit = real(p1) , b1 = 16 , b2 = 0.0001 :
  test1 = (iter<limit) , test2=(iter!=limit)
  z = (z-zn)*test2 + zn
  z2 = z*z , z4 = z2*z2 , z1 = (z4*z-1)/(4*z4)
  z = (z2+c)*test1 + (z-z1)*(1-test1) 
  iter = iter+1
  ((|z| <= b1) * test1) || ((|z1| >= b2) * (1-test1))
  ;SOURCE: bejones.frm
}


BJ-Spider-a {; Brian Jones [102702,2213], 1996  Requires passes=1
             ; Modification of Ron Barnett's MandJulia frm
  z = pixel+whitesq*p1,
  c = pixel + (whitesq==0)*p2:
  z = (sqr(z) + c)/p3,
  c = z + c/2,
  |z|<4
  ;SOURCE: phc.frm
}


BJ-Spider-c {; Brian Jones [102702,2213], 1996  Requires passes=1
             ; Modification of Ron Barnett's MandJulia frm
  z = pixel+(whitesq==0)*p3,
  c = pixel * p1 * (whitesq==0)/p2:
  z = sqr(z) + c,
  c = z + fn1(c/2)/p1,
  |z|<4
  ;SOURCE: phc.frm
}


BJ-Zexpe-004e {
  s = exp(1.,0.), z = Pixel:
  z = z ^ s + pixel
  s = fn1(s + fn2(z*s)) / s
  |z| <= 100
  ;SOURCE: bej0015.frm
}


BJ-Zexpe-008 {
  s = fn1(exp(1.,0.)*(p1*p2)), z = pixel:
  z = z ^ s + pixel 
  |z| <= 100
  ;SOURCE: bej0015.frm
}


BJ-Zexpe-009 {
  s = fn1(exp(1.,0.)*fn2(p1*p2)), z = pixel:
  z = z ^ s + pixel 
  |z| <= 100
  ;SOURCE: bej0015.frm
}


BJ-Zexpe-010 {
  s = exp(p1)^fn1(p2), z = pixel:
  z = z ^ s + pixel 
  |z| <= 100
  ;SOURCE: bej0015.frm
}


BJ-Zexpe-016 {
  z = fn1(pixel), s = (exp(1.,0.)*fn2(p1*p2)), Root = 1:
  z3 = ((z^ s + pixel)*z*z)
  z4 = z3 * z
  z = (3 * z4 + Root) / (4 * z3) 
  .004 <= |z4 - Root|
  ;SOURCE: bej0015.frm
}


BJ-Zexpe-018 {
  z = pixel, s = (exp(1.,0.)*fn2(p1*p2)), Root = 1:
  z3 = fn1(z*z)^ s + pixel
  z4 = z3 * z * z
  z5 = (3 * z4 + Root) / (4 * z3) 
  z = z*z + pixel
  .004 <= |z| != |z4 - Root|
  ;SOURCE: bej0015.frm
}


BJ_Newton1 {
  z=pixel,Root=1:
  z=fn1(fn2(z*z+c))
  z1=sqr(z)
  z2=log(z)/z1+1
  z3=z+p1*z2/(cos(z)+z1)
  .0004<|z+Root|
  ;SOURCE: bej3.frm
}


Bjax {
  z=c=2/pixel:
  z =(1/((z^(real(p1)))*(c^(real(p2))))*c) + c
  ;SOURCE: fractint.frm
}


Block {
  z = c = pixel + p1:
  r = fn1(z) / floor(c)
  z = r * z
  q = ceil(c) / fn2(z)
  z = z * (q / r)
  round(z) < 4
  ;SOURCE: cubist.frm
}


Block_2 {
  z = c = pixel:
  r = fn1(z) / floor(c)
  z = r * z + p1
  q = ceil(c) / fn2(z)
  z = z * q * r
  round(z) < 4
  ;SOURCE: cubist.frm
}


Block_3 {
  z = c = pixel:
  r = fn2(z) + p1
  q = fn1(z) * floor(c)
  z = z *(q / r)
  ceil(z) < 4
  ;SOURCE: cubist.frm
}


Block_4 {
  z = c = pixel:
  r = tan(1/z) + p1
  q = floor(z) - p2 * ceil(c) - p3
  z = fn1(z) * r * q
  round(z) < 4
  ;SOURCE: cubist.frm
}


BOFMaps61-65 {; A variation on Newton's method
              ; Use 0/-0.5 for P1, and Floating Point to 
              ; create the fractals used for
              ; maps 61 through 65, on pages 90 and 91, 
              ; in "The Beauty of Fractals".             
  z=Pixel:
  z2=z*z;
  z3=z*z*z;
  z4=z*z*z*z;
  z=z-((z4-z3*0.5+z2*0.5-z*0.5-0.5)/((z3*4-z2*1.5+z-.5)+P1)),
  |(z4-z3*0.5+z2*0.5-z*0.5-0.5)| >= 0.00004
  ;SOURCE: bofmaps.frm
}


BOFMaps75-76 {; A variation on Newton's method
              ; Use 0/0.25 for P1, and Floating Point to 
              ; create the fractals used for
              ; maps 75 and 76, on pages 114 and 115, 
              ; in "The Beauty of Fractals". 
  z=Pixel:
  z2=z*z;
  z3=z*z*z;
  z=z-((z3-z*.25-1.25)/((z2*3-.25)+P1)),
  |(z3-z*.25-1.25)| >= 0.000001
  ;SOURCE: bofmaps.frm
}


BOFMaps77-78 {; Another variation on Newton's method
              ; Use 0/0 for P1, and Floating Point to 
              ; create the fractals used for
              ; maps 77 and 78, on pages 116 nad 117, 
              ; in "The Beauty of Fractals"       
  z=Pixel:
  z2=z*z;
  z3=z*z*z;
  z=z-((z3-z*.5-.5)/((z2*3-.5)+P1)),
  |(z3-z*.5-.5)| >= 0.000000000001
  ;SOURCE: bofmaps.frm
}


bok001 (XAXIS) {
  z = c = pixel
  x = 1:
  z = sqr(z) + c + (x >= p1)
  x = x + 1,
  |z| <= 4
  ;SOURCE: bokonon.frm
}


bok002 (XAXIS) { 
  z = c = pixel
  x = 1:
  z = sqr(z) - c - (x >= p1)
  x = x + 1,
  |z| <= 4
  ;SOURCE: bokonon.frm
}


bok003 (XAXIS) { 
  z = c = pixel
  x = 1:
  z = sqr(z) + c + fn1(x*z*(x >= p1))
  x = x + 1,
  |z| <= 4
  ;SOURCE: bokonon.frm
}


bok004 (XAXIS) {
  z = c = pixel
  x = 1:
  z = sqr(z) + c - fn1(x*z*(x >= p1))
  x = x + 1,
  |z| <= 4
  ;SOURCE: bokonon.frm
}


bok004A (XAXIS) {
  z = c = pixel
  x = 1:
  z = sqr(z) + c - fn1(z*(x >= p1))
  x = x + 1
  |z| <= 4
  ;SOURCE: bokonon.frm
}


bok005 (XAXIS) {
  z = c = pixel
  x = 1:
  z = sqr(z) + c + fn1(x*z) * (x >= p1)
  x = x + 1,
  |z| <= 4
  ;SOURCE: bokonon.frm
}


bok006 (XAXIS) { 
  z = c = pixel
  x = 1:
  z = sqr(z) + c - fn1(z) * (x >= p1)
  x = x + 1,
  |z| <= 4
  ;SOURCE: bokonon.frm
}


bok007 (XAXIS) {
  z = c = pixel
  x = 1:
  z = z*z + c + (x>=p1)*(fn1(z)/fn2(z))
  x = x + 1
  |z| <= 4+p2
  ;SOURCE: bokonon.frm
}


bok008 (XAXIS) {
   z = c = pixel
   x = 0:
   x = x + 1
   z = sqr(fn1(z))*(x<=p1) + sqr(1/fn1(z))*(x>p1) + c,
   |z| <= 4+p2
  ;SOURCE: bokonon.frm
}


bok010 (XAXIS) {
  z = c = pixel
  x = 1:
  z = (fn1(z) + c)*(x<=p1) + (fn2(z) + c) * (x>=p1)
  x = x + 1,
  |z| <= 4+p2
  ;SOURCE: bokonon.frm
}


bok011 (XAXIS) {
  z = c = pixel:
  z = (fn1(z)^2 + c) * (x<=p1) + (fn2(z)^2 + c) * (x>p1)
  x = real(z)
  |z| <= 4+p2
  ;SOURCE: bokonon.frm
}


boksleym1 (XAXIS) {; Becomes formula barnsleym1 for fn1=fn2=identity 
  z = c = pixel:
  x = real(z)
  z = c*fn1(z-1)*(x>=0) + c*fn2(z+1)*(x<0)
  |z| <= 4+p2
  ;SOURCE: bokonon.frm
}


boksleym2 {; Becomes formula barnsleym2 for fn1=fn2=identity 
  z = c = pixel:
  x = real(z)*imag(c) + real(c)*imag(z)
  z = c*fn1(z-1)*(x>=0) + c*fn2(z+1)*(x<0)
  |z| <= 4+p2
  ;SOURCE: bokonon.frm
}


boksleym3 (XAXIS) {; Becomes formula barnsleym3 for fn1=fn2=identity 
  z = c = pixel:
  x = real(z)
  z1 = sqr(real(z)) - sqr(imag(z)) - 1
  z2 = (0,1) * 2 * real(z) * imag(z)
  z3 = real(c) * real(z)
  z4 = (0,1) * imag(c) * real(z)
  z = fn1(z1 + z2) * (x > 0) + fn2(z1 + z3 + z2 + z4) * (x <= 0)     
  |z| <= 4+p2
  ;SOURCE: bokonon.frm
}


Boogie {
  z = 0, c = pixel:
  z = z + p1
  z = fn1(c) + fn2(z)
  z = z * z + pixel
  |z| < 4
  ;SOURCE: gestalt.frm
}


Brahmin {
  z = pixel:
  z = z + p1
  r = tan(1/z)^fn1(e)
  z = r * fn2(z) 
  |z| <= 4
  ;SOURCE: shakti.frm
}


bubbles {; Jim Muth
         ; As Posted in Fractal-Art, 4/18/97
  z=c=pixel:
  a=sqr(z)+(c-1)*z-c
  b=3*sqr(z)+c-1
  z=z-2*a/b,
  .000000000000000000000000000001 <= |a|
  ;SOURCE: 97msg.frm
}


BUG01 (XAXIS) {
  z = 0: 
  z = pixel + z + p1
  z = z^z + fn1(z^5)
  ;SOURCE: damion.frm
}


BUG02 (XAXIS) {
  z = 0: 
  z = pixel + z + p1
  z = fn1(z) + z^z + c
  ;SOURCE: damion.frm
}


BUG03 (XAXIS) {
  z = 0:
  z = pixel + z + p1
  z = z^z + z^6 + pixel
  z <= 4
  ;SOURCE: damion.frm
}


BUG04 (XAXIS) {
  z = 0:
  z = pixel + z + p1
  z = fn1(z ^ z) + z^5 
  ;SOURCE: damion.frm
}


BUG05 (XYAXIS) {
  z = 0:
  z = sin(z) + cos(pixel) + c + p1
  z = z ^ fn1(z) + z  
  ;SOURCE: damion.frm
}


BUG06 (XAXIS) {
  z = 0:
  pi = 3.141592654
  z = z * z + sqr(sin(pi))
  z = fn1(z) + z ^ z  
  z = z + pixel
  ;SOURCE: damion.frm
}

