

C {
  z=pixel, 
  c=3.141592653589793:
  z = log(c*pixel*z) + z, 
  |z| <= 50
  ;SOURCE: hubert.frm
}


c3 {
  z=pixel,f=(fn2(fn1(z-1/pixel))):
  z=fn3(z/exp(z+1))*fn4(f)+c
  |z|<4
  ;SOURCE: ad1.frm
}


c5 {
  z=pixel,x=fn3(1/z+1),y=fn4(1/z-1):
  z=(fn1(z/x)*fn2(z/y))+c
  |z|<4
  ;SOURCE: ad1.frm
}


c9 {
  z=pixel,x=fn1(1/(z*tan(z+1)))*fn2(1/z+1):
  z=(fn3(x)/fn3(z))*fn4((x/z)+c)
  |z|<4
  ;SOURCE: ad1.frm
}


CANON1 {;12/2/94 a,b,c are modified by fn(), z value is bailout 
  z=pixel,c=1,a=p1,b=p2:
  z=fn1(z)+(a*b*c)
  |z|<=4
  a=(fn2(z)+a)/2
  |z|<=8
  b=(fn3(z)+b)/4
  |z|<=16
  c=(fn4(z)+c)/8
  |z|<=32
  ;SOURCE: canon.frm
}


CANON2 {;12/2/94 z is modified by fn()
  z=pixel,c=1,a=p1,b=p2:
  z=fn1(z)+(a*b*c)
  |z|<=4
  z=(fn2(z)+a)/2
  |z|<=8
  z=(fn3(z)+b)/4
  |z|<=16
  z=(fn4(z)+c)/8
  |z|<=32
  ;SOURCE: canon.frm
}


CANON3 {;12/2/94
  z=pixel,c=1,a=p1,b=p2:
  z=fn1(z)+(a*b*c)
  |z|<=4
  a=(fn2(z)*a)/2
  |z|<=8
  b=(fn3(z)*b)/4
  |z|<=16
  c=(fn4(z)*c)/8
  |z|<=32
  ;SOURCE: canon.frm
}


CANON4 {;12/3/94
  z=pixel,c=z^2,a=p1,b=p2:
  z=fn1(z)+(a*b*c)
  |z|<=4
  a=(fn2(z)*a)/2
  |z|<=8
  b=(fn3(z)*b)/4
  |z|<=16
  c=(fn4(z)*c)/8
  |z|<=32
  ;SOURCE: canon.frm
}


CANON5 {;12/3/94
  z=pixel,c=z^2,a=p1,b=p2:
  z=fn1(z)+(a*b*c)
  |z|<=4
  z=(fn2(z)*a)/2
  |z|<=8
  z=(fn3(z)*b)/4
  |z|<=16
  z=(fn4(z)*c)/8
  |z|<=32
  a=z/2
  b=z/4
  c=z/8
  ;SOURCE: canon.frm
}


CANON6 {;12/3/94
  z=pixel,c=z^2,a=p1,b=p2:
  z=fn1(z)-(a*b*c)
  |z|<=4
  a=(fn2(z)-a)/2
  |z|<=8
  b=(fn3(z)-b)/4
  |z|<=16
  c=(fn4(z)-c)/8
  |z|<=32
  ;SOURCE: canon.frm
}


Cardioid { ;author not listed
  z = 0, x = real(pixel), y=imag(pixel),
  c=x*(cos(y)+x*sin(y)):
  z=sqr(z)+c,
  |z| < 4
  ;SOURCE: frmtutor.frm
}


CarlsonJ1 {; from P. Carlson, modified by J.P. Louvet
           ; P1 = c
           ; P2 = degre
           ; P3 = iter (normalement 4)
  z=pixel,
  c=P1:
  Z=fn1(C*(Z^P2-1)),
  |z|<=P3
  ;SOURCE: jpl1.frm
}


carnival {; Jim Muth
          ; As Posted in Fractal-Art, 4/97
  z=c=pixel:
  a=(z*z*z)+(c-2)*z-c
  b=2*(sqr(z))+c-1
  z=z-1*a/b
  .000000000000000000000000000001 <= |a|
  ;SOURCE: 97msg.frm
}


cc3 { ; Revised 4/27/96 to eliminate superfluous "+c"
      ; Original version of this formula may be discarded
  z=pixel,m=(z+1)+z,n=(z-1)+z,
  x=srand(z),y=fn4(|z-1|^(x)):
  z=(fn1(m)*fn2(y^(n^z)))/fn3(x+1)+fn4(y)
  |z|<=4
  ;SOURCE: new.frm
}


Cerreal (XAXIS) {
  z = c = pixel:
  z = z * (fn1(c^2)/sqrt(z^2))/c - z^2 + p1
  |z| < 4
  ;SOURCE: surreal.frm
}


CGhalley (XYAXIS) {; Chris Green -- Halley's formula
   ; P1 real usually 1 to 1.5, P1 imag usually zero. Use floating point.
  z=(1,1):
  z5=z*z*z*z*z
  z6=z*z5
  z7=z*z6
  z=z-p1*((z7-z-pixel)/ ((7.0*z6-1)-(42.0*z5)*(z7-z-pixel)/(14.0*z6-2)))
  0.0001 <= |z7-z-pixel|
  ;SOURCE: fractint.frm
}


CGNewton3 {; Chris Green -- A variation on newton iteration.
  ; The initial guess is fixed at (1,1), but the equation solved
  ; is different at each pixel ( x^3-pixel=0 is solved).
  ; Use floating point.
  ; Try P1=1.8.
  z=(1,1):
  z2=z*z
  z3=z*z2
  z=z-p1*(z3-pixel)/(3.0*z2)
  0.0001 < |z3-pixel|
  ;SOURCE: fractint.frm
}


CGNewtonSinExp (XAXIS) {
  z=pixel:
  z1=exp(z)
  z2=sin(z)+z1-z
  z=z-p1*z2/(cos(z)+z1)
  .0001 < |z2|
  ;SOURCE: fractint.frm
}


Chebyshev (XAXIS) {; By Alastair Scott
  z = pixel:
  z = pixel * cos(p1*(1.57059-z*(1+0.16667*z*z+0.075*z*z*z*z+0.44643*z*z*z*z*z*z+0.030309*z*z*z*z*z*z*z*z)))
  |z|<=4 
  ;SOURCE: elliptic.frm
}


ChebyshevFN (XAXIS) {; Generalisation by Jon Horner
  z = pixel:
  z = pixel * fn1(p1*(1.57059-z*(1+0.16667*z*z+0.075*z*z*z*z+0.44643*z*z*z*z*z*z+0.030309*z*z*z*z*z*z*z*z)))
  |z|<=4 
  ;SOURCE: elliptic.frm
}


Chico {; Mutation of 'M-SetInNewton'. Mutated by Bradley Beacham [74223,2745]
       ; Original formula by Jon Horner [100112,1700]
       ; For 'M-SetInNewton' set FN1 & FN2 =IDENT and P1 & P2 = default
       ; p1 & p2 = Parameters (default 3,0 and 0,0)
  z = 0,  c = fn1(pixel),  cminusone = c-1
   ; The next line sets k=default if p1=0, else k=p1
  k = (3 * (|p1|<=0) + p1)
  kminusone = k - 1:
  oldz = z
  nm = k*c-kminusone*z*cminusone
  dn = k*(k*z*z+cminusone)
  z = fn2(nm/dn)+kminusone*z/k + p2
  0.01 <= |(z-oldz)|
  ;SOURCE: dons.frm
}


Chimney (XAXIS) {; Classic fractal with different bailout criteria
  z=Pixel:
  z=sqr(z)+Pixel,
  abs(real(z))<=real(p1)
  ;SOURCE: hutton.frm
}


ChZZ (XAXIS) {; Jm Collard-Richard
  z=pixel:
  zz=z^z;
  z1=cosh(z)-zz;
  z2=sinh(z)-(log(z)+1)*zz;
  z=z-(z1/z2) ,
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}


clipover (XAXIS) {
   ; Lets turn it inside out like the mandover mapping.
  z =1/pixel, zp = (0,0):
  temp = z
  z = -(z^.5) - zp
  zp = temp, |zp| <= 4 
  ;SOURCE: noel.frm
}


clips (XAXIS) {
   ; A rather bizzare varient made with a sign change.
  z = pixel, zp = (0,0):
  temp = z
  z = -(z^.5) - zp
  zp = temp, |zp| <= 4 
  ;SOURCE: noel.frm
}


CmplxMarksJul {; Jon Horner/Jonathan Osuch - Jun 1994
               ; set p1 = (0.1,0.9), p2 = 1
  z = pixel, c = p1, one = (1,0) :
  z = (c ^ (p2-one)) * sqr(z) + c ,
  |z| <= 4
  ;SOURCE: parser.frm
}


CmplxMarksMand {; Jon Horner/Jonathan Osuch - Jun 1994
  z = pixel + p1, c = pixel, one=(1,0) :
  z = (c ^ (p2-one)) * sqr(z) + c ,
  |z| <= 4
  ;SOURCE: parser.frm
}


CN_02_phc_r (XAXIS) {; Jo Weber, 8/1996 
   ; p2 = horizontal resolution: 320, 640, 800, 1024, 1280, 1600...
  count = (count + 1) * (count != (p2-1))
  evenodd = (evenodd == (count == 1))
  oddeven = (evenodd == 0)
  pm1 = p1-1.51,  z = pixel :
  oldz = z,
  z = (pm1*(z^p1)*oddeven +1)/(p1 * z^pm1)+z*evenodd
  |(z-oldz)|>=|0.001|
  ;SOURCE: 96msg.frm
}


cnigel (XAXIS) {
   ; Conjugates still show the chaotic banding it tends to
   ; produce in this fractal type.
  z = pixel,zp1=zp2=zp3=(0,0):
  temp = z
  z = z*z - zp3
  zp3 = zp2
  zp2 = zp1
  zp1 = conj(temp), |zp1| <= 4 
  ;SOURCE: noel.frm
}


cntr1 (XAXIS) {
   ; There are many different combinations on this theme.
  z = zp1 = zp2 = pixel:
  temp = z
  z  = z * zp2 + zp1
  zp2 = zp1
  zp1 = temp, |zp1| <= 4 
  ;SOURCE: noel.frm
}


cntrpc (XYAXIS) {
   ; another interesting variant using two previous terms.
  z = zp1 = pixel, zp2 = (0,0):
  temp = z
  z  = z * zp1 - zp2
  zp2 = zp1
  zp1 = temp, |zp1| <= 4 
  ;SOURCE: noel.frm
}


ComplexNewton (XAXIS) {; Jon Horner (ex-CAL) [not sure about this one]
                       ; requires float=yes  -JH
   ; This creates a fractal by solving the equation:
   ; Z^p -1 = 0.   p1 should be >1 or <0, float=yes
   ; Colour used is selected by the number of
   ; iterations until a solution `captures' z.
  pm1 = p1-1,  z = pixel :
  oldz = z,
  z = (pm1*(z^p1) +1)/(p1 * z^pm1),
  |(z-oldz)|>=|0.01|
  ;SOURCE: parser.frm
}


ComplexNewton_01 {; Jon Horner (ex-CAL) [ not sure about this one ]
                  ; modified by Jo Weber, 6/1996
                  ; modified by Sylvie Gallet, runs 40% faster
  pr = 1/p1 , pm1 = 1-pr , pm2 = 1-p1 ,  z = pixel :
  oldz = z,
  z = pm1 * z + pr * z^pm2 ,
  |(z-oldz)|>=0.000001
  ;SOURCE: jowe29.frm
}


ComplexNewton_02 (XAXIS) {; Jon Horner 
                          ; modified by Jo Weber, 6/1996 
  pm1 = p1-1.51,  z = pixel :
  oldz = z,
  z = (pm1*(z^p1) +1)/(p1 * z^pm1),
  |(z-oldz)|>=|0.001|
  ;SOURCE: jowe29.frm
}


ComplexNewton_02a (YAXIS) {; Jon Horner 
                           ; modified by Jo Weber, 6/1996 
  pm1 = p1-1.51,  z = pixel :
  oldz = z,
  z = (pm1*(z^p1) +1)/(p1 * z^pm1),
  |(z-oldz)|>=|0.001|
  ;SOURCE: jowe29.frm
}


ComplexNewton_03 (XAXIS) {; Jon Horner 
                          ; modified by Jo Weber, 6/1996 
  pm1 = p1-2,  pm2=p1-1, z = pixel :
  oldz = z,
  z = (pm2*(z^p1) +1)/(p1 * z^pm1),
  |(z-oldz)|>=|0.0001|
  ;SOURCE: jowe29.frm
}


ComplexNewton_03a (YAXIS) {; Jon Horner 
                           ; modified by Jo Weber, 6/1996 
  pm1 = p1-2,  pm2=p1-1, z = pixel :
  oldz = z,
  z = (pm2*(z^p1) +1)/(p1 * z^pm1),
  |(z-oldz)|>=|0.0001|
  ;SOURCE: jowe29.frm
}


ComplexNewton_04 (XAXIS) {; Jon Horner 
                          ; modified by Jo Weber, 6/1996 
  pm1 = p1-1.5,  pm2=p1-1, z = pixel :
  oldz = z,
  z = (pm2*(z^p1) +1)/(p1 * z^pm1),
  |(z-oldz)|>=|0.005|
  ;SOURCE: jowe29.frm
}


ComplexNewton_04a (YAXIS) {; Jon Horner 
                           ; modified by Jo Weber, 6/1996 
  pm1 = p1-1.5,  pm2=p1-1, z = pixel :
  oldz = z,
  z = (pm2*(z^p1) +1)/(p1 * z^pm1),
  |(z-oldz)|>=|0.005|
  ;SOURCE: jowe29.frm
}


ComplexNewton_05 (XAXIS) {; Jon Horner 
                          ; modified by Jo Weber, 6/1996 
  pm1 = p1-1,  z = pixel :
  oldz = z,
  z = (pm1*(z^p1) +1)/(p1 * z^pm1),
  |(z-oldz)|>=|0.001|
  ;SOURCE: jowe29.frm
}


ComplexNewton_05a (YAXIS) {; Jon Horner 
                           ; modified by Jo Weber, 6/1996 
  pm1 = p1-1,  z = pixel :
  oldz = z,
  z = (pm1*(z^p1) +1)/(p1 * z^pm1),
  |(z-oldz)|>=|0.001|
  ;SOURCE: jowe29.frm
}


ComplexNewton_06 {; Jon Horner 
                  ; modified by Jo Weber, 6/1996 
  pm1 = p1-1.51,  z = pixel :
  oldz = z,
  z = (pm1*(z^p1) +1)/(p1 * z^pm1),
  |(z-oldz)|>=|0.001|
  ;SOURCE: jowe29.frm
}


ComplexNewton_07 {; Jon Horner 
                  ; modified by Jo Weber, 6/1996 
  pm1 = p1-2,  pm2=p1-1, z = pixel :
  oldz = z,
  z = (pm2*(z^p1) +1)/(p1 * z^pm1),
  |(z-oldz)|>=|0.0001|
  ;SOURCE: jowe29.frm
}


ComplexNewton_08 {; Jon Horner 
                  ; modified by Jo Weber, 6/1996 
  pm1 = p1-1.5,  pm2=p1-1, z = pixel :
  oldz = z,
  z = (pm2*(z^p1) +1)/(p1 * z^pm1),
  |(z-oldz)|>=|0.005|
  ;SOURCE: jowe29.frm
}


ComplexNewton_09 {; Jon Horner 
                  ; modified by Jo Weber, 6/1996
                  ; requires float=yes                      
  pm1 = p1-1.5,  pm2=p1-1, z = pixel :
  oldz = z,
  z = fn1((pm2*(z^p1) +1)/(p1 * z^pm1)),
  |(z-oldz)|>=|0.005|
  ;SOURCE: jowe29.frm
}


ComplexNewton_10 {; Jon Horner 
                  ; modified by Jo Weber, 6/1996
  pm1 = p1-1.5,  pm2=p1-1, z = pixel :
  oldz = z,
  z = fn1(pm2*(z^p1) +1)/fn2(p1 * z^pm1),
  |(z-oldz)|>=|0.005|
  ;SOURCE: jowe29.frm
}


ComplexNewton_11 {; Jon Horner 
                  ; modified by Jo Weber, 6/1996
  pm1 = p1-1.5,  pm2=p1-1, z = pixel :
  oldz = z,
  z = fn3(fn1(pm2*(z^p1) +1)/fn2(p1 * z^pm1)),
  |(z-oldz)|>=|0.005|
  ;SOURCE: jowe29.frm
}


ComplexNewton_12 {; Jon Horner 
                  ; modified by Jo Weber, 6/1996 
  pm1 = p1-1,  z = pixel :
  oldz = z,
  z = (pm1*(z^p1) +0.5)/(p1 * z^pm1),
  |(z-oldz)|>=|0.001|
  ;SOURCE: jowe29.frm
}


ConformalMapping {
  c = pixel, RealZ = Real(c), ImagZ = Imag(c):
  RealZ = Sqr(RealZ) + (RealZ * ImagZ) + Real(c);
  ImagZ = Sqr(ImagZ) + (RealZ * ImagZ) + Imag(c);
  z = RealZ + (ImagZ * (0, 1)),
  |z| < 4
  ;SOURCE: fract001.frm
}


ConjFlipJul_N { ;Jm Collard-Richard
  z=pixel:
  z=conj(flip(z^p2))+p1,
  |z|<=4         
  ;SOURCE: jmcr1.frm
}


ConjFlipMand_N {; Jm Collard-Richard
  c=z=pixel:
  z=conj(flip(z^p1))+c,
  |z|<=4         
  ;SOURCE: jmcr1.frm
}


ConjMandelbrot (XAXIS) { ; Paul J. Horn
   ; This uses the last square function and should be the same as
   ; MandelConj, but with inside=bof60 and outside=summ and zooms
   ; it does not.
  z = Pixel, z = Sqr(conj(z)):
  z = z + Pixel
  z = Sqr(conj(z))
  LastSqr <= 4
  ;SOURCE: pjhcon.frm
}


Cos1 (XAXIS) {;  
  c = z = pixel:
  z = (1-(z^cos(1.1-z))) + c + p1;
  |z| <= 4
  ;SOURCE: robert.frm
}


Cos1z (XYAXIS) {
  z = Pixel:  
  z = cos(1/z), 
  |z| <= 50 
  ;SOURCE: skinv151.frm
}


CosDog (YAXIS) { 
  z = Pixel, b = p1+2:  
  z = cos( z ) * pixel  
  |z| <= b 
  ;SOURCE: newform.frm
}


Cosecantbrot {; Tom Schumm
              ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):  ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  imag(z) <= 4/sin(real(z))    ; Different escape boundry
  ;SOURCE: phong.frm
}


Cosecantia (ORIGIN) {; Tom Schumm
                     ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):  ; Just like julia
  z = z + p1
  z = Sqr(z)
  imag(z) <= 4/sin(real(z))    ; Different escape boundry
  ;SOURCE: phong2.frm
}


CosHDog (YAXIS) { 
  z = Pixel, b = p1+2:  
  z = cosh( z ) * pixel 
  |z| <= b 
  ;SOURCE: newform.frm
}


CoshInvZ (XYAXIS) {
  z=pixel,inv=1/pixel+p1:
  z=cosh(inv/z),
  |z|<=4
  ;SOURCE: fract001.frm
}


Cosinebrot {; Tom Schumm
            ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):  ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  imag(z) <= cos(real(z))+4    ; Different escape boundry
  ;SOURCE: phong.frm
}


Cosineia (ORIGIN) {; Tom Schumm
                   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):  ; Just like julia
  z = z + p1
  z = Sqr(z)
  imag(z) <= cos(real(z))+4    ; Different escape boundry
  ;SOURCE: phong2.frm
}


CosInvZ (XYAXIS) {
  z=pixel,inv=1/pixel+p1:
  z=cos(inv/z),
  |z|<=4
  ;SOURCE: fract001.frm
}


Coslider {
  z=pixel;
  d=8;
  b=d*2
  s=z+d;
  n=z-d;
  c=s*p2/b-n*p1/b:
  z=c*cos(z),
  |imag(z)|<127
  ;SOURCE: pderb.frm
}


CosSinZZ (XAXIS) {;resol. sin(z)^sin(z)=cos(z)^cos(z) Jm Collard-Richard
                  ;use float=yes
  z=pixel:
  s=sin(z) , c=cos(z) , ss=s^s , cc=c^c ,
  z1=ss-cc ,
  z2=(c+c*log(s))*ss+(s*log(c)+s)*cc ,
  z=z-(z1/z2) ,
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}


CosZ1 (XYAXIS) {; Resol. cos(z)^cos(z)=1 Jm Collard-Richard
                ; float=yes
  z=pixel:
  s=sin(z);
  c=cos(z);
  cc=c^c;
  z1=cc-1;
  z2=(-s*log(c)-s)*cc;
  z=z-(z1/z2) ,
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}


CosZZ (XAXIS) { ; Jm Collard-Richard
  z=pixel:
  zz=z^z;
  z1=cos(z)-zz;
  z2=-sin(z)-(log(z)+1)*zz;
  z=z-(z1/z2) ,
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}


Crentura (YAXIS) {
  z = c = pixel + p1:
  z = (1/sqr(z)) * c + pixel 
  z = fn1(z) * z 
  |z| < 4
  ;SOURCE: altura.frm
}


Crentura_2 (XAXIS) {
  z = c = pixel - 0.5:
  z = (1/sqr(z)) * z + pixel 
  z = fn1(z) * c 
  |z| < 4
  ;SOURCE: altura.frm
}


Cross {
  z = pixel:
  z = cos(z) + pixel,
  z + z = z + sqr(pixel), 
  |z| <= 42
  ;SOURCE: hubert.frm
}


crown (XAXIS) {
   ; some interesting combinations make some wierd formations.
  z = zp1 = pixel, zp2 = (0,0):
  temp = z
  z = z*zp2 - zp1
  zp2 = zp1^.5
  zp1 = temp,  |zp1| <= 4 
  ;SOURCE: noel.frm
}


CshZZ (XAXIS) {; Jm Collard-Richard
  z=pixel:
  zz=z^z;
  z1=cos(z)-sinh(z)-zz;
  z2=-sin(z)-cosh(z)-(log(z)+1)*zz;
  z=z-(z1/z2) ,
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}


CSZZ (XAXIS) { ;resol. cos(sin(z))=z^z     Jm Collard-Richard
               ; Use Float=yes
  z=pixel:
  zz=z^z;
  s=sin(z);
  c=cos(z);
  z1=cos(s)-zz;
  z2=-c*sin(s)-(log(z)+1)*zz;
  z=z-(z1/z2) ,
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}


Cubebrot2j {
  z=pixel:
  z=z*z*z/3+z+p1,
  |z|<=25
  ;SOURCE: pderb.frm
}


Cubebrot2m {
  z=P1:
  z=z*z*z/3+z+pixel,
  |z|<=25
  ;SOURCE: pderb.frm
}


Cubic (XYAXIS) {; Lee Skinner
  p = pixel, test = p1 + 3
  t3 = 3*p, t2 = p*p
  a = (t2 + 1)/t3, b = 2*a*a*a + (t2 - 2)/t3
  aa3 = a*a*3, z = 0 - a :
  z = z*z*z - aa3*z + b
  |z| < test
  ;SOURCE: fractint.frm
}


Cubic_alt {
   ;(c) 1993 by:
   ;
   ; LRCMIKE@LRC.OLDSCOLLEGE.AB.CA
   ;
   ; Michael G. Wareman
   ; P.O. Box 1856
   ; Olds, Alberta, Canada
   ; T0M 1P0
  z = c = pixel:
  z = z ^ 3 + z ^ 2;
  |z - pixel| < 4
  ;SOURCE: frame.frm
}


Cubic_reg {
   ;(c) 1993 by:
   ;
   ; LRCMIKE@LRC.OLDSCOLLEGE.AB.CA
   ;
   ; Michael G. Wareman
   ; P.O. Box 1856
   ; Olds, Alberta, Canada
   ; T0M 1P0
  z = c = pixel:
  z = 0.2 * z ^ 3 + z ^ 2 + c;
  |z| < 4
  ;SOURCE: frame.frm
}


Cubicfn {; Ron Barnett, 1995
  z = c = pixel:
  z = fn1((z-1)*(z-1)*(z+1)) - c*P1 + P2; |z| <= 4
  ;SOURCE: reb006.frm
}


Curfew {
  z = 0, c = pixel:
  z = z + c + p1
  z = z * fn1((1/c)/(1/z)) 
  |z| < 4
  ;SOURCE: korfu.frm
}


Curly { ; Mutation of 'Natura'. Mutated by Bradley Beacham [74223,2745]
        ; Original formula by Michael Theroux [71673,2767]
        ; For 'Natura', set FN1 & FN2 =IDENT and P1 & P2 = default
        ; p1 = Parameter (default 0.5,0), real(p2) = Bailout (default 4)
  z = pixel
        ; The next line sets c=default if p1=0, else c=p1
  c = ((0.5,0) * (|p1|<=0) + p1)
        ; The next line sets test=4 if real(p2)<=0, else test=real(p2)
  test = (4 * (real(p2)<=0) + real(p2) * (0<p2)):
  z = fn1(fn2(z*z*z)) + c
  |z| <= test
  ;SOURCE: dons.frm
}

