

e5 {
  z=pixel,x=(z)^(y-1),y=fn2(z)*fn4(z+1)
  z=((fn1(x)*(y))/fn3(z+x))+c
  |z|<4
  ;SOURCE: ad1.frm
}


eclipse {; Jim Muth
         ; As Posted in Fractal-Art, 4/97
  z=c=pixel:
  z=(-z)^(-1.5)*(c^(-2.5))+c,
  |z| <= 100
  ;SOURCE: 97msg.frm
}


Element (xyaxis) { ;phi lingam
  z = pixel:
  z = z*z*z*z + ((sqrt 5 + 1)/2) 
  |z| <= 4;
  ;SOURCE: drcha.frm
}


Elliptic1 (XAXIS) = {; By Alastair Scott
  z = pixel:
  z=pixel*(1.50000+z*z*(0.392669+z*z*(0.220893+z*z*(0.153398+z*z*0.117445)))),
  |z|<=4 
  ;SOURCE: elliptic.frm
}


Elliptic2 (XAXIS) {; By Alastair Scott
  z = pixel:
  z = pixel*(1.57079 - z*z*(0.392699 + z*z*(0.073631 + z*z*(0.030680 + z*z*0.016778)))),
  |z|<=4 
  ;SOURCE: elliptic.frm
}


Ent {; Scott Taylor
     ; Try params=.5/.75 and the first function as exp.
     ; Zoom in on the swirls around the middle.  There's a
     ; symmetrical area surrounded by an asymmetric area.
  z = Pixel, y = fn1(z), base = log(p1):
  z = y * log(z)/base
  |z| <= 4
  ;SOURCE: fractint.frm
}


Ent2 {; Scott Taylor
      ; try params=2/1, functions=cos/cosh, potential=255/355
  z = Pixel, y = fn1(z), base = log(p1):
  z = fn2( y * log(z) / base )
  |z| <= 4
  ;SOURCE: fractint.frm
}


EpsilonCross (XAXIS) {; Warut Roonguthai - Fractal Report 31/16-17
                      ; try p1 = 0.01
  z = pixel:
  z = z * z + pixel,
  |z| <= 4 && abs(real(z)) > p1 && abs(imag(z)) > p1
  ;SOURCE: epscr.frm
}


EpsilonCrossJ {; Julia version - Jon Horner
               ; try p1 = (0.1,0.1), p2 = 0.05
  z = pixel, c = p1 :
  z = z * z + p1 ,
  |z| <= 4 && abs(real(z)) > p2 && abs(imag(z)) > p2
  ;SOURCE: epscr.frm
}


EqTrngl {;Here is another example of the Sierpinsky triangle, 
         ; but this one is an equilateral Triangle.. once again, 
         ; use p1=2 to get the triangle.. also
         ; you can use p1=(1.9,-.7) to get some strange thing
  z=pixel, j=(0, -1), k=(.8660, 0.5), l=(-0.8660, 0.5):
  x=real(z)
  y=imag(z)
  r=.575*x
  x1=(y>=r)
  x2=(-r<=y)
  x3=(x1 && x2)
  x4=(x3==0)
  a=x3*j
  b=(x<=0)*x4*k
  c=(x>0)*x4*l
  p=a+b+c
  z=p1*z+p
  |z|<=100
  ;SOURCE: esc-ifs.frm
}


EULER {; Ray Girvan, May 1996 
       ; after Szyszkowicz 
       ; try p1=1, p2=0.005
  z=pixel, h=p1, k=p2:
  x=real(z), y=imag(z)
  z1=z
  x1=x+h*sin(y)
  y1=y+h*sin(x)
  z=x1+flip(y1)
  |z-z1| >= k
  ;SOURCE: 97msg.frm
}


EvilEyeC (XAXIS_NOPARM) {
  z=p1,x=|z|:
  (z=sin(z)+pixel)*(1<x)+(z=cosxx(z)+pixel)*(x<=1),
  x=|z|, x<=4
  ;SOURCE: choice.frm
}


EvilEyeC.1 (XAXIS_NOPARM) {
  z=p1,x=|z|:
  (z=sin(z)+pixel)*(1<x)+(z=cos(z)+pixel)*(x<=1),
  x=|z|, x<=4
  ;SOURCE: choice.frm
}


ex1csecdav {
  del = P1 + 0.0001
  z = pixel:
  n = z - cos(z);
  d = (n - (z -del - cos(z - del)))/del;
  z = z - n/(d+P2);
  0.0001 <= |n|
  ;SOURCE: davweird.frm
}


Ex20Newc (XAXIS) {
  z = pixel, c = pixel:
  z2 = z*z + p1;
  ex = exp(p2*z);
  cs = cos(z);
  sn = sin(z);
  n = log(z2) - ex*cs;
  d1 = 2*z/z2;
  d2 = cs*p2*ex - sn*ex;
  z = z - n/(d1 + c*d2);
  0.1 <= |n|
  ;SOURCE: davweird.frm
}


ex4csecdav {
  del = P2 + 0.0001
  z = pixel
  zd = z + del:
  n = exp(z) + 2^(-z) - 2*cos(z) - 6;
  nd = exp(zd) + 2^(-zd) - 2*cos(zd) - 6;
  d = (n - nd)/del;
  z = z - n/(d + P1);
  0.01 <= |n|
  ;SOURCE: davweird.frm
}


ex4cwithP1 {
  z = pixel:
  ex = exp(z);
  2z = 2^(-z);
  n = ex + 2z - 2*cos(z) - 6;
  d = ex + 2z*0.69314718 + 2*sin(z) + P1;
  z = z - n/d;
  0.001 <= |n|
  ;SOURCE: davweird.frm
}


ex4cwithP1temple {
  z = pixel:
  ex = exp(z);
  2z = 2^(-z);
  n = ex + 2z - 2*cos(z) - 6;
  d = ex + 2z*0.69314718 + 2*sin(z) + P1;
  z = z - n/d;
  0.01 <= |n|
  ;SOURCE: davweird.frm
}


Exipi (XAXIS) {
  s = log(-1.,0.) / (0.,1.), z = Pixel:
  z = z ^ s + pixel
  |z| <= 100
  ;SOURCE: fractint.frm
}


EXOTIC {; Paul Dickins - May 1993
        ; A good fractal to explore
  z = pixel, z = sqr(z)^sqr(z)-abs(pixel):
  z = z + pixel,
  z = sqr(z)^sqr(z)-abs(pixel),
  |z| <= p2+4
  ;SOURCE: paul.frm
}


exp1 (XAXIS) {
   ; An exponential function can produce fractals as well
  z = pixel, zp = (0,0):
  temp = z
  z = -exp(z) - zp
  zp = temp, |zp| <= 4 
  ;SOURCE: noel.frm
}


Exp2 (XAXIS) { ; Jm Collard-Richard
  z=pixel:
  z1=exp(z*z)-exp(z);
  z2=2*z*exp(z*z)-exp(z);
  z=z-(z1/z2) ,
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}


Exp2Z (Xaxis) {; Jm Collard-Richard   ---- Use Float=Yes
               ; Resol : exp(-1/(z*z))=z
  z=pixel:
  exp2z=exp(1/(z*(-z)));
  z1=exp2z-z;
  z2=(2/(z^3))*exp2z-1;
  z=z-(z1/z2),
  0.001<=|z1|  
  ;SOURCE: jmcr2.frm
}


Exp2Z2 (xaxis) { ; Jm Collard-Richard   --- Use Float=yes
                 ; Resol : exp(-1/(z*z))=z*z
  z=pixel:
  exp2z=exp(1/(z*(-z)));
  z1=exp2z-z*z;
  z2=(2/(z^3))*exp2z+z*(-2);
  z=z-(z1/z2),
  0.001<=|z1|    
  ;SOURCE: jmcr2.frm
}


Exp2ZZ (Xaxis) {; Jm Collard-Richard    --- Use Float=Yes
                ; Resol : exp(-1/(z*z))=z^z-1
  z=pixel:
  exp2z=exp(1/(z*(-z)));
  zz=z^z;
  z1=exp2z-zz-1;
  z2=(2/(z^3))*exp2z-(log(z)+1)*zz;
  z=z-(z1/z2),
  0.001<=|z1|    
  ;SOURCE: jmcr2.frm
}


Exp3(XAXIS) { ; Jm Collard-Richard
  z=pixel:
  z1=exp(z^3)-exp(z);
  z2=3*z*z*exp(z^3)-exp(z);
  z=z-(z1/z2) ,
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}


ExpDog (YAXIS) { 
  z = Pixel, b = p1+2:  
  z = exp( z ) * pixel,  
  |z| <= b 
  ;SOURCE: newform.frm
}


ExpSinZ (Xaxis) { ; Jm Collard-Richard --- Use Float=Yes
                  ; Resol : exp(sin(z))=1
  z=pixel:
  es=exp(sin(z));
  c=cos(z);
  z1=es-1;
  z2=c*es;
  z=z-(z1/z2),
  0.001<=|z1|   
  ;SOURCE: jmcr2.frm
}


ExpZ2 (xaxis)  {;Jm Collard-Richard
                ; exp(z*z)=1  float=yes
  z=pixel:
  z1=exp(z*z)-1;
  z2=2*z*exp(z*z);
  z=z-(z1/z2),
  0.0001<=|z1| 
  ;SOURCE: jmcr2.frm
}


ExpZ_N (xaxis) {; Jm Collard-Richard  exp(z^n)=1 p1=n  float=yes
  z=pixel:
  z0=exp(z^p1);
  z1=z0-1;
  z2=p1*z^(p1-1)*z0;
  z=z-(z1/z2),
  0.0001<=|z1| 
  ;SOURCE: jmcr2.frm
}


ExpZZ (XAXIS) { ; Jm Collard-Richard
  z=pixel:
  z1=exp(z*log(z))-exp(z);
  z2=(log(z)+1)*exp(z*log(z))-exp(z);
  z=z-(z1/z2) ,
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}


ExSiCoZ (Xaxis) { ;Jm Collard-Richard  --- Use Float=Yes
                  ; Resol : exp(sin(z))=cos(z)
  z=pixel:
  s=sin(z);
  es=exp(s);
  c=cos(z);
  z1=es-c;
  z2=c*es+s;
  z=z-(z1/z2),
  0.001<=|z1|   
  ;SOURCE: jmcr2.frm
}


Eyeball (XAXIS_NOPARM) {
  z=p1, x=1:
  (x<10)*(z=sqr(z)+pixel),
  (10<=x)*(z=sinh(z)+pixel),
  x=x+1, |z|<=4
  ;SOURCE: choice.frm
}


EyeballC (XAXIS_NOPARM) {
  z=p1, x=1:
  (z=sqr(z)+pixel)*(x<10)+(z=sinh(z)+pixel)*(10<=x),
  x=x+1, |z|<=4
  ;SOURCE: choice.frm
}

