

h4 {
  z=pixel,t=1-fn1(1-z),n=1/fn2(z-1):
  z=fn3(t+z)*fn4(n+t)-z
  |z|>=4
  ;SOURCE: ad3.frm
}


Hall {
   ;These equations were derived from Symmetry in Chaos.
   ; (c) 1993 by:
   ; LRCMIKE@LRC.OLDSCOLLEGE.AB.CA
   ; Michael G. Wareman
   ; P.O. Box 1856
   ; Olds, Alberta, Canada
   ; T0M 1P0
  z = pixel:
  z = (-2.7 + 5 * z * conj(z) + 1.5 * real(z ^ 6)) * z + 1 * conj(z * z),
  |z| <= 4
  ;SOURCE: hallween.frm
}


Hall-100 {
   ; (c) 1993 by:
   ; LRCMIKE@LRC.OLDSCOLLEGE.AB.CA
   ; Michael G. Wareman
   ; P.O. Box 1856
   ; Olds, Alberta, Canada
   ; T0M 1P0
   z = pixel:
   z = (-2.7+5*z*conj(z) + 1.5 * real(z^6)) * z + 1 * conj(z*z),
  |z| <= 100
  ;SOURCE: hallween.frm
}


Hall-c {
   ; (c) 1993 by:
   ; LRCMIKE@LRC.OLDSCOLLEGE.AB.CA
   ; Michael G. Wareman
   ; P.O. Box 1856
   ; Olds, Alberta, Canada
   ; T0M 1P0
  z = pixel:
  z = (-2.7+5*z*conj(z)+1.5*real(z^6))*z+1*conj(z*z)+c,
  |z| <= 4
  ;SOURCE: hallween.frm
}


Hall-c-100 {
   ; (c) 1993 by:
   ; LRCMIKE@LRC.OLDSCOLLEGE.AB.CA
   ; Michael G. Wareman
   ; P.O. Box 1856
   ; Olds, Alberta, Canada
   ; T0M 1P0
  z = pixel:
  z = (-2.7+5*z*conj(z)+1.5*real(z^6))*z+1*conj(z*z),
  |z| <= 100
  ;SOURCE: hallween.frm
}


Halley (XYAXIS) {; Chris Green. Halley's formula applied to x^7-x=0.
   ; P1 real usually 1 to 1.5, P1 imag usually zero. Use floating point.
   ; Setting P1 to 1 creates the picture on page 277 of Pickover's book
  z=pixel:
  z5=z*z*z*z*z
  z6=z*z5
  z7=z*z6
  z=z-p1*((z7-z)/ ((7.0*z6-1)-(42.0*z5)*(z7-z)/(14.0*z6-2)))
  0.0001 <= |z7-z|
  ;SOURCE: fractint.frm
}


halley6 { ; Chris Green. Halley's for x(x^6-1)=0.  Mods by C. Ebbert.
   ; Same as built-in halley type with order = 6
   ; P1 = relaxation coefficient, usually 1 to 1.5 (default 1)
   ; P2 = epsilon (default .0001).
  m = (1 * (|real(p1)|<=0) + p1 ),      ; force 1 if p1=0
  d = (.0001 * (|real(p2)|<=0) + p2 ),  ; force .0001 if p2=0
  z=pixel, sqrz=sqr(z):
  oldmod = lastsqr,  ; save old modulus
  z5=sqrz*sqrz*z, z6=z5*z, z7mz=(z6-1)*z,
  z = z7mz / (z5*42*z7mz/(z6*14-2) - z6*7 + 1 ) * real(m) + z,
  sqrz = sqr(z),  ; lastsqr now contains |z|
  abs(lastsqr - oldmod ) >= d  ; bailout changed to match built-in
  ;SOURCE: builtn.frm
}


HalleyJack (xyaxis) {
  z=pixel:
  s=fn1(z), c=fn2(z)
  z=z-p1*(s/(c-(s*s)/(c+c)))
  p2<=|s|
  ;SOURCE: orman2.frm
}


halleySin (XYAXIS) {; Chris Green. Halley's formula applied to sin(x)=0.
   ; Use floating point.
   ; P1 real = 0.1 will create the picture from page 281 of Pickover's book.
  z=pixel:
  s=sin(z), c=cos(z)
  z=z-p1*(s/(c-(s*s)/(c+c)))
  0.0001 <= |s|
  ;SOURCE: fractint.frm
}


Happy_New_Year {; Formula uses whitesq to cast soft shadow
                ; Created with FracText 1.0 alpha 6 by
                ; Jan Maarten van der Valk
                ; 100256.3721@compuserve.com
                ; 'periodicity=0' and 'passes=1' recommended
  x=real(scrnpix)/real(scrnmax), y=(imag(scrnmax)-imag(scrnp\
  ix))/real(scrnmax), z=x+flip(y)
  chrH1 = x<0.1315||x>0.184||(y<0.62825&&y>0.59675)&&x>0.1&&\
  x<0.2155
  chra2 = abs(cabs(z+(-0.27369,-0.61556))-0.02494)<0.01575&&\
  x<0.27369||(abs(cabs(z+(-0.29119,-0.61556))-0.02494)<0.015\
  75&&x>0.29119)&&y>0.61556||((abs(cabs(z+(-0.27369,-0.56569\
  ))-0.02494)<0.01575&&x<0.27369)||(abs(cabs(z+(-0.29119,-0.\
  56569))-0.02494)<0.01575&&x>0.29119))||(x>0.27369&&x<0.291\
  19&&(y<0.5565||(y>0.62475&&y<0.65625)||(y>0.57488&&y<0.606\
  37)))||(x>0.30037&&x<0.33188&&y<0.61556)
  chrp3 = x>0.34938&&x<0.38088&&y<0.65625&&y>0.45937||(abs(c\
  abs(z+(-0.41369,-0.59062))-0.04988)<0.01575&&x>0.38088)
  chrp4 = x>0.49681&&x<0.52831&&y<0.65625&&y>0.45937||(abs(c\
  abs(z+(-0.56113,-0.59062))-0.04988)<0.01575&&x>0.52831)
  xy=2.5*x
  chry5 = y<xy-1.195&&y>xy-1.27982||(y>-xy+2.245&&y<-xy+2.32\
  982)&&y>xy-1.27982&&y<0.65625&&y>0.4375
  test1 = chrH1||chra2&&y>0.525||chrp3||chrp4||chry5&&y<0.7
  chrH6 = x<0.1465||x>0.199||(y<0.60325&&y>0.57175)&&x>0.115\
  &&x<0.2305
  chra7 = abs(cabs(z+(-0.28869,-0.59056))-0.02494)<0.01575&&\
  x<0.28869||(abs(cabs(z+(-0.30619,-0.59056))-0.02494)<0.015\
  75&&x>0.30619)&&y>0.59056||((abs(cabs(z+(-0.28869,-0.54069\
  ))-0.02494)<0.01575&&x<0.28869)||(abs(cabs(z+(-0.30619,-0.\
  54069))-0.02494)<0.01575&&x>0.30619))||(x>0.28869&&x<0.306\
  19&&(y<0.5315||(y>0.59975&&y<0.63125)||(y>0.54988&&y<0.581\
  38)))||(x>0.31538&&x<0.34688&&y<0.59056)
  chrp8 = x>0.36438&&x<0.39588&&y<0.63125&&y>0.43438||(abs(c\
  abs(z+(-0.42869,-0.56562))-0.04988)<0.01575&&x>0.39588)
  chrp9 = x>0.51181&&x<0.54331&&y<0.63125&&y>0.43438||(abs(c\
  abs(z+(-0.57613,-0.56562))-0.04988)<0.01575&&x>0.54331)
  chry10 = y<xy-1.2575&&y>xy-1.34232||(y>-xy+2.2575&&y<-xy+2\
  .34232)&&y>xy-1.34232&&y<0.63125&&y>0.4125
  test2 = chrH6||chra7&&y>0.5||chrp8||chrp9||chry10&&y<0.675
  xCN=2.5*x
  chrN11 = x>0.1&&x<0.1208||(x>0.152&&x<0.1744)||(y>-xCN+0.5\
  1&&y<-xCN+0.56601)
  chre12 = abs(cabs(z+(-0.23615,-0.17875))-0.03835)<0.0104&&\
  (x<0.23615||y>0.17528||y<0.15448)||(y>0.17528&&y<0.19608&&\
  x>0.1978&&x<0.2745)
  xw=4*x
  chrw13 = y<xw-1.15911&&y>xw-1.24487||(y>-xw+1.59244&&y<-xw\
  +1.6782)&&y<0.21667||(y>-xw+1.41911&&y<-xw+1.50487)||(y<xw\
  -1.33244&&y>xw-1.4182)&&y<0.2275
  xCY=2*x
  chrY15 = y<xCY-0.87485&&y>xCY-0.92136||(y>-xCY+1.23885&&y<\
  -xCY+1.28536)&&y>xCY-0.92136
  chre16 = abs(cabs(z+(-0.65243,-0.17875))-0.03835)<0.0104&&\
  (x<0.65243||y>0.17528||y<0.15448)||(y>0.17528&&y<0.19608&&\
  x>0.61408&&x<0.69078)
  chra17 = abs(cabs(z+(-0.74376,-0.19792))-0.01918)<0.0104&&\
  x<0.74376||(abs(cabs(z+(-0.75676,-0.19792))-0.01918)<0.010\
  4&&x>0.75676)&&y>0.19792||((abs(cabs(z+(-0.74376,-0.15958)\
  )-0.01918)<0.0104&&x<0.74376)||(abs(cabs(z+(-0.75676,-0.15\
  958))-0.01918)<0.0104&&x>0.75676))||(x>0.74376&&x<0.75676&\
  &(y<0.1508||(y>0.2067&&y<0.2275)||(y>0.16835&&y<0.18915)))\
  ||(x>0.76553&&x<0.78633&&y<0.19792)
  chrr18 = x>0.79933&&x<0.82013&&y<0.2275||(abs(cabs(z+(-0.8\
  35,-0.19183))-0.02527)<0.0104&&y>0.19183)
  chrXM19 = x>0.88367&&x<0.90447&&(y<0.1508||y>0.1612)
  test3 = chrN11||chre12||chrw13||chrY15||chre16||chra17||ch\
  rr18||chrXM19&&y>0.13&&y<0.26
  chrN20 = x>0.115&&x<0.1358||(x>0.167&&x<0.1894)||(y>-xCN+0\
  .5325&&y<-xCN+0.58851)
  chre21 = abs(cabs(z+(-0.25115,-0.16375))-0.03835)<0.0104&&\
  (x<0.25115||y>0.16028||y<0.13948)||(y>0.16028&&y<0.18108&&\
  x>0.2128&&x<0.2895)
  chrw22 = y<xw-1.23411&&y>xw-1.31987||(y>-xw+1.63744&&y<-xw\
  +1.7232)&&y<0.20167||(y>-xw+1.46411&&y<-xw+1.54987)||(y<xw\
  -1.40744&&y>xw-1.4932)&&y<0.2125
  chrY24 = y<xCY-0.91985&&y>xCY-0.96636||(y>-xCY+1.25385&&y<\
  -xCY+1.30036)&&y>xCY-0.96636
  chre25 = abs(cabs(z+(-0.66743,-0.16375))-0.03835)<0.0104&&\
  (x<0.66743||y>0.16028||y<0.13948)||(y>0.16028&&y<0.18108&&\
  x>0.62908&&x<0.70578)
  chra26 = abs(cabs(z+(-0.75876,-0.18292))-0.01918)<0.0104&&\
  x<0.75876||(abs(cabs(z+(-0.77176,-0.18292))-0.01918)<0.010\
  4&&x>0.77176)&&y>0.18292||((abs(cabs(z+(-0.75876,-0.14458)\
  )-0.01918)<0.0104&&x<0.75876)||(abs(cabs(z+(-0.77176,-0.14\
  458))-0.01918)<0.0104&&x>0.77176))||(x>0.75876&&x<0.77176&\
  &(y<0.1358||(y>0.1917&&y<0.2125)||(y>0.15335&&y<0.17415)))\
  ||(x>0.78053&&x<0.80133&&y<0.18292)
  chrr27 = x>0.81433&&x<0.83513&&y<0.2125||(abs(cabs(z+(-0.8\
  5,-0.17683))-0.02527)<0.0104&&y>0.17683)
  chrXM28 = x>0.89867&&x<0.91947&&(y<0.1358||y>0.1462)
  test4 = chrN20||chre21||chrw22||chrY24||chre25||chra26||ch\
  rr27||chrXM28&&y>0.115&&y<0.245
  xc=1*x
  chrCR29 = abs(cabs(z+(-0.62125,-0.01125))-0.00531)<0.00094\
  ||(abs(cabs(z+(-0.62125,-0.01125))-0.00219)<0.00094&&(x<0.\
  62125||y>xc-0.61||y<-xc+0.6325))
  x1=1.5*x
  chr130 = y<x1-0.92885&&y>x1-0.93223&&y>-x/1.5+0.43208||(x>\
  0.63128&&x<0.63316)
  chr931 = abs(cabs(z+(-0.63738,-0.00859))-0.00266)<0.00094&\
  &y<0.00859||abs(cabs(z+(-0.63738,-0.01391))-0.00266)<0.000\
  94||(x>0.63909&&x<0.64097&&y>0.00859&&y<0.01391)
  chr932 = abs(cabs(z+(-0.64519,-0.00859))-0.00266)<0.00094&\
  &y<0.00859||abs(cabs(z+(-0.64519,-0.01391))-0.00266)<0.000\
  94||(x>0.64691&&x<0.64878&&y>0.00859&&y<0.01391)
  chr633 = abs(cabs(z+(-0.653,-0.01391))-0.00266)<0.00094&&y\
  >0.01391||abs(cabs(z+(-0.653,-0.00859))-0.00266)<0.00094||\
  (x>0.64941&&x<0.65128&&y>0.00859&&y<0.01391)
  chrJ42 = abs(cabs(z+(-0.71081,-0.00859))-0.00266)<0.00094&\
  &y<=0.00812||(x>0.71253&&y>0.00812)&&x<0.71441
  xCM=2.5*x
  chrM43 = y>-xCM+1.80508&&y<-xCM+1.81013||(y<xCM-1.78675&&y\
  >xCM-1.79179)&&y>0.00917||(x>0.71503&&x<0.71691)||(x>0.721\
  84&&x<0.72372)
  xv=3*x
  chrv45 = y>-xv+2.20615&&y<-xv+2.21208||y<xv-2.19615&&y>xv-\
  2.20208&&y<0.01438
  xSL=4*x
  chrSL46 = y<xSL-2.95278&&y>xSL-2.96051
  chrd47 = x>0.75216&&x<0.75403||(abs(cabs(z+(-0.74981,-0.00\
  969))-0.00375)<0.00094&&x<0.75216)
  xCV=3.5*x
  chrV49 = y>-xCV+2.68068&&y<-xCV+2.6875||y<xCV-2.67068&&y>x\
  CV-2.6775
  chra50 = abs(cabs(z+(-0.77344,-0.01156))-0.00188)<0.00094&\
  &x<0.77344||(abs(cabs(z+(-0.77469,-0.01156))-0.00188)<0.00\
  094&&x>0.77469)&&y>0.01156||((abs(cabs(z+(-0.77344,-0.0078\
  1))-0.00188)<0.00094&&x<0.77344)||(abs(cabs(z+(-0.77469,-0\
  .00781))-0.00188)<0.00094&&x>0.77469))||(x>0.77344&&x<0.77\
  469&&(y<0.00688||(y>0.0125&&y<0.01438)||(y>0.00875&&y<0.01\
  062)))||(x>0.77563&&x<0.7775&&y<0.01156)
  chrl51 = x<0.78&&x>0.77813
  xk=1.25*x
  chrk52 = x<0.7825||(y<xk-0.96766&&y>xk-0.97066&&y<0.01438)\
  ||(y>-xk+0.98703&&y<-xk+0.99003&&y<xk-0.96766)&&x>0.78063
  test5 = chrCR29||chr130||chr931||chr932||chr633||chrJ42||c\
  hrM43||chrv45||chrSL46||chrd47||chrV49||chra50||chrl51||ch\
  rk52&&y>0.005&&y<0.0175
  xUA=2*x
  chrUA53 = y<xUA-0.405&&y<-xUA+1.355&&y>=0.395||(x>0.42&&x<\
  0.46&&y<0.395&&(x>0.42667&&x<0.43667||y>0.325))||(abs(cabs\
  (z+(-0.46,-0.325))-0.02)<0.00333&&y<=0.325&&x<0.46)&&y>0.0\
  75
  test6 = chrUA53&&y<0.475
  test=test1||test3
  test0=test2||test4||test5||test6
  test0=test0&&whitesq
  test0=(test0==0)
  test0=((test0||test)==0)
  f1=sin(.5*pixel)
  f2=1/(32*pixel)
  pixel=(test==0)*f2+test*f1
  z=1+(0,-0.65)/fn3(pixel+(0,0.75)):
  z2=z*z, z4=z2*z2, n=z4*z2-1, z=z-n/(6*z4*z)
  |n|>=.0001&&test0==0
  ;SOURCE: 96msg.frm
}


Harpo {; Mutation of 'Gopalsamy3'. Mutated by Bradley Beacham [74223,2745]
   ; Original formula by Ron Barnett [70153,1233]
   ; For 'Gopalsamy3' with Ron's suggested parameters,
   ; set FN1 & FN2 = IDENT and P1 & P2 = default
   ; p1 = Parameter (default 1.099,0), real(p2) = Bailout (default 4)
  z = pixel
   ; The next line sets c=default if p1=0, else c=p1
  c = ((1.099,0) * (|p1|<=0) + p1)
   ; The next line sets test=4 if real(p2)<=0, else test=real(p2)
  test = (4 * (real(p2)<=0) + real(p2) * (0<p2)):
  x = real(z), y = imag(z)
  x1 = fn1(3*x*y*y - x*x*x) + c
  y = fn2(y*y*y - 3*x*x*y)
  z = x1 + flip(y)
  |z| <= test
  ;SOURCE: dons.frm
}


hflip {
   ; A little non-standard math-function 
   ; produces chaotic bands like the
   ; conjugate function but the symmetry is now skew.
  z = pixel,zp=(0,0):
  temp = z
  z = z*z +  zp
  zp = flip(temp), 
  |zp| <= 4 
  ;SOURCE: noel.frm
}


hflip2 {
   ; The pixel squared mapping still doubles the symmetry.
  z = pixel^2,zp=(0,0):
  temp = z
  z = z*z +  zp
  zp = flip(temp), 
  |zp| <= 4 
  ;SOURCE: noel.frm
}


HorLinebrot {; Tom Schumm
             ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):  ; Just like a mandel
  z = z + Pixel
  z = Sqr(z)
  imag(z) <= 4            ; Different escape boundry
  ;SOURCE: phong.frm
}


HorLineia (ORIGIN) {; Tom Schumm
                    ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):  ; Just like a julia
  z = z + p1
  z = Sqr(z)
  imag(z) <= 4          ; Different escape boundry
  ;SOURCE: phong2.frm
}


hroot (XAXIS) {
   ; Map hydra function to the Square root of the pixel value.
  z = pixel^0.5,zp=(0,0):
  temp = z
  z = z*z +  zp
  zp = temp, 
  |zp| <= 4 
  ;SOURCE: noel.frm
}


hsqr (XYAXIS) {
   ; squaring the initialized value of the hydra fractal
  z = pixel^2,zp=(0,0):
  temp = z
  z = z*z +  zp
  zp = temp, 
  |zp| <= 4 
  ;SOURCE: noel.frm
}


ht {
   ; Ah! You can use a variable in the 
   ; inversion but now check for overflow.
   ; Good results are found when the real part 
   ; of p1 is in the range 0.1->1.0
   ; With some sort of special value aprox. 0.148148...
   ; Setting the imaginary part as well causes very strange fractals
  z = pixel,zp=temp=(0,0),huge=1.0e32:
  temp = z
  z = z*z + zp
  zp = p1/temp, 
  (|zp| <= 64) && (|z| <= huge) 
  ;SOURCE: noel.frm
}


ht1 {
   ; Ah! You can use a variable in the 
   ; inversion but now check for overflow.
   ; Good results are found when the real part 
   ; of p1 is in the range 0.1->1.0
   ; With some sort of special value aprox. 0.148148...
   ; Setting the imaginary part as well causes very strange fractals
  z = pixel,zp=temp=(0,0),huge=1.0e32:
  temp = z
  z = z*z + zp
  zp = p1/temp, 
  (|zp| <= 64) && (|z| <= huge) 
  ;SOURCE: noel.frm
}


htc {
   ; You can do it with a constant too.
  z = c = pixel,zp=(0,0),huge=1.0e32:
  temp = z
  z = z*z + zp
  zp = c*p1/temp, 
  (|zp| <= 64) && (|z| <= huge) 
  ;SOURCE: noel.frm
}


htd {
   ; Try a second order inductive term.
  z = zp2 = pixel, zp1 = (0,0), huge=1.0e32:
  temp = z
  z = zp1*zp1 - zp2
  zp2 = zp1
  zp1 = p1/temp, 
  (|zp1| <= 64) && (|z| <= huge) 
  ;SOURCE: noel.frm
}


htexp1 {
   ; An exponential function can produce fractals as well
  z = pixel, bail=real(p2), zp = (0,0), huge=1.e32:
  temp = z
  z = -exp(z) - zp
  zp = p1/temp, 
  (|zp| <=bail && |z| <=huge)
  ;SOURCE: noel.frm
}


htexp2 {
   ; An exponential function can produce fractals as well
  z = pixel, bail=real(p2), zp = (0,0), huge=1.e32:
  temp = z
  z = exp(z) - zp
  zp = p1/temp, 
  (|zp| <=bail && |z| <=huge)
  ;SOURCE: noel.frm
}


htexp3 {
   ; An exponential function can produce fractals as well
  z = pixel, bail=real(p2), zp = (0,0), huge=1.e32:
  temp = z
  z = exp(z) + zp
  zp = p1/temp, 
  (|zp| <=bail && |z| <=huge)
  ;SOURCE: noel.frm
}


htgen {
   ; Try a second order inductive term.
  z = pixel, zp1 = (0,0), bail=real(p2),huge=1.0e32:
  temp = z
  z = z*z + zp1
  zp1 = p1/temp, (|zp1| <= bail) && (|z| <= huge) 
  ;SOURCE: noel.frm
}


htree (XAXIS) {
   ; Try a different order of the terms.
  z = zp2 = pixel,  zp1 = (0,0), huge = 1.0e32:
  temp = z
  z = zp1*zp1  - zp2
  zp2 = zp1
  zp1 = p1/temp, 
  (|zp1| <= 64) && (|z| <= huge) 
  ;SOURCE: noel.frm
}


hydra (XAXIS) {
   ; The first inductive formula I came up with.
  z = pixel, zp = (0,0):
  temp = z
  z = z*z + zp
  zp = temp, 
  |zp| <= 4 
  ;SOURCE: noel.frm
}


Hyperbolabrot1 (XAXIS) {; Tom Schumm
   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):               ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  sqr(imag(z)) >= (sqr(real(z))-16)    ; Different escape boundry
  ;SOURCE: phong.frm
}


Hyperbolabrot2 (XAXIS) {; Tom Schumm
   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):               ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  sqr(imag(z)) <= (sqr(real(z))+16)    ; Different escape boundry
  ;SOURCE: phong.frm
}


Hyperbolaia1 (ORIGIN) {; Tom Schumm
   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):               ; Just like julia
  z = z + p1
  z = Sqr(z)
  sqr(imag(z)) >= (sqr(real(z))-16)    ; Different escape boundry
  ;SOURCE: phong2.frm
}


Hyperbolaia2 (ORIGIN) {; Tom Schumm
   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):               ; Just like julia
  z = z + p1
  z = Sqr(z)
  sqr(imag(z)) <= (sqr(real(z))+16)    ; Different escape boundry
  ;SOURCE: phong2.frm
}


hyperc-newton {
  p = (0,1)*p1 , ex = p2 - 1
  a = pixel + p , b = pixel - p :
   a2 = a^ex , b2 = b^ex
   na = a2*a - 1 , da = p2*a2
   nb = b2*b - 1 , db = p2*b2
   a = a - na/da , b = b - nb/db
    |na| + |nb| >= 0.000001
  ;SOURCE: hyp_newt.frm
}


hypercomplex {; Chuck Ebbert -- must use periodicity=0
   ; P1 is (cj,ck), bailout is real(p2) (default 64)
  z = zi = 0,
  t = (64 * (real(p2)<=0) + real(p2) * (0<real(p2)) ):
  a = z - imag(zi) + flip(real(zi)),
  b = z + imag(zi) - flip(real(zi)),
  a = fn1(a),
  b = fn1(b),
  z = (a+b)/2 + pixel,
  zi = (imag(a)-imag(b)+flip(real(b))-flip(real(a)))/2 + p1,
  |z| + |zi| <= t
  ;SOURCE: msg1.frm
}


HyperMandel {; Chris Green.
   ; A four dimensional version of the mandelbrot set.
   ; Use P1 to select which two-dimensional plane of the
   ; four dimensional set you wish to examine.
   ; Use floating point.
  a=(0,0),b=(0,0):
  z=z+1
  anew=sqr(a)-sqr(b)+pixel
  b=2.0*a*b+p1
  a=anew
  |a|+|b| <= 4
  ;SOURCE: fractint.frm
}


HyperSqrTest {; Jim Muth
              ; As posted in Fractal-Art, 5/3/97
  a=real(p1), b=imag(p1), c=real(p2),
  d=imag(p2), e=real(p3), f=imag(p3):
  g=(a^c)-(b^d)+pixel
  b=e*a*b+f
  a=g,
  |a|+|b| <= 100
  ;SOURCE: 97msg.frm
}

