

l6{
  z=pixel,z1=(1-pixel),y=fn4(1/z1),c=(y+y)^p1:
  z=fn1(z)*fn2(z1+1)
  z=(fn1((z1-2)/z+1)+(fn2(z1-1)))*1/(z1+z1) 
  z=fn2(z1*y)/fn3(1/c-1)/fn3(z1*((y+z)))+(c*z)
  |z|<4
  ;SOURCE: ad3.frm
}


Lambda {; v7.x - Jon Horner - set p1 = (0.85, 0.6)
        ; The Z screen description in Fractint <v18 says
        ; (1-z^2) which produces a totally different fractal.
        ; - fixed in v18.  CAL calls it LogisticEquation-J.
  z = pixel, c = p1 :
  z = z * (1 - z ) * c ,
  |z| <= 4
  ;SOURCE: parser.frm
}


Lambda[Fn||Fn] {; v18 - Chuck Ebbert - runs 55.36s v19.0
   ; requires float=yes, m = lambda (default (1.0,0.1),
   ; imag(p2) changes bailout (default = 64)
   ; real(p2) changes shift value (s) (default = 1)
  z = pixel, modz = |z|,
  t = (64 * (imag(p2)<=0) + imag(p2) * (0<p2) ),
  m = ((1.0,0.1) * (|p1|<=0) + p1 ) ,  ; force lambda value when p1=0
  s = real(p2) + 1 :
  z = m * (fn1(z) * (modz<s) + fn2(z) * (real(s)<=modz)), ; real superfluous? - JH
  modz = |z|, modz <= t
  ;SOURCE: parser.frm
}


lambdafn {; Chuck Ebbert.
          ; P1 is lambda, P2 = bailout (default 64).
          ; lambda default is (1,.4)
  z = pixel,
  m = ((1,.4) * (|p1|<=0) + p1 ),  ; force (1,.4) when p1=0
  t = (64 * (real(p2)<=0) + real(p2) * (0<p2) ):
  z = fn1(z) * m,
  abs(imag(z)) <= t && abs(real(z)) <= t
  ;SOURCE: builtn.frm
}


lambdafn-mod { 
  z = pixel,
  m = ((1, 0.4) * (|p1|<=0) + p1 ),  
  t = (64 * (real(p2)<=0) + real(p2) * (0<p2) ):
  z = fn1(z) * fn2(m),
  abs(imag(z)) <= t && abs(real(z)) <= t
  ;SOURCE: msg-1.frm
}


lambdafnorfn {; Chuck Ebbert.  Same as 'lambda(fn|fn)'.  14 Jan 1993
   ; p1 is lambda (default (1,.1), real(p2) = bailout (default 64)
   ; imag(p2) = shift value (default 1)
  z = pixel,
  m = ((1, 0.1) * (|p1|<=0) + p1 ),  ; force (1,.1) when p1=0
  s = (1 * (abs(imag(p2))<=0) + imag(p2) * (0<imag(p2)) ),
  t = (64 * (real(p2)<=0) + real(p2) * (0<p2) ):
  modz = |z|,
  z = ((fn1(z) * (real(modz)<s) + fn2(z) * (s<=modz) ) * m ),
  abs(imag(z)) <= t && abs(real(z)) <= t
  ;SOURCE: builtn2.frm
}


LambdaLog (XAXIS) {
  z = pixel, c = log(pixel):  
  z = c * sqr(z) + pixel, 
  |z| <= 4 
  ;SOURCE: skinner.frm
}


LambdaPwr {
  z = pixel:
  z = p1*z*(1 - z^p2), 
  |z| <= 100
  ;SOURCE: reb003.frm
}


lambtet1 {; fn1=sin & inside=bof60 gives a striking tropical fish!
          ; see file FISHY.GIF - New Images Nov. 
          ; set fn1=fn2=ident for simple tetrate fractal.            
  z=c=fn2(pixel): 
  z=fn1(c^z), 
  |z|<=4
  ;SOURCE: lamtet.frm
}


lambtet2 {
  z=c=fn2(pixel): 
  z=fn1(z^c), 
  |z|<=4
  ;SOURCE: lamtet.frm
}


lambtet3 {; fn1=recip will produce infinitely nested crustaceans!
  z=c=fn2(pixel): 
  z=c^fn1(z), 
  |z|<=4
  ;SOURCE: lamtet.frm
}


lambtet4 {
  z=c=fn2(pixel): 
  z=z^fn1(c), 
  |z|<=4
  ;SOURCE: lamtet.frm
}


lambtet5 { 
  z=c=fn2(pixel): 
  z=1/fn1(c^z), 
  |z|<=4
  ;SOURCE: lamtet.frm
}


lambtet6 {
  z=c=fn2(pixel): 
  z=1/fn1(z^c), 
  |z|<=4
  ;SOURCE: lamtet.frm
}


lambtet7 {
  z=c=fn2(pixel): 
  z=c^(1/fn1(z)), 
  |z|<=4
  ;SOURCE: lamtet.frm
}


lambtet8 { 
  z=c=fn2(pixel): 
  z=z^(1/fn1(c)), 
  |z|<=4
  ;SOURCE: lamtet.frm
}


lambtet9 {
  z=c=fn2(pixel): 
  z=fn1(c^fn3(z)), 
  |z|<=4
  ;SOURCE: lamtet.frm
}


Larry {; Mutation of 'Michaelbrot' and 'Element'
    ; Original formulas by Michael Theroux [71673,2767]
    ; Modified for if..else logic 3/19/97 by Sylvie Gallet
    ; For 'Michaelbrot', set FN1 & FN2 =IDENT and P1 & P2 = default
    ; For 'Element', set FN1=IDENT & FN2=SQR and P1 & P2 = default
    ; p1 = Parameter (default 0.5,0), real(p2) = Bailout (default 4)
   z = pixel
    ; The next line sets c=default if p1=0, else c=p1
   IF (real(p1) || imag(p1))
      c = p1
   ELSE
      c = 0.5
   ENDIF
    ; The next line sets test=4 if real(p2)<=0, else test=real(p2)
   IF (real(p2) <= 0)
      test = 4
   ELSE
      test = real(p2)
   ENDIF
   :
   z = fn1(fn2(z*z)) + c
   |z| <= test
  ;SOURCE: fract196.frm
}


LeeMandel1 (XYAXIS) {; Kevin Lee
  z=Pixel:
   ;; c=sqr(pixel)/z, c=z+c, z=sqr(z),  this line was an error in v16
  c=sqr(pixel)/z, c=z+c, z=sqr(c)
  |z|<4
  ;SOURCE: fractint.frm
}


LeeMandel2 (XYAXIS) {; Kevin Lee
  z=Pixel:
  c=sqr(pixel)/z, c=z+c, z=sqr(c*pixel)
  |z|<4
  ;SOURCE: fractint.frm
}


LeeMandel3 (XAXIS) {; Kevin Lee
  z=Pixel, c=Pixel-sqr(z):
  c=Pixel+c/z, z=c-z*pixel
  |z|<4
  ;SOURCE: fractint.frm
}


Leeze (XAXIS) {
  s = exp(1.,0.), z = Pixel, f = Pixel ^ s:
  z = cosxx (z) + f
  |z| <= 50
  ;SOURCE: fractint.frm
}


Legendre (XAXIS) {; Advanced Fractal Programming in C  - Stevens
  z=0:
  zsq = z*z,
  z=.125*(35*zsq*zsq-30*zsq+3)+pixel,
  |z| <= 4
  ;SOURCE: hughes.frm
}


Lesfrm01 (xaxis) { 
  c=z=pixel:
  z=z+(fn1(c)/fn2(z))/c^3,
  |z| <=4
  ;SOURCE: les.frm
}


Lesfrm01r {; Les St Clair, 1996
           ; modified Lesfrm01 to include rounding function
           ; requires Fractint 19.4 or later
           ; p1 sets degree of rounding
           ; smaller p1 = coarser rounding
  c=z=pixel:
  p=p1*((fn1(c)/fn2(z))/(c*c*c))
  q=round(p)
  r=q/p1
  z=z+r,
  |z| <=4
  ;SOURCE: 96msg.frm
}


Lesfrm02 (xaxis) { 
  c=z=pixel:
  z=z+(fn1(z)/fn2(c))/c^3,
  |z| <=4
  ;SOURCE: les.frm
}


Lesfrm02g_PHC {; Les St Clair [101461,2032], 1996  Requires passes=1
   ; modified Lesfrm02
   ; generalised version to incorporate new funcions
   ; some functions requires Fractint 19.4 or later
   ; use fn3 to select round, floor, ceil, trunc
   ; use p2 to select degree of influence for above functions
   ; Amalgamated with manjul_lace formula by George Martin to enable PHC
  z = whitesq * 1.5*pixel + (whitesq==0) * pixel
  c = whitesq * 1.5*pixel + (whitesq==0) * (-.75, .1234567)
  p = p2 / (fn2(c)*c*c*c) :
   ; begin iterations
  z = z + fn3(fn1(z)*p) / p2
  |z| <= 4
  ;SOURCE: phc.frm
}


Lesfrm03 (xaxis) { 
  z=pixel:
  z=z+(fn1(z)/fn2(z))/z^4,
  |z| <=4
  ;SOURCE: les.frm
}


Lesfrm04 (xaxis) { 
  c=z=pixel:
  z=z+(fn1(c^2)/fn2(z^2))/c^4,
  |z| <=6
  ;SOURCE: les.frm
}


Lesfrm05 (xaxis) { 
  c=z=pixel:
  z=z+p1/fn1(z^2)/c^3,
  |z| <=6
  ;SOURCE: les.frm
}


Lesfrm05_a (xaxis) {
  c=z=pixel:
  z=z+p1/fn1(z*z)/(c*c*c),
  |z| <=6
  ;SOURCE: 96msg.frm
}


Lesfrm06 { 
  c=z=pixel:
  z=z+p1*fn1(z/0.213)/c,
  |z| <=3
  ;SOURCE: les.frm
}


Lesfrm07 { 
  c=z=pixel:
  z=z+p1*fn1(z/0.416)/c^2,
  |z| <=3
  ;SOURCE: les.frm
}


Lesfrm08 { 
  c=z=pixel:
  z=z+p1*fn1(z/3.142)/c^3.142,
  |z| <=3.142
  ;SOURCE: les.frm
}


Lesfrm09 { 
  c=z=tan(pixel):
  z=z+p1*fn1(z)-(fn1)*c,
  |z| <=10
  ;SOURCE: les.frm
}


Lesfrm10 { 
  c=z=pixel:
  z=z+(fn1(fn2(Z)))+C/P1,
  |z|<4
  ;SOURCE: les.frm
}


Lesfrm11 { 
  c=z=pixel:
  z=z+(((fn1(z)-P1)*fn2(z))/fn3(c)),
  |z|<4
  ;SOURCE: les.frm
}


Lesfrm12 {; Les St Clair, 1996
  z = pixel :
  x = fn1(z) , y = fn2(z)
  z = x*y
  |z| <= 4
  ;SOURCE: les.frm
}


Lesfrm13 {; Les St Clair, 1996
  z = pixel 
  x = fn1(z) , y = fn2(z):
  x = x*p1*pi
  y = y*p2*pi 
  z = x/y
  |z| <= 4
  ;SOURCE: lesfrm13.frm
}


Lesfrm14 (xaxis) {; Les St Clair, 1996
  z = c = pixel:
  x = p1*fn1(z)
  y = p2*fn2(z)
  z = c + (x^y)
  |z| <= 4
  ;SOURCE: 96msg.frm
}


Lesfrm15 {; Les St Clair, 1996
  z = c = pixel:
  c = p1*c 
  z = fn1(c)^pi+fn2(z)+p2*c
  |z| <= 4
  ;SOURCE: les.frm
}


Lesfrm16 {; Les St Clair, 1996
  z = c = pixel:
  x = p1*fn1(z)
  y = p2*fn2(z)
  x1= x*x
  y1= y*y
  z = c + x1/y1
  |z| <= 4
  ;SOURCE: 96msg.frm
}


Lesfrm17 {; Les St Clair, 1996
  z = c = pixel:
  x=real(z), y=imag(z)
  x = fn1(z)*pi
  y = fn2(z)*pi
  x1 = x^2+c
  y1 = y^2-c
  z = x1/y1
  |z| <= 4
  ;SOURCE: les.frm
}


Lesfrm18 {; Les St Clair, 1996
  z = c = pixel:
  x=real(z), y=imag(z)
  x = fn1(x) + c
  y = fn2(y) + c
  x1 = p1*z + x
  y1 = p2*z + y
  z = x1^y1
  |z| <= 4
  ;SOURCE: les.frm
}


Lesfrm19 {; Les St Clair, 1996
  z = c = pixel:
  x=real(z), y=imag(z)
  x= fn1(z*x)+(p1^c)+c
  y= fn2(z*y)+(p2^c)+c
  z = x+flip(y)
  |z| <4
  ;SOURCE: 96msg.frm
}


Lesfrm20 {; Les St Clair, 1996
  z = c = pixel:
  x=real(z), y=imag(z)
  x= fn1(x) + p1*c
  y= fn2(y) + p2*c
  z = x+flip(y)
  |z| <4
  ;SOURCE: les.frm
}


Lesfrm21 {; Les St Clair, 1996
  z = c = pixel:
  x=real(z), y=imag(z)
  x= fn1(x) + p1*c*pi
  y= fn2(y) + p2*c*pi
  z = x+flip(y)
  |z| <4
  ;SOURCE: les.frm
}


Lesfrm22 {; Les St Clair, 1996
  z = c = pixel:
  x=real(z), y=imag(z)
  x= fn1(x) + fn2(y) +p1*c*pi
  y= fn2(y) - fn1(x) +p2*c*pi
  z = x+flip(y)
  |z| <4
  ;SOURCE: les.frm
}


Lesfrm23 {; Les St Clair, 1996
  z = c = pixel:
  x=real(z), y=imag(z)
  x= fn1(z) + p1*y
  y= fn2(z) + p2*x
  z = x+flip(y) + c*c
  |z| <4
  ;SOURCE: les.frm
}


Lesfrm30 { ; Modified Sylvie Gallet formula
           ; Modified Gallet-5-08
           ; Les St Clair 1997
  z = pixel^0.5 , x = real(z) , y = imag(z) :
   x1 = x + p1*fn1(y + fn2(p2*x) + fn3(p3*y))
   y1 = y + p1*fn1(x + fn2(p2*y) + fn3(p3*x))
   x = x1*pi  , y = (y1*pi)/(x*x*x)
   z = x + flip(y) 
    |z| <= 32
    ;SOURCE: 97msg.frm
}


Lesfrm34 { ; Modified Sylvie Gallet formula
           ; Modified Gallet-5-08
           ; Les St Clair 1997
  z = pixel*pi , x = real(z), y = imag(z):
   x1 = x - p1*fn1(y + 0.5*fn2(y+fn1(x)) + fn3(p2*x) + fn3*fn1(p3*y)) 
   y1 = y - p1*fn1(x + 0.5*fn2(x+fn1(y)) + fn3(p2*y) + fn3*fn1(p3*x))
   x = x1^pi , y = y1^pi
   z = (x + flip(y))^pi
    |z| <= 32
    ;SOURCE: 97msg.frm
}


Lesfrm35 { ; Modified Sylvie Gallet formula
           ; Modified Gallet-5-08
           ; Les St Clair 1997
  z = pixel*pi , x = real(z), y = imag(z):
   x1 = x - p1*fn1(y + 0.5*fn2(y+fn1(x)) + fn3(p2*x) + fn3*fn1(p3*y)) 
   y1 = y - p1*fn1(x + 0.5*fn2(x+fn1(y)) + fn3(p2*y) + fn3*fn1(p3*x))
   x = x1+p1^pi , y = y1+p2^pi
   z = (x + flip(y))
    |z| <= 32
  ;SOURCE: 97msg.frm
}


Lesfrm42    { ; Modified Sylvie Gallet formula
              ; Modified (generalised) Gallet-8-12
              ; Les St Clair 1997
              ; Requires periodicity = 0
              ; default fn1=cabs, fn2=asin, fn3=sqrt, fn4=tan
  h = fn1(pixel) , pinv = 1/p1
  bailout = 2*p1 , r = real(p2) , ir = imag(p2)
  beta = fn2(h/r) , alpha = fn2(h/(r*ir))
  z = pixel * (((h - fn3(r*r - h*h) * fn4(beta - alpha)) / h) * (h < r) \
      + (h >= r))
  center = round(p1*z) * pinv 
  test = cabs(z-center) < 0.45*pinv
  z = cabs(center) + p1 * (test == 0)
  :
  z = z + pinv
  z=z+h
  z <= bailout
    ;SOURCE: 97msg.frm
}


Lesfrm43    { ; Modified Sylvie Gallet formula
              ; Modified Gallet-8-12
              ; Les St Clair 1997
  h = fn1(pixel) , pinv = 1/p1
  bailout = 2*p1 , r = real(p2) , ir = imag(p2)
  beta = fn2(h/r) , alpha = fn2(h/(r*ir))
  z = pixel * (((h - fn3(r*r - h*h) * fn4(beta - alpha)) / h) * (h < r) \
      + (h >= r))
  center = round(p1*z) * pinv 
  test = cabs(z-center) < 0.45*pinv
  z = cabs(center) + p1 * (test == 0)
  :
  z = (z*z + pinv)/h
  z <= bailout
    ;SOURCE: 97msg.frm
}


LesPHCfrm01 {; Les St Clair [101461,2032], 1996  Requires passes=1
   ; Modified Vincent D. Presogna formula (Block_4.fmr)
   ; Amalgamated with manjul_lace.frm by George Martin to enable PHC
  z = whitesq * 1.5*pixel + (whitesq==0) * pixel
  c = whitesq * 1.5*pixel + (whitesq==0) * (-.75, .1234567):
  r = tan(1/z) + p1
  q = floor(z) - p2 * ceil(c) - p1
  z = fn1(z) * r * q
  round(z) < 4
  ;SOURCE: phc.frm
}


LesPHCfrm04 {; Les St Clair [101461,2032], 1996  Requires passes=1
             ; Based on Liar1 & Glynn formulas by Chuck Ebbert and
             ; Earl Glynn 
  z = pixel:
  x = 1 - abs(imag(z)-real(z))
  z = (1 - abs(imag(z)-real(z)) + flip(1 - abs(1-real(z)-imag(z))))\
      * (whitesq == 0) + (z ^ p1 - p2) * whitesq
  (|z| <= 1 && whitesq == 0) || (|z| <= 4 && whitesq)
  ;SOURCE: 96msg.frm
}


LGDF0001 {; Inspired by Bob Carr
          ; LGD (c)1996 [72332,507]
  z=pixel,
  c=1/fn1(pixel*666):
  z=z*(c+sqr(p1*p2))+z
  c=sqr(flip(cos(c)))+c
  |z|<=4
  ;SOURCE: lgd001.frm
}


LGDF0002 {; A mangled Mandelbrot
          ; LGD (c)1996 [72332,507]
  z=pixel, c=z+pixel:
  z=z+sqr(z)+(c*p2)
  |z|<=p1
  ;SOURCE: lgd001.frm
}


LGDF0003 {; A mangled Mandelbrot
          ; LGD (c)1996 [72332,507]
  c=z=pixel:
  z=z*z+fn1(c^2)
  |z|<=p1
  ;SOURCE: lgd001.frm
}


LGDF0004 {; Headless Mandelbrot
          ; Set fn1 to log, p1 to 4
          ; p2 to about .765 for
          ; the headless Mandelbrot
          ; LGD (c)1996 [72332,507]
  z=pixel, c=pixel*p2:
  z=z+z^2+c+(fn1(c^z))
  |z|<=p1
  ;SOURCE: lgd001.frm
}


LGDF0005 {; What it is again
          ; LGD (c)1996 [72332,507]
  c=z=pixel:
  z=z*z+c^p2+(fn1(c^z))
  |z|<=p1
  ;SOURCE: lgd001.frm
}


LGDF0006 {; What it is more
          ; Use a big bailout (p1>1000000)
          ; LGD (c)1996 [72332,507]
  c=z=pixel:
  z=z*p3+(fn1(z^p2))/c
  |z|<=p1
  ;SOURCE: lgd001.frm
}


LGDF0007 {; Guess
          ; LGD (c)1996 [72332,507]
  c=fn1(pixel), z=pixel:
  z=z*(c+z)
  |z|<=p1
  ;SOURCE: lgd001.frm
}


LGDF0008 {; Guess Again
          ; LGD (c)1996 [72332,507]
  c=z=pixel, a=c+z+pixel:
  z=z*(z+fn1(p2)*a)
  |z|<=p1
  ;SOURCE: lgd001.frm
}


LGDF0009 (XAXIS) {; TwoFace Formula
                  ; Modified Sylvie Gallet frm.
                  ; Modified Carr1971 formula
                  ; LGD 1-11-96
  c=z=pixel, 
  compt=0 , limit=real(p1/pixel) , bailout=4
  p=(-0.743380900000982,-0.131850030300002) :
  test=(compt<limit)
  c=c*test+p*(1-test)
  z=z*z+c
  compt=compt+1
  |z|<=bailout
  ;SOURCE: lgd001.frm
}


LGDF0010 {; Inspired by Bob Carr
          ; LGD (c)1996 [72332,507]
  z=pixel, c=1/fn1(pixel*p3):
  z=z*(c+sqr(p1*p2))+z
  c=flip(sqr(sin(c)))+c+c+z
  |z|<=4
  ;SOURCE: lgd001.frm
}


LGDF0011 {; Modified Sylvie Gallet frm.
          ; Modified Carr1971 formula
          ; LGD 3-6-96
  c=z=pixel, 
  compt=0 , limit=real(p1/pixel) , bailout=4
  p=(p2) :
  test=(compt<limit)
  c=c*test+p*(1-test)
  z=z*z+fn1(c)
  compt=compt+1
  |z|<=bailout
  ;SOURCE: lgd001.frm
}


LGDF0012 {; What it is more again
          ; Use a big bailout (p1>1000000)
          ; LGD (c)1996 [72332,507]
  c=z=pixel:
  z=z+z+c+z*(p3+(fn1(z^p2))/c)
  |z|<=p1
  ;SOURCE: lgd001.frm
}


LGDF0013 {; Another nothing
          ; LGD (c)1996 [72332,507]
  c=z=pixel:
  z=z*z*(z*p2)*c*z+z+z+z+z
  c=c+z
  |z|>=p1
  ;SOURCE: lgd001.frm
}


LGDF0014 {; Created with FracText
          ; requires 'periodicity=0'
  z=pixel, x=real(z), y=imag(z)
  chrL1 = x<-1.545||y<-0.145&&x>-1.6&&x<-1.445
  chrO2 = abs(cabs(z+(1.3325,0.075))-0.0975)<0.0275&&x<-1.2075
  xr=2*x
  chrR3 = y<-0.0475&&y>-0.1025||y>-0.005||x<-1.14&&x>-1.195\
          &&x<-1.09||(abs(cabs(z+(1.09,0.02625))-0.04875)\
          <0.0275&&x>-1.09)||(y<-0.075&&y<-xr-2.2275&&y>-xr-2.35048)
  chrE4 = x<-0.94625||y<-0.145||(y<-0.0475&&y>-0.1025)\
          ||y>-0.005&&x>-1.00125&&x<-0.84625
  xn=2.5*x
  chrN5 = x>-0.83375&&x<-0.77875||(x>-0.73375&&x<-0.67451)\
          ||(y>-xn-2.03437&&y<-xn-1.88628)
  test = chrL1||chrO2||chrR3||chrE4||chrN5&&y>-0.2&&y<0.05
  test=(test==0)
  z=c=pixel:
  z=z*z+c
  |z|<=4&&test==0
  ;SOURCE: lgd001.frm
}


LGDF0015 {; Created with FracText
          ; requires 'periodicity=0'
  c=z=pixel, x=real(z), y=imag(z)
  chrL1 = x<0.22||y<0.22&&x>0&&x<0.62
  chrO2 = abs(cabs(z+(-1.07,-0.5))-0.39)<0.11&&x<1.57
  xr=2*x
  chrR3 = y<0.61&&y>0.39||y>0.78||x<1.84&&x>1.62\
           &&x<2.04||(abs(cabs(z+(-2.04,-0.695))-0.195)<0.11\
           &&x>2.04)||(y<0.5&&y<-xr+4.69&&y>-xr+4.19806)
  chrE4 = x<2.615||y<0.22||(y<0.61&&y>0.39)||y>0.78&&x>2.395&&x<3.015
  xn=2.5*x
  chrN5 = x>3.065&&x<3.285||(x>3.465&&x<3.70195)\
          ||(y>-xn+8.6625&&y<-xn+9.25487)
  test = chrL1||chrO2||chrR3||chrE4||chrN5&&y>0&&y<1
  test=(test==0)
  z=c=pixel:
  z=z*z+fn1(c^2)
  |z|<=p1&&test==0
  ;SOURCE: lgd001.frm
}


LGDF0016 {; Return of the Son of Nothing
          ; LGD (c)1996 [72332,507]
  c=z=pixel:
  z=z*z*(c*p2)*z+fn1(z+c)
  c=c*fn2(z)
  |z|<=p1
  ;SOURCE: lgd001.frm
}


Liar1 {; by Chuck Ebbert.
       ; X: X is as true as Y
       ; Y: Y is as true as X is false
       ; Calculate new x and y values simultaneously.
       ; y(n+1)=abs((1-x(n) )-y(n) ), x(n+1)=1-abs(y(n)-x(n) )
  z = pixel:
  z = 1 - abs(imag(z)-real(z) ) + flip(1 - abs(1-real(z)-imag(z) ) )
  |z| <= 1
  ;SOURCE: fractint.frm
}


Liar1M {; by Jon Horner - based on LIAR1 by Chuck Ebbert - 76306,1226
        ; X: X is as true as Y
        ; Y: Y is as true as X is false
        ; Calculate new x and y values simultaneously.
        ; y(n+1)=abs((1-x(n) )-y(n) ), x(n+1)=1-abs(y(n)-x(n) )
  z = (0,0), c = pixel :
  z = 1 - abs(imag(z)-real(z) ) + flip(1 - abs(1-real(z)-imag(z))) + c,
  |z| <= 1 
  ;SOURCE: nuliar.frm
}


Liar2 {; by Chuck Ebbert.
       ; Same as Liar1 but use sequential reasoning, calculating
       ; new y value using new x value.
       ; x(n+1) = 1 - abs(y(n)-x(n) );
       ; y(n+1) = 1 - abs((1-x(n+1) )-y(n) );
  z = pixel:
  x = 1 - abs(imag(z)-real(z))
  z = flip(1 - abs(1-real(x)-imag(z) ) ) + real(x)
  |z| <= 1;
  ;SOURCE: liar.frm
}


Liar2M {; by Jon Horner - based on LIAR2 by Chuck Ebbert.
        ; Same as Liar1M but uses sequential reasoning, calculating
        ; new y value using new x value.
        ; x(n+1) = 1 - abs(y(n)-x(n) );
        ; y(n+1) = 1 - abs((1-x(n+1) )-y(n) );
  z = (0,0), c = pixel :
  x = 1 - abs(imag(z) - real(z)) ,
  z = flip(1 - abs(1-real(x)-imag(z))) + real(x) + c ,
  |z| <= 1 
  ;SOURCE: nuliar.frm
}


Liar3 {; by Chuck Ebbert.
   ; X: X is true to P1 times the extent that Y is true
   ; Y: Y is true to the extent that X is false.
   ; Sequential reasoning.  P1 usually 0 to 1.  P1=1 is Liar2 formula.
   ; x(n+1) = 1 - abs(p1*y(n)-x(n) );
   ; y(n+1) = 1 - abs((1-x(n+1) )-y(n) );
  z = pixel:
  x = 1 - abs(imag(z)*real(p1)-real(z) )
  z = flip(1 - abs(1-real(x)-imag(z) ) ) + real(x)
  |z| <= 1
  ;SOURCE: fractint.frm
}


Liar3M {; by Jon Horner - based on LIAR3 by Chuck Ebbert.
   ; X: X is true to P1 times the extent that Y is true
   ; Y: Y is true to the extent that X is false.
   ; Sequential reasoning.  P1 usually 0 to 1.  P1=1 is Liar2M formula.
   ; x(n+1) = 1 - abs(p1*y(n)-x(n) );
   ; y(n+1) = 1 - abs((1-x(n+1) )-y(n) );
  z = (0,0), c = pixel :
  x = 1 - abs(imag(z) * real(p1) -real(z) ),
  z = flip(1 - abs(1-real(x)-imag(z) ) ) + real(x) + c,
  |z| <= 1 
  ;SOURCE: nuliar.frm
}


Liar4 {; by Chuck Ebbert.
       ; X: X is as true as (p1+1) times Y
       ; Y: Y is as true as X is false
       ; Calculate new x and y values simultaneously.
       ; Real part of p1 changes probability.  Use floating point.
       ; y(n+1)=abs((1-x(n) )-y(n) ), x(n+1)=1-abs(y(n)-x(n) )
  z = pixel, p = p1 + 1:
  z = 1-abs(imag(z)*p-real(z))+flip(1-abs(1-real(z)-imag(z)))
  |z| <= 1
  ;SOURCE: fractint.frm
}


Liar4M {; by Jon Horner - based on LIAR4 by Chuck Ebbert.
        ; X: X is as true as (p1+1) times Y
        ; Y: Y is as true as X is false
        ; Calculate new x and y values simultaneously.
        ; Real part of p1 changes probability.  Use floating point.
        ; y(n+1)=abs((1-x(n) )-y(n) ), x(n+1)=1-abs(y(n)-x(n) )
  z = (0,0), c = pixel , p = p1 + 1:
  z = 1-abs(imag(z)*p-real(z))+flip(1-abs(1-real(z)-imag(z))) + c ,
  |z| <= p2 
  ;SOURCE: nuliar.frm
}


limerick {; Bradley Beacham  [74223,2745]
          ; Just an experiment -- nothing earth-shaking...
  z = c = pixel, test = p1 + 4:
  z = fn1(z)
  z = fn1(z)
  z = fn2(z)
  z = fn2(z)
  z = fn1(z) + c
  |z| < test
  ;SOURCE: zsazsa.frm
}


Lin-carr6new {; Robert Carr's formula modified by Linda Allison
  z = pixel:
  z = (fn1(p1/z ^ 3))/.5
  |z| <= p2
  ;SOURCE: la-mon.frm
}


Lin-x3 (XAXIS) {; Lee Skinner's MTet formula modified by Linda Allison
  z = pixel:
  z = (pixel ^ ((z + 1)/z)) + pixel,
  |z| <= (p1 ^ z)
  ;SOURCE: la-mon.frm
}


Lin-y2new (XAXIS) {; Lee Skinner's MTet formula modified by Linda Allison
  z = pixel:
  z = (pixel ^ (z + 1.3/z)) + (fn1(P1))/3
  |z| <= (P2 + 5)
  ;SOURCE: la-mon.frm
}


Lister {; Might need periodicity=0 
  z = pixel + p1:
  r = tan(1/z)/e + pixel  
  z = fn1(z)/r 
  |z| < 4
  ;SOURCE: lister.frm
}


Lister_2 {; Might need periodicity=0 
  z = c = pixel + p1:
  r = tan(e/z)/pi
  z = fn1(z)/fn2(c/r) 
  |z| < 4
  ;SOURCE: lister.frm
}


Lister_3 {; Might need periodicity=0 
  z = pixel + p1:
  r = tan(1/z)/e
  z = fn1(1/z)*r/e   
  |z| < 4
  ;SOURCE: lister.frm
}


Lister_M {; Might need periodicity=0 
  z = c = pixel:
  r = tan(e/z)/c  
  z = r * fn1(z) - p1 
  |z| < 4
  ;SOURCE: lister.frm
}


Listerial {; Might need periodicity=0
  z = pixel, tp = tan(1/pixel):
  z = fn1(z) + p1
  r = tp/(imag(z)/real(z)) 
  z = tan(1/z)/sqrt(r)
  |z| < 4
  ;SOURCE: lister.frm
}


LogDog (YAXIS) { 
  z = Pixel, b = p1+2:  
  z = log( z ) * pixel,  
  |z| <= b 
  ;SOURCE: newform.frm
}


LogExp (xaxis) {; Jm Collard-Richard  float=yes
                ; log(z)+exp(z)=0  une solution n'est *pas* z=0 ! 
                ; UNE solution: z=0.2...
  z=pixel:
  z1=log(z)+exp(z);
  z2=1/z+exp(z);
  z=z-(z1/z2),
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}


logf {
   ; I never did work with logs that much but this one was interesting.
  z=pixel, zp = (0,0):
  temp = z
  z = z*z + zp
  zp = log(1-temp),|zp| <= 4 
  ;SOURCE: noel.frm
}


LogPlusSin (XAXIS) {
  z = pixel:
  z = log(z) + sin(z) + pixel,
  |z| <= 4
  ;SOURCE: formulas.frm
}


Lyapunov1 (XAXIS) {  
  z = pixel:
  value = 1 + p1
  z = value*z*(1-z)
  ;SOURCE: robert.frm
}


lz10_sin (xyaxis) { 
  z=0: 
  z=(1/((z*pixel)*sin(z*pixel)))*pixel , 
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz10_sinh (xyaxis) { 
  z=0: 
  z=(1/((z*pixel)*sinh(z*pixel)))*pixel , 
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz11_sin (xyaxis) {
  z=(z^pixel)*sin(z^pixel), 
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz1_cos (xyaxis) {
  z=cos(z^pixel), 
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz1_cosh (xyaxis) {
  z=cosh(z^pixel), 
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz1_sin (xyaxis) {
  z=sin(z^pixel), 
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz1_sinh (xyaxis) {
  z=sinh(z^pixel), 
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz1l_sinh (xyaxis) {
  z=(z^pixel)*sinh(z^pixel), 
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz2_cos (xyaxis) {
  z=cos(z^pixel)*pixel, 
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz2_cosh (xyaxis) {
  z=cosh(z^pixel)*pixel, 
  |z|<-4 
  ;SOURCE: formtype.frm
}


lz2_sin (xyaxis) {
  z=sin(z^pixel)*pixel, 
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz2_sinh (xyaxis) {
  z=sinh(z^pixel)*pixel, 
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz3_cos (xyaxis) {
  z=1/cos(z^pixel), 
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz3_cosh (xyaxis) {
  z=1/cosh(z^pixel), 
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz3_sin (xyaxis) {
  z=1/sin(z^pixel), 
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz3_sinh (xyaxis) {
  z=1/sinh(z^pixel), 
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz4_cos (xyaxis) {
  z=1/cos(z*pixel),  
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz4_cosh (xyaxis) {
  z=1/cosh(z*pixel),  
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz4_sin (xyaxis) {
  z=1/sin(z*pixel),  
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz4_sinh (xyaxis) {
  z=1/sinh(z*pixel),  
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz5_cos (xyaxis) {
  z=(1/sin(z^pixel))*pixel,  
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz5_cosh (xyaxis) {
  z=(1/sin(z^pixel))*pixel,  
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz5_sin (xyaxis) {
  z=(1/sin(z^pixel))*pixel,  
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz5_sinh (xyaxis) {
  z=(1/sin(z^pixel))*pixel,  
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz6_cos (xyaxis) {
  z=(1/cos(z*pixel))*pixel, 
  |4|<=4 
  ;SOURCE: formtype.frm
}


lz6_cosh (xyaxis) {
  z=(1/cosh(z*pixel))*pixel, 
  |4|<=4 
  ;SOURCE: formtype.frm
}


lz6_sin (xyaxis) {
  z=(1/sin(z*pixel))*pixel, 
  |4|<=4 
  ;SOURCE: formtype.frm
}


lz6_sinh (xyaxis) {
  z=(1/sinh(z*pixel))*pixel, 
  |4|<=4 
  ;SOURCE: formtype.frm
}


lz7_cosh (xyaxis) {
  z=z*pixel*cosh(z*pixel), 
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz7_sin (xyaxis) {
  z=z*pixel*sin(z*pixel), 
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz7_sinh (xyaxis) {
  z=z*pixel*sinh(z*pixel), 
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz8_cosh (xyaxis) {
  z=z*pixel*cosh(z*pixel)+pixel, 
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz8_sin (xyaxis) {
  z=z*pixel*sin(z*pixel)+pixel, 
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz8_sinh (xyaxis) {
  z=z*pixel*sinh(z*pixel)+pixel, 
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz9_sin (xyaxis) {; edited 5/6/96 for Orgform by George Martin
                  ; extra ")" at end of first expression deleted
  z=1/((z*pixel)*sin(z*pixel)), 
  |z|<=4 
  ;SOURCE: formtype.frm
}


lz9_sinh (xyaxis) {; edited 5/6/96 for Orgform by George Martin
                   ; extra ")" at end of first expression deleted
  z=1/((z*pixel)*sinh(z*pixel)), 
  |z|<=4 
  ;SOURCE: formtype.frm
}


LZZSHZ (Xaxis) {; Jm Collard-Richard
                ; Resol : log(z^z)=sinh(z)
  z=pixel:
  sh=sinh(z);
  ch=cosh(z);
  zz=z^z;
  z1=log(zz)-sh;
  z2=(((log(z)+1)*zz)/(zz))-ch;
  z=z-(z1/z2),
  0.001<=|z1|  
  ;SOURCE: jmcr2.frm
}


LZZSZ (Xaxis) {; Jm Collard-Richard  - Use Float=Yes
               ; resol :  log(z^z)=sin(z)
  z=pixel:
  s=sin(z);
  c=cos(z);
  zz=z^z;
  z1=log(zz)-s;
  z2=(((log(z)+1)*zz)/(zz))-c;
  z=z-(z1/z2),
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}

