

ObliqueMand {; Jim Muth (as posted in Fractal-Art, 4/8/97)
             ; See JulibrotZpwr and JulibrotInvZ for generalized
             ; versions of this formula and additional explanatory
             ; text in the formula comments
  z=c=pixel:
  z=sqr(z)+p1+(c*p2),
  |z| <= 100
  ;SOURCE: 97msg.frm
}


ObliqueSqrt {; Jim Muth (as posted in Fractal-Art, 4/8/97)
             ; See JulibrotZpwr and JulibrotInvZ for generalized
             ; versions of this formula and additional explanatory
             ; text in the formula comments
  z=c=pixel:
  z=z^(1.4142)+p1+(c*p2),
  |z| <= 100
  ;SOURCE: 97msg.frm
}


octet {
   ; The ht varient of the octo formula
  z = pixel,zp=(0,0),huge=1.0e32:
  temp = z
  z = z^3 + zp
  zp = p1/temp, (|zp| <=64) && (|z| <= huge) 
  ;SOURCE: noel.frm
}


octo (XYAXIS) {
   ; The next obvious thing to try is different powers
   ; Note. Changing sign in this one like the trillium only rotates 22.5 deg.
  z = pixel,zp=(0,0):
  temp = z
  z = z^3 + zp
  zp = temp, |zp| <= 4 
  ;SOURCE: noel.frm
}


Oink {
  z = c = pixel + p1:
  r = fn1(1/z) * imag(z)
  q = fn2(1/z) * real(z)
  z = sin(q) * cos(r) + c
  |z| < 4 + p2
  ;SOURCE: big_pig.frm
}


OK-01 {; TRY P1 REAL = 10000, FN1 = SQR
  z = 0, c = pixel:
  z = (c^z) + c
  z = fn1(z)
  |z| <= (5 + p1)
  ;SOURCE: fractint.frm
}


OK-02 {; TRY FN1 = COTAN
  z = c = pixel, k = 1 + p1:
  z = (c^z) + c;
  z = fn1(z) * k,
  |z| <= (5 + p2)
  ;SOURCE: overkill.frm
}


OK-03 {; TRY P1 REAL = 500, FN1 = COS, FN2 = SQR
  z = c = pixel:
  z = fn1(z)/c;
  z = fn2(z),
  |z| <= (5 + p1)
  ;SOURCE: overkill.frm
}


OK-04 {; TRY FN2 = SQR, DIFFERENT FUNCTIONS FOR FN1
  z = 0, c = fn1(pixel):
  z = fn2(z) + c
  |z| <= (5 + p1)
  ;SOURCE: fractint.frm
}


OK-05 {
  z = pixel, k = -2,2 + p1:
  z = (z^k + z) / k,
  (1 + p2) <= |z|
  ;SOURCE: overkill.frm
}


OK-06 {; TRY FN1 = SQR, FN2 = SQR
  z = c = pixel, d = fn1(pixel):
  z = fn2(z / d) + c 
  |z| <= (5 + p1)
  ;SOURCE: overkill.frm
}


OK-07 {
  z = 0, c = pixel:
  z = c * (z + c);
  z = fn1(z + c),
  |z| <= (5 + p1)
  ;SOURCE: overkill.frm
}


OK-08 {
  z = pixel, c = fn1(pixel):
  z = z^z / fn2(z)
  z = c / z
  |z| <= (5 + p1)
  ;SOURCE: fractint.frm
}


OK-09 {
  z = c = pixel, d = fn1(pixel), k = 1 + p1:
  z = z^c * k;
  z = d / z,
  |z| <= (5 + p2)
  ;SOURCE: overkill.frm
}


OK-10 {
  z = 0, c = pixel, k1 = 1 + p1, k2 = 1 + p2:
  z = (z * k1) + c;
  z = fn1(z) / (k2 + c),
  |z| <= (k2)
  ;SOURCE: overkill.frm
}


OK-11 {; TRY FN1 = SQR, FN2 = SQR
  z = 0, v = pixel:
  z = fn1(v) + z;
  v = fn2(z) + v,
  |z| <= (5 + p1)
  ;SOURCE: overkill.frm
}


OK-12 {; TRY FN1 = SQR, FN2 = SQR
  z = c = pixel:
  z = fn1(z) + c;
  z = fn2(z) / c,
  |z| <= (5 + p1)
  ;SOURCE: overkill.frm
}


OK-13 {; TRY FN1 = SQR, FN2 = SQR
  z = 0, c = fn1(pixel) :
  z = fn1(z) + c;
  z = fn2(z),
  |z| <= (5 + p1)
  ;SOURCE: overkill.frm
}


OK-14 {; FOUR FUNCTIONS TO PLAY WITH HERE.  GO CRAZY.
  z = 0, c = pixel :
  z = fn1(z+c) + c;
  z = fn2(z-c) + c;
  z = fn3(z*c) + c;
  z = fn4(z/c) + c,
  |z| <= (5 + p1)
  ;SOURCE: overkill.frm
}


OK-15 {
  z = 0, v = pixel :
  z = fn1(v*z) + v;
  v = fn2(v/z),
  |z| <= (5 + p1)
  ;SOURCE: overkill.frm
}


OK-16 {
  z = v = pixel :
  z = fn1(z)^v;
  v = v + z,
  |z| <= (5 + p1)
  ;SOURCE: overkill.frm
}


OK-17 {
  z = c = pixel, r = real(pixel), i = imag(pixel):
  z = z^r + z^i + c;
  z = z + real(fn1(z)) + imag(fn2(z)),
  |z| <= (5 + p1)
  ;SOURCE: overkill.frm
}


OK-18 {
  z = v = pixel:
  z = fn1(v) + real(z);
  v = fn2(z) + imag(v),
  |z| <= (5 + p1)
  ;SOURCE: overkill.frm
}


OK-19 {
  a = b = z = pixel:
  a = fn1(b) + fn2(z);
  b = fn1(z) + fn2(a);
  z = fn1(a) + fn2(b),
  |z| <= (5 + p1)
  ;SOURCE: overkill.frm
}


OK-20 {
  a = b = c = z = pixel:
  a = fn1(b) + c^z;
  b = fn2(a+c);
  z = z + (a * b * c),
  |z| <= (5 + p1)
  ;SOURCE: overkill.frm
}


OK-21 {
  z = pixel, c = fn1(pixel):
  z = fn2(z) + c
  fn3(z) <= p1
  ;SOURCE: fractint.frm
}


OK-22 {
  z = v = pixel:
  v = fn1(v) * fn2(z)
  z = fn1(z) / fn2(v)
  |z| <= (5 + p1)
  ;SOURCE: fractint.frm
}


OK-23 {
  z = c = pixel, k = 1 + p1:
  z = k * fn1(z^z + c) + c/z,
  |z| <= (5 + p2)
  ;SOURCE: overkill.frm
}


OK-24 {; TRY P1 REAL = -2, FN1 = SQR, FN2 = RECIP
  z = 0, c = pixel, k = 1 + p1:
  z = fn2(fn1(z) + c) + (k * z),
  |z| <= (5 + p2)
  ;SOURCE: overkill.frm
}


OK-25 {
  z = c = pixel, k = 1 + p1:
  a = (abs(z) > k)  * (fn1(z) + c);
  b = (abs(z) <= k) * (fn2(z) + c);
  z = a + b,
  |z| <= (5 + p2)
  ;SOURCE: overkill.frm
}


OK-26 {
  z = c = pixel, k = 2 + p1, test = k/(2 + p2):
  a = fn1(z);
  b = (|z| > test)  * (a - c);
  d = (|z| <= test) * (a + c);
  z = b + d,
  |z| <= k
  ;SOURCE: overkill.frm
}


OK-27 {
  z = pixel, c = fn1(pixel), k = 1 + p1:
  a = fn2(z);
  b = (|z| >= k) * (a - c);
  d = (|z| < k) * (a + c);
  z = a + b + d,
  |z| <= (10 + p2)
  ;SOURCE: overkill.frm
}


OK-28 {
  z = c = pixel, d = fn1(pixel), k = p1:
  a = fn2(z);
  b = (z <= k) * (a + c + d);
  e = (z > k) * (a + c - d);
  z = z + b + e,
  |z| <= (10 + p2)
  ;SOURCE: overkill.frm
}


OK-29 {
  z = v = pixel, k = 1 + p1:
  oldz = z;
  z = fn1(z)^k + v;
  v = oldz,
  |z| <= (5 + p2)
  ;SOURCE: overkill.frm
}


OK-30 {
  z = v = pixel, k = .5 + p1:
  a = fn1(z);
  b = (z <= k) * (a + v);
  e = (z > k) * (a - v);
  v = z;
  z = b + e,
  |z| <= (5 + p2)
  ;SOURCE: overkill.frm
}


OK-31 {
  z = v = pixel, k = .1 + p1:
  a = fn1(z);
  b = (a <= k) * (a + v);
  e = (a > k) * fn2(a);
  v = z;
  z = b + e,
  |z| <= (5 + p2)
  ;SOURCE: overkill.frm
}


OK-32 {; Modified for if..else logic 3/19/97 by Sylvie Gallet
   z = y = x = pixel , k = 1 + p1 , test = 5 + p2 :
   a = fn1(z)
   IF (a <= y)
      b = y
   ELSE
      b = x
   ENDIF
   x = y , y = z , z = a*k + b
   |z| <= test
  ;SOURCE: fract196.frm
}


OK-33 {
  z = y = x = pixel, k = 1 + p1:
  a = (|y| <= k) * fn1(y);
  b = (|x| <= k) * fn2(x);
  x = y;
  y = z;
  z = fn3(z) + a + b,
  |z| <= (10 + p2)
  ;SOURCE: overkill.frm
}


OK-34 {; Modified for if..else logic 3/19/97 by Sylvie Gallet
   z = pixel , c = fn1(pixel) * p1 , test = 10 + p2 :
   x = abs(real(z)) , y = abs(imag(z))
   IF (x <= y)
      z = fn2(z) + y + c
   ELSE
      z = fn2(z) + x + c
   ENDIF
   |z| <= test
  ;SOURCE: fract196.frm
}


OK-35 {; Modified for if..else logic 3/19/97 by Sylvie Gallet
   z = pixel, k = 1 + p1 , test = 10 + p2 :
   v = fn1(z) , x = z*v , y = z/v
   IF (|x| <= |y|)
      z = fn2((z + y) * k * v) + v
   ELSE
      z = fn2((z + x) * k * v) + v
   ENDIF
   |z| <= test
  ;SOURCE: fract196.frm
}


OK-36 {; DISSECTED MANDELBROT
   ; TO GENERATE "STANDARD" MANDELBROT, SET P1 = 0,0 & ALL FN = IDENT
  z = pixel, cx = fn1(real(z)), cy = fn2(imag(z)), k = 2 + p1:
  zx = real(z), zy = imag(z)
  x = fn3(zx*zx - zy*zy) + cx
  y = fn4(k * zx * zy) + cy
  z = x + flip(y)
  |z| <  (10 + p2)
  ;SOURCE: fractint.frm
}


OK-37 {; ANOTHER DISECTED MANDELBROT
   ; TO GENERATE "STANDARD" MANDELBROT, SET P1 = 0,0 & ALL FN = IDENT
  z = pixel, c = fn1(fn2(z)), cx = real(c), cy = imag(c), k = 2 + p1:
  zx = fn3(real(z)), zy = fn4(imag(z));
  x = zx*zx - zy*zy + cx;
  y = k * zx * zy + cy;
  z = x + flip(y),
  |z| <  (10 + p2)
  ;SOURCE: overkill.frm
}


OK-38 {; DISSECTED CUBIC MANDELBROT
       ; TO GENERATE "STANDARD" CUBIC MANDELBROT, 
       ; SET P1 = 0,0 & ALL FN = IDENT
  z = pixel,  cx = fn1(real(pixel)), cy = fn2(imag(pixel)), k = 3 + p1:
  zx = real(z), zy = imag(z)
  x = fn3(zx*zx*zx - k*zx*zy*zy) + cx
  y = fn4(k*zx*zx*zy - zy*zy*zy) + cy
  z =  x + flip(y)
  |z| <  (4 + p2)
  ;SOURCE: fractint.frm
}


OK-39 {; JUST AN EXPERIMENT
  z = pixel, c = fn1(z), k = p1:
  z = fn2(z*c + k) + c,
  |z| <= (20 + p2)
  ;SOURCE: overkill.frm
}


OK-40 {; DISECTED OK-39
       ; (ASSUMING YOU USE OK-39 WITH FN1= IDENT & FN2 = SQR...)
  z = pixel, cx = fn1(real(pixel)), cy = fn2(imag(pixel)), k = 2 + p1:
  zx = real(z), zy = imag(z);
  a = zx*cx - zy*cy;
  b = cx*zy + zx*cy;
  x = fn3(a*a - b*b) + cx;
  y = fn4(k*a*b) + cy;
  z = x + flip(y),
  |z| <= (10 + p2)
  ;SOURCE: overkill.frm
}


OK-41 {; DISECTED MANDELLAMBDA
  z = 0.5 + p1, lx = fn1(real(pixel)), ly = fn2(imag(pixel)):
  zx = real(z), zy = imag(z);
  x = fn3(lx*zx + 2*ly*zx*zy - ly*zy - lx*zx*zx + lx*zy*zy);
  y = fn4(ly*zx - 2*lx*zx*zy + lx*zy - ly*zx*zx + ly*zy*zy);
  z = x + flip(y),
  |z| <= (10 + p2)
  ;SOURCE: overkill.frm
}


OK-42 {; MUTATION OF FN + FN
  z = pixel, p1x = real(p1)+1, p1y = imag(p1)+1
  p2x = real(p2)+1, p2y = imag(p2)+1:
  zx = real(z), zy = imag(z)
  x = fn1(zx*p1x - zy*p1y) + fn2(zx*p2x - zy*p2y)
  y = fn3(zx*p1y + zy*p1x) + fn4(zx*p2y + zy*p2x)
  z = x + flip(y)
  |z| <= 20
  ;SOURCE: fractint.frm
}


OK-43 {; DISSECTED SPIDER
   ; TO GENERATE "STANDARD" SPIDER, SET P1 = 0,0 & ALL FN = IDENT
  z = c = pixel, k = 2 + p1:
  zx = real(z), zy = imag(z)
  cx = real(c), cy = imag(c)
  x = fn1(zx*zx - zy*zy) + cx
  y = fn2(k*zx*zy) + cy
  z = x + flip(y)
  c = fn3((cx + flip(cy))/k) + z
  |z| <  (10 + p2)
  ;SOURCE: fractint.frm
}


OK-44 {; DISECTED MANOWAR
   ; TO GENERATE "STANDARD" MANOWAR, SET P1 = 0,0 & ALL FN = IDENT
  z = pixel, z1x = cx = real(pixel), z1y = cy = imag(pixel),
  k = 2 + p1:
  oldzx = zx = real(z), oldzy = zy = imag(z);
  x = fn1(zx*zx - zy*zy) + fn2(z1x) + cx;
  y = fn3(k*zx*zy) + fn4(z1y) + cy;
  z = x + flip(y);
  z1x = oldzx, z1y = oldzy,
  |z| <= (10 + p2)
  ;SOURCE: overkill.frm
}


OK-45 {; ANOTHER LITTLE QUICKY
  z = pixel, c = fn1(pixel), ka = 1 + p1, kb = 1 + p2:
  a = fn2(z), b = fn3(z);
  z = ka*a*a*a + kb*b*b + c,
  |z| <= 10
  ;SOURCE: overkill.frm
}


OldCGNewtonSinExp (XAXIS) {
  z=pixel:
  z1=exp(z);
  z2=sin(z)+z1-z;
  z=z-p1*z2/(cosxx(z)+z1), .0001 < |z2|
  ;SOURCE: dons.frm
}


OldHalleySin (XYAXIS) {
  z=pixel:
  s=sin(z)
  c=cosxx(z)
  z=z-p1*(s/(c-(s*s)/(c+c)))
  0.0001 <= |s|
  ;SOURCE: fractint.frm
}


OldJulibrot (ORIGIN) {; for Transparent3D
  z = real(zt) + flip(imag(xy)),    ; These settings coorespond to the
  c = imag(zt) + flip(real(xy)):    ;  Julia axes as height/width and
                ; the Mandelbrot axes as time/depth
                ; for the 3D image.
  z = Sqr(z) + c
  LastSqr <= 4;
  ;SOURCE: improved.frm
}


OldManowar (XAXIS) {
  z0 = 0
  z1 = 0
  test = p1 + 3
  c = pixel :
  z = z1*z1 + z0 + c
  z0 = z1
  z1 = z
  |z| < test
  ;SOURCE: fractint.frm
}


OldNewtonSinExp (XAXIS) {; Chris Green
   ; Newton's formula applied to sin(x)+exp(x)-1=0.
   ; Use floating point.
  z=pixel:
  z1=exp(z)
  z2=sin(z)+z1-1
  z=z-p1*z2/(cosxx(z)+z1),
  .0001 < |z2|
  ;SOURCE: dons.frm
}


Olio {
  z = c = pixel :
  z = z + p1
  z = c * fn1(pixel + z)
  z = sqr(1/z)
  |z| < 4
  ;SOURCE: olio.frm
}


Olio_2 (XAXIS) { 
  z = pixel, fpix = fn1(pixel) + p1:
  z = z + pixel 
  z = z * fpix 
  z = fn2(1/z) 
  |z| < 4
  ;SOURCE: olio.frm
}


Olio_3 (XAXIS) {
  z = pixel, fpix = fn1(pixel) + p1:
  z = z*z + pixel
  z = z * fpix 
  z = fn2(1/z) 
  |z| < 4
  ;SOURCE: olio.frm
}


Olio_4 (XAXIS) { 
  z = c = pixel:
  z = sin(sqr(z)) * fn1(1/c) 
  z = sin(z) + c   
  |z| < 4
  ;SOURCE: olio.frm
}


Olio_4_B (XAXIS) { 
  z = c = pixel:
  z = sin(sqr(z)) * fn1(1/sqr(z)) 
  z = sin(z) + c   
  |z| < 4
  ;SOURCE: olio.frm
}


Olio_5 (XAXIS) {
  z = pixel, sqpix = sqrt(pixel) + p1:
  z = (1/z+z) * sqpix 
  z = (pixel - 1/z) + fn1(z)
  |z| < 4
  ;SOURCE: olio.frm
}


Olio_6 (XAXIS) {
  z = c = pixel:
  z = sqr(c) / sqrt(z)
  z = z*z^1.5 + fn1(z)
  z = (z*3/-2+c^2)
  |z| < 4
  ;SOURCE: olio.frm
}


Olio_6_A (XAXIS) {
  z = c = pixel:
  z = sqr(z) - sqrt(c)
  z = z*z^1.5 + fn1(z)
  z = (z*3/-2+z^2)
  |z| < 4
  ;SOURCE: olio.frm
}


Olio_6_B (XAXIS) {
  z = c = pixel:
  z = sqr(z) - sqrt(c)
  z = z*z^1.5 + fn1(z)
  z = (z*3/-2+c^2)
  |z| < 4
  ;SOURCE: olio.frm
}


Olio_Magnet (XAXIS) {
  z = pixel :
  z = z + p1 + 0.5
  z = z * fn1(pixel) 
  z = sqr(1/z)
  |z| < 4
  ;SOURCE: olio.frm
}


Olio_Srand {
  z = pixel :
  z = z + p1
  z = z * z + srand(z)
  |z| < 4
  ;SOURCE: olio.frm
}


OMEN (XAXIS) {
  Z = PIXEL:
  Z = FN1(Z) + P1
  Z = (Z*Z + P1 - 1 / 2*Z + P1 -2)^2
  Z < 4
  ;SOURCE: the_omen.frm
}


OMEN_2 (XAXIS) {
  Z = PIXEL:
  Z = FN1(Z) + P1 
  Z = (Z*Z*Z+3*Z-1*Z+Z-1*Z-2 / 2*Z*Z+3*Z-2*Z+Z*Z-3*Z+3)^2
  ;SOURCE: the_omen.frm
}


OMEN_3 {
  Z = PIXEL:
  Z = COSH(Z) + (Z - PIXEL)  
  Z = (Z*Z + P1 - 1 / 2*Z + P1 -2) 
  Z = SQR(SIN(Z)) / SQRT(Z)
  |Z| < 4
  ;SOURCE: the_omen.frm
}


OMEN_4 {
  Z = PIXEL:
  Z = Z + Z + P1
  Z = (Z*Z*Z+3*Z-1*Z+Z-1*Z-2 / 2*Z*Z+3*Z-2*Z+Z*Z-3*Z+3)^2
  Z = FN1(Z*Z)/SQRT(Z*Z)
  Z < 4
  ;SOURCE: the_omen.frm
}


OMEN_5 {
  Z = PIXEL:
  Z = Z * Z + P1
  Z = (Z*Z+3*Z-1*Z+Z-2) - (Z*Z+3*Z-2*Z-3)^2
  Z = FN1(Z) + (PIXEL/3)    
  |Z| < 8
  ;SOURCE: the_omen.frm
}


OMEN_6 {
  Z = PIXEL:
  Z = Z * SIN(PIXEL) + P1
  Z = ((Z*Z+3*Z-1*Z+Z-2) - (Z*Z+3*Z-2*Z-3))^2
  Z = (FN1(Z) + SQRT(PIXEL) + PIXEL)    
  |Z| < 4
  ;SOURCE: the_omen.frm
}


Omicron {
  z = pixel:
  z = z + pixel + p1
  z = (1/sqrt(2*3.14)*(z^-3/2)*(exp(-1/2z)))
  |z| < 4
  ;SOURCE: omicron.frm
}


Omicron_2 {
  z = pixel :
  z = (1/sqr(z)) * (z - sqrt(z))
  z = z * fn1(z) + pixel
  z = (z*z*z) * pixel + p1 
  |z| < 16
  ;SOURCE: omicron.frm
}


Omicron_3 {
  z = pixel :
  z = z + pixel + p1
  z = (sqr(z) / sin(z)) * z + pixel
  |z| < 4
  ;SOURCE: omicron.frm
}


Omicron_4 (XAXIS) {
  z = pixel :
  z = (z*z)+(2*z)-3/(z*2)-(z*z)-2
  z = exp(z) * z / fn1(z)
  |z| < 4
  ;SOURCE: omicron.frm
}


Omicron_5 {
  z = pixel:
  z = (1/sqr(z*z))*(exp(-1/2*z))
  z = fn1(z) * z + pixel
  |z| < 4
  ;SOURCE: omicron.frm
}


Omicron_6 {
  z = sqr(pixel):
  z = z + sqr(z) + p1
  z = z + z + pixel
  |z| < 4
  ;SOURCE: omicron.frm
}


Omicron_7 {
  z = pixel:
  z = exp(z) * (z*acosh(z)) * (sqrt(z*z) + p1)
  z = z + pixel 
  |z| < 4
  ;SOURCE: omicron.frm
}


oof1 (XAXIS) {
  z = pixel:
  z = p1 * (z^p2) + p2 * (z^p1)
  z = z + pixel
  z = fn1(z) * p1
  |z| <= p2
  ;SOURCE: kgoof1.frm
}


oof10 {
  z = 1/pixel
  c = pixel:
  z = c * fn1 (z*z) 
  |z| <= p2
  ;SOURCE: kgoof10.frm
}


oof11  {
  z = y = pixel:
  z = fn1(z) * fn2(y) 
  y = fn1(y) / fn2(z)   
  |z| <= p1
  ;SOURCE: kgoof11.frm
}


oof1w (XAXIS) {
  z = pixel * whitesq:
  z = p1 * (z^p2) + p2 * (z^p1)
  z = z + pixel * (whitesq==0)
  z = fn1(z) * p1
  |z| <= p2
  ;SOURCE: kgoof1p.frm
}


oof2 (XYAXIS) {
  z = pixel:
  z = p1 * (z^p2) - p2 * (z^p1)
  z = z + pixel
  z = fn1(z) * p1
  |z| <= p2
  ;SOURCE: kgoof2.frm
}


oof2w (XYAXIS) {
  z = pixel * whitesq:
  z = p1 * (z^p2) - p2 * (z^p1)
  z = z + pixel * (whitesq==0)
  z = fn1(z) * p1
  |z| <= p2
  ;SOURCE: kgoof2p.frm
}


oof3 (XYAXIS) {
  z = pixel:
  z = p1 * (z^p2) - p2 * (fn2(z))
  z = z + pixel
  z = fn1(z) * p1
  |z| <= p2
  ;SOURCE: kgoof3.frm
}


oof3W (XYAXIS) {
  z = pixel* whitesq:
  z = p1 * (z^p2) - p2 * (fn2(z))
  z = z + pixel * (whitesq==0)
  z = fn1(z) * p1
  |z| <= p2
  ;SOURCE: kgoof3p.frm
}


oof4 (XYAXIS) {
  z = pixel:
  z = p1 / fn1 (z*z) / (fn2(z))
  z = z + pixel
  z = fn1(z) * p1
  |z| <= p2
  ;SOURCE: kgoof4.frm
}


oof4w (XYAXIS) {
  z = pixel * whitesq:
  z = p1 / fn1 (z*z) / (fn2(z))
  z = z + pixel* (whitesq==0)
  z = fn1(z) * p1
  |z| <= p2
  ;SOURCE: kgoof4p.frm
}


oof5 (XYAXIS) {
  z = pixel:
  z = p1 / fn1 (z*z) * (fn2(z))
  z = z + pixel
  z = fn1(z) * p1
  |z| <= p2
  ;SOURCE: kgoof5.frm
}


oof5w (XYAXIS) {
  z = pixel * whitesq:
  z = p1 / fn1 (z*z) * (fn2(z))
  z = z + pixel* (whitesq==0)
  z = fn1(z) * p1
  |z| <= p2
  ;SOURCE: kgoof5p.frm
}


oof6 (XYAXIS) {
  z = c = pixel:
  z = c * fn1 (z*z) * (fn2(z))
  z = z + pixel
  z = fn1(z) * p1
  |z| <= p2
  ;SOURCE: kgoof6.frm
}


oof6w (XYAXIS) {
  z = c = pixel * whitesq:
  z = c * fn1 (z*z) * (fn2(z))
  z = z + pixel* (whitesq==0)
  z = fn1(z) * p1
  |z| <= p2
  ;SOURCE: kgoof6p.frm
}


oof7 (XYAXIS) {
  z = pixel:
  z = z^(fn1(z^(p1)))
  z = z + pixel
  z = fn1(z) * p1
  |z| <= p2
  ;SOURCE: kgoof7.frm
}


oof7w (XYAXIS) {
  z = pixel * whitesq:
  z = z^(fn1(z^(p1)))
  z = z + pixel* (whitesq==0)
  z = fn1(z) * p1
  |z| <= p2
  ;SOURCE: kgoof7p.frm
}


oof8 (XYAXIS) {
  z = pixel:
  z = z^(fn2(z^(fn1)))
  z = z + pixel
  z = fn1(z) * p1
  |z| <= p2
  ;SOURCE: kgoof8.frm
}


oof9 {
  z = c = pixel:
  z = c * fn1 (z*z) 
  |z| <= p2
  ;SOURCE: kgoof9.frm
}


oppl {
  z=pixel: 
  z=pixel+sin(pixel*z)+z*z,
  |z|<=4
  ;SOURCE: test.frm
}


Ormandel11 (YAXIS) {; Copr. 1995 by Jack A. Orman
  z=c=pixel, t=2+pixel:
  neg=(fn1(z)/fn2(z))^p1 * (z<t)
  pos=(fn1(z)/fn2(z))^p1 * (z>=t)
  z=neg + pos + c
  |z|<t
  ;SOURCE: jack5.frm
}


Ormandel12(YAXIS) {; Copr. 1995 by Jack A. Orman
  z=c=pixel, t=pixel:
  t=t+pixel
  neg=(fn1(z)/fn2(z))^p1 * (z<t)
  pos=(fn1(z)/fn2(z))^p1 * (z>=t)
  z=neg + pos + c
  |z|<t
  ;SOURCE: jack5.frm
}


Ormandel13(YAXIS) {; Copr. 1995 by Jack A. Orman
  z=c=pixel:
  neg= (fn1(z^3+z^2+z))^p1 * (z<pixel)
  pos= (fn2(z^3+z^2+z))^p2 * (z>=pixel)
  z=neg + pos + c
  |z|<16
  ;SOURCE: jack5.frm
}


Ormandel14(YAXIS) {; Copr. 1995 by Jack A. Orman
  z=c=pixel:
  neg= (fn1(z^3+z^2+z))^p1
  pos= (fn2(z^3+z^2+z))^p2
  z=(neg * pos) + c + (0.75,0)
  |z|<4
  ;SOURCE: jack5.frm
}


Ormandel15 {; Copr. 1995 by Jack A. Orman
  z=pixel, c=pixel^p1:
  z=fn1(z*z)+c
  ;SOURCE: jack5.frm
}


Ormandel16 { ; Copr. 1995 by Jack A. Orman
z=c=pixel:
  temp=z
  neg= z^2 * (zp<pixel)
  pos= z^3 * (zp>pixel)
  z=neg + pos + c
  zp=fn1(temp)
  |z|<4
    ;SOURCE: jack5.frm
}


Ormandel17(YAXIS) { ; Copr. 1995 by Jack A. Orman
z=c=pixel:
  temp=z
  neg= (fn1(z^3+z^2+z))^p1
  pos= (fn2(z^3+z^2+z))^p2
  z=(neg * pos) + c + zp
  zp=sqrt(temp)
  |z|<4
    ;SOURCE: jack5.frm
}


Ormandel17_m {; Copr. 1995 by Jack A. Orman
              ; assignment "zp=" moved higher up formula                                    
  z=c=pixel:
  temp=z
  zp=sqrt(temp)
  neg= (fn1(z^3+z^2+z))^p1
  pos= (fn2(z^3+z^2+z))^p2
  z=(neg * pos) + c + zp
  |z|<4
  ;SOURCE: 96msg.frm
}


Ormandel17a (YAXIS) {; Copr. 1995 by Jack A. Orman - revised by Sylvie Gallet
  z=c=pixel , zp = sqrt(pixel):
  temp=z
  polyz = z*(1+z*(z+1))  ; polyz = z^3+z^2+z
  neg= (fn1(polyz))^p1
  pos= (fn2(polyz))^p2
  z=(neg * pos) + c + zp
  zp=sqrt(temp)
  |z|<4
  ;SOURCE: orman17a.frm
}


Ormandel17m {; Copr. 1995 by Jack A. Orman 
  zp = pixel^(1/6)
  z=c=pixel :
  temp=z
  neg= (fn1(z^3+z^2+z))^p1
  pos= (fn2(z^3+z^2+z))^p2
  z=(neg * pos) + c + zp
  zp=sqrt(temp)
  |z|<4
  ;SOURCE: 96msg.frm
}


Ormandel18 { ; Copr. 1995 by Jack A. Orman
z=0, c=pixel, c1=pixel, c2=1/pixel:
  z=z^p1 + c1 + c2
  |z|<4
    ;SOURCE: jack5.frm
}


OrmanDelbrot1 {; Copr. 1995 by Jack Orman
  c = z = Pixel:
  z = fn1(z^3+z^2+z+c)*c
  |z| <= 4
  ;SOURCE: orman.frm
}


OrmanDelbrot10 {; Copr. 1995 by Jack Orman
  z = Pixel, c=fn1(pixel):
   z =(fn2(z^p1)*c)^p2+pixel
    |z| <= 16
    ;SOURCE: orman.frm
}


OrmanDelbrot11 {; Copr. 1995 by Jack Orman
  c = z = Pixel:
   z = fn1(z)^p1 + fn2(c)*p2
   |z| <= 16
    ;SOURCE: orman.frm
}


Ormandelbrot12 { ;Copr. 1995 by Jack A. Orman
 z=pixel,x=|z|:
  z=fn1(z)+pixel*(1<x)+(z=z)*(x<=1)
  x<=4 
  ;SOURCE: orman.frm
}


OrmanDelbrot2 {; Copr. 1995 by Jack Orman
  c=z=pixel:
  z=(c*z)^p1+(c*z*z)+c
  |z|<=4
  ;SOURCE: orman.frm
}


Ormandelbrot20 {
  z=c=pixel:
  z=(z*z+c)/(z*z-c)
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot20A {
  z=pixel,C=P1:
  z=(z*z+c)*(z*z-c)
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot21 {
  z=c=pixel:
  z=(z*z-c)/(z*z+c)
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot22 {
  z=c=pixel:
  z=(z*z+c)*(z*z-c)
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot23 {
  z=c=pixel:
  z=(z*z+c)+(z*z-c)
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot24 {
  z=c=pixel:
  z=fn1(z*z+c)/fn2(z*z-c)
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot25 {
  z=c=pixel:
  z=fn1(z*z+c)*fn2(z*z-c)
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot26 {
  z=c=pixel:
  z=fn1(z*z+c)+fn2(z*z-c)
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot27 {
  z=c=pixel:
  z=fn1(z*z)/z*z + c
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot28 {
  z=c=pixel:
  z=(z*z)/fn1(z*z) + c
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot29 {
  z=c=pixel, x=.1:
  z= z*z + (c * fn1(z))
  c=c + x
  |z|<4
  ;SOURCE: orman2.frm
}


OrmanDelbrot3 {; Copr. 1995 by Jack Orman
  z = Pixel:
  z = pixel * fn1(z)
  |Real(z)| <=  32
  ;SOURCE: orman.frm
}


Ormandelbrot30 {
  z=c=pixel:
  z= z*z + (c * fn1(z))
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot31 {
  z=c=oldz=pixel:
  neg=(|z|<=|oldz|) * (z*z + c)
  pos=(|oldz|<|z|)  * (z*z - c)
  oldz=z
  z=neg + pos
  oldz=temp
  |z|<=4
  ;SOURCE: orman2.frm
}


Ormandelbrot32 {
  z=c=pixel:
  z=1/(z*z + c) + 1/(z*z - c)
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot33 {
  z=c=pixel:
  z=fn1(1/(z*z + c)) * fn2(1/(z*z - c))
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot34 {
  z=c=pixel:
  z=fn1(fn2(z*z+c)*(z*z-c))
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot35 {
  z=c=pixel:
  z=1/((z*z + c) * (z*z - c))
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot36 {
  z=c=pixel:
  z=fn1(z*z-c)*(z*z+c)
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot37 {
  z=c=pixel:
  z=fn1(pixel/(z*z-c)*(z*z+c))
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot38 {
  z=c=pixel:
  z=fn1(z*z-c)/(z*z+c)
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot38A {
  z=c=pixel:
  z=(z*z-c)/fn1(z*z+c)
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot38B {
  z=c=pixel:
  z=fn1(z*z-c) && fn2(z*z+c)
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot39 {
  z=c=pixel:
  z=fn1(z*z-c) || fn2(z*z+c)
  |z|<4
  ;SOURCE: orman2.frm
}


OrmanDelbrot4 {; Copr. 1995 by Jack Orman
  c = z = pixel:
  z = z^p1 + fn1(p2)
  |z| <= 4
  ;SOURCE: orman.frm
}


Ormandelbrot40 {
  c=z=pixel, zp=.1:
  z=z*z + zp + c
  zp=z
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot41 {
  c=z=pixel, zp=.1:
  z=fn1((z*z+c)/(z*z-c))
  zp=z
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot42 {
  z=pixel,c=p1:
  z=(z*z+c)/(z*z-c)
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot43 {
  z=pixel,z=sqr(z),c=p1:
  z=z*z + c
  z=fn1(z)
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot44 {
  z=pixel,c=p1:
  z=z*z + c
  z=fn1(z)
  |z|<4
  ;SOURCE: orman2.frm
}


Ormandelbrot45 {
z=c=pixel:
z=p1*z*(1-z)+c
|z|<=4
  ;SOURCE: orman3.frm
}


Ormandelbrot46 {
z=c=pixel:
z=c*z*(1-z)
|z|<=4
  ;SOURCE: orman3.frm
}


Ormandelbrot47 {
z=pixel:
z=p1*z*(1-z)
|z|<=4
  ;SOURCE: orman3.frm
}


Ormandelbrot48 {
z=pixel, c=p1:
z=sqr(sqr(z)+fn1(c)/sqr(z)-fn2(c))
|z|<=4
  ;SOURCE: orman3.frm
}


Ormandelbrot49 {
   z = c =pixel, d=p1:
   z = sqr(z) + C + D
   z <= 4 
   ;SOURCE: orman3.frm
}


OrmanDelbrot5 {; Copr. 1995 by Jack Orman
  z = Pixel:
  a=p1
  b=p1-1
  c=p1-2
  z = Z^a-z^b-z^c-p2
  |z| <= 4
  ;SOURCE: orman.frm
}


Ormandelbrot50 { Mandel-Julia Hybrid
   z = c =pixel, d=p1:
   z = (sqr(z) + C)*(Sqr(z) + D)
   z <= 4 
   ;SOURCE: orman3.frm
}


Ormandelbrot51 { Mandel-Julia Hybrid
   z = c =pixel, d=p1:
   z = (sqr(z) + C)+(Sqr(z) + D)
   z <= 4 
   ;SOURCE: orman3.frm
}


Ormandelbrot52 {
   z=c=pixel:
   z= z * fn1(z) + c
   z<=4
  ;SOURCE: orman3.frm
}


Ormandelbrot53 {
   z=c=pixel:
   z= sqr(z) + fn1(z)
   |z|<=4
  ;SOURCE: orman3.frm
}


Ormandelbrot54 {
   z=c=pixel:
   z= z * fn1(z)/fn2(z) + c
   z<=4
  ;SOURCE: orman3.frm
}


Ormandelbrot55 {
   z=c=pixel:
   z= p1*z*(1-3*fn1(z))
   |z|<=4
  ;SOURCE: orman3.frm
}


OrmanDelbrot6 {; Copr. 1995 by Jack Orman
  z = Pixel:
  a=p1
  b=p1-1
  c=p1-2
  z = ((Z^a-z^b-z^c)/p1)-p2
  |z| <= 8
  ;SOURCE: orman.frm
}


OrmanDelbrot7 {; Copr. 1995 by Jack Orman
  z = Pixel:
  z = cotan(z)^z + c
  |z| <= 8
  ;SOURCE: orman.frm
}


OrmanDelbrot8 {; Copr. 1995 by Jack Orman
  c = z = Pixel:
  z =  (z^6+z^5+z^4+z^3+z^2+z+c)/p1
  |z| <= 4
  ;SOURCE: orman.frm
}


OrmanDelbrot9 {; Copr. 1995 by Jack Orman
  z = Pixel:
  z = fn1(z^5 * z^4)/fn2(z^3 * z^2 * z) + c
  |z| <= 32
  ;SOURCE: orman.frm
}


OrmandelCycle    {; Copr. 1995 by Jack Orman
  z = pixel, c = fn1(pixel):
  temp=z
   z = z*zp + c,
   zp=temp
    |z| <= 4
    ;SOURCE: jack5.frm
}


OrmandelFunc {; Copr. 1995 by Jack Orman
  z = pixel, c = fn1(pixel):
  z = sqr(z) + c,
  |z| <= 4
  ;SOURCE: orman.frm
}


OrmandelPower {; Copr. 1995 by Jack Orman
               ; Start with Fn1=ident and Fn2=cotanh
               ; and P1 = 2
  c=z=pixel:
  z=(fn1(z)/fn2(z))^p1 + c
  |z|<4
  ;SOURCE: orman.frm
}


OrmandelTemp      { ; Copr. 1995 by Jack Orman
                    ; Start with Fn1=ident and Fn2=cotanh
                    ; and P1 = 2
  c=cosxx(pixel/z), z=pixel:
  z=z^p1+ c + fn1(pixel)
  |z|<4
    ;SOURCE: jack5.frm
}


Other {
   ; (c) 1993 by:
   ; LRCMIKE@LRC.OLDSCOLLEGE.AB.CA
   ; Michael G. Wareman
   ; P.O. Box 1856
   ; Olds, Alberta, Canada
   ; T0M 1P0
  z = pixel:
  z = z * z * z * z / (4 * z * z * z - 1);
  |z| <= 4
  ;SOURCE: methods.frm
}


other_Muth {; Jim Muth
            ; As Posted in Fractal-Art, 4/97
            ; Renamed from "other" because of name conflict
  z=c=pixel:
  z=z+(-4*(z^-4))+c^10+c,
  |z| <= 100
  ;SOURCE: 97msg.frm
}

