

Q_Java {
   ; Any comments or question?
   ; E-Mail: Damion_P@Compuserve.com  -or- MDROCC@earthlink.net
  z = 0, c = pixel:
  z=z*z+c
  c=c+(p1/z)
  r=fn1(z)+ p2 + c
  q=fn2(z)+ p3 + c
  z=(r*(whitesq == 1)) + (q*(whitesq == 0))
  |z| <= 4
  ;SOURCE: pablo.frm
}


Quad {
   ;(c) 1993 by:
   ;
   ; LRCMIKE@LRC.OLDSCOLLEGE.AB.CA
   ;
   ; Michael G. Wareman
   ; P.O. Box 1856
   ; Olds, Alberta, Canada
   ; T0M 1P0
  z = c = pixel,
  zv = (1.0, 0.4):
  zsqr = z * z,
  z = 0.25 * zsqr * zsqr + (zv / 3) * zsqr * z - 0.5 * zsqr + zv * z;
  |z - pixel| < 4
  ;SOURCE: frame.frm
}


Quad_Alt {
   ;(c) 1993 by:
   ;
   ; LRCMIKE@LRC.OLDSCOLLEGE.AB.CA
   ;
   ; Michael G. Wareman
   ; P.O. Box 1856
   ; Olds, Alberta, Canada
   ; T0M 1P0
  z = c = pixel:
  z = z * z * z * z + c;
  |z - pixel| < 4
  ;SOURCE: frame.frm
}


Quad_regular {
   ;(c) 1993 by:
   ;
   ; LRCMIKE@LRC.OLDSCOLLEGE.AB.CA
   ;
   ; Michael G. Wareman
   ; P.O. Box 1856
   ; Olds, Alberta, Canada
   ; T0M 1P0
  z = c = pixel,
  zv = (1.0, 0.4):
  zsqr = z * z,
  z = 0.25 * zsqr * zsqr + (zv / 3) * zsqr * z - 0.5 * zsqr + zv * z;
  |z| < 4
  ;SOURCE: frame.frm
}


quadrants {
  z=0, c=pixel,
  r1=(0.0,1.0), r2=(-1.0,0.0), r3=(0.0,-1.0), r4=1:
  z=sqr(z)+c,
  x=real(z), y=imag(z),
  xp=(0 < x), xn=(x < 0), yp=(0 < y), yn=(y < 0),
  k1=xp*yp, k2=xn*yp, k3=xn*yn, k4=xp*yn,
  k=k1*r1+k2*r2+k3*r3+k4*r4,
  c=c+k*p1/z,
  |z| <= 4
  ;SOURCE: quad.frm
}


quadrosin (ORIGIN) {; bs
                    ; As posted in Fractal-Art, 4/28/97
  z=sqr(pixel)/cabs(pixel):
  z=p1*sin(z)
  |z| <= 100
  ;SOURCE: 97msg.frm
}


quartc {
   ; This makes for an unusual combination of fractal characteristics
   ; Recognizable sin fractal filled with chaotic banding.
   ; Real part of P1 should be about 0.1 and Imag portion can be 0.0
   ; Oh yes! You will have to zoom out to +/- 2pi on the x axis 
   ; for full view.
  z=pixel, zp = (0,0), huge = 1.0e32:
  temp = z
  z = sin(z) - zp
  zp = p1/conj(temp),(|zp| <= 4 && |z| <= huge) 
  ;SOURCE: noel.frm
}


quartet {
   ; The quatro-HT variation. Use real part of p1  0.0 < p1 < 1.0
   ; Adding the inversion causes what looks like 
   ; an infinite extension along
   ; the real axis. Using the Imag component will 
   ; add some nice asymmetry.
  z=pixel, zp = (0,0), huge = 1.0e32:
  temp = z
  z = sin(z) - zp
  zp = p1/temp, 
  (|zp| <= 4 && |z| <= huge) 
  ;SOURCE: noel.frm
}


quartet1 {
   ; increasing the bailout will reduce the disk size and a wider and
   ; more interesting range of workable P1 input parameters.
  z=pixel, zp = (0,0), huge = 1.0e32:
  temp = z
  z = sin(z) - zp
  zp = p1/temp, 
  (|zp| <= huge && |z| <= huge) 
  ;SOURCE: noel.frm
}


quartz {
  z=c=pixel, zp = (0,0), huge = 1.0e32:
  temp = z
  z = -sin(z) - zp
  zp = p1/temp, 
  (|zp| <= huge && |z| <= huge) 
  ;SOURCE: noel.frm
}


QuasiJulia1 (ORIGIN) {; Fractal Report 24, p20 - Jose Murciano/Villanueva
                      ; translated for Fractint by Jon Horner
                      ; float=yes, periodicity=none
  x = real(pixel), y = imag(pixel), c = p1 :
  xnew = ABS(x * x - y * y) + real(c) ,
  y = x * y * 2 + imag(c) ,
  x = xnew ,
  x*x + y*y <=4 
  ;SOURCE: burt.frm
}


QuasiJulia2 (ORIGIN) {; Fractal Report 26, p15 - Jose Murciano/Villanueva
                      ; translated for Fractint by Jon Horner
                      ; float=yes, periodicity=none
  x = real(pixel), y = imag(pixel), c = p1 :
  xnew = (x * x - y * y) + real(c) ,
  y = ABS(x * y) * 2 + imag(c) ,
  x = xnew ,
  x*x + y*y <=4 
  ;SOURCE: burt.frm
}


QuasiMandelbrot1 (XAXIS) { 
   ; Fractal Report 26, p16 - Jose Murciano/Villanueva
   ; translated for Fractint by Jon Horner
   ; float=yes, periodicity=none
  x = (0,0), y = (0,0) :
  xnew = ABS(x * x - y * y) + real(pixel) ,
  y = x * y * 2 + imag(pixel) ,
  x = xnew ,
  x*x + y*y <=4 
  ;SOURCE: burt.frm
}


QuasiMandelbrot2 {; from QuasiJulia2 - Jose Murciano/Villanueva
                  ; translated for Fractint by Jon Horner
                  ; asymmetric - float=yes, periodicity=none
  x = (0,0), y = (0,0) :
  xnew = (x * x - y * y) + real(pixel) ,
  y = ABS(x * y) * 2 + imag(pixel) ,
  x = xnew ,
  x*x + y*y <=4 
  ;SOURCE: burt.frm
}


QuatJul (XAXIS) {; v18 - Jon Horner, from CAL.
                 ; use of p1/p2 enables change of constants
                 ; from within Fractint.  All fn's = sqr
   ; real(p1)= -0.194, imag(p1)= 0.01, real(p2)= 0.6557, imag(p2)= 0.01
   ; Formula from article in Fractal Report 3 by Dr Ian Entwistle.
   ; More details in this article or in Computer Graphics, vol 16 pp61-67
  x1 = real(pixel),  y1 = imag(pixel),  z1 = 0,  z2 = 0:
  x1x1 = fn1(x1), y1y1 = fn2(y1), z1z1 = fn3(z1), z2z2 = fn4(z2),
  x1y1 = x1*y1,   x1z1 = x1*z1,   x1z2 = x1*z2,
  x1 = x1x1-z2z2-z1z1-y1y1+real(p1),  y1 = x1y1+x1y1+imag(p1),
  z1 = x1z1+x1z1+real(p2),            z2 = x1z2+x1z2+imag(p2),
  |x1x1+z1z1+y1y1+z2z2| <= 4
  ;SOURCE: parser.frm
}


quatro (XYAXIS) {
   ; Forget the squared term and iterate a trig function
  z=pixel, zp = (0,0):
  temp = z
  z = sin(z) - zp
  zp = temp,|zp| <= 4 
  ;SOURCE: noel.frm
}


quilt (XAXIS) {
   ; The combination of a typing error and a bug in fractints parser
   ; makes weird quilt like patterns, I hope they don't fix it. I like it.
  z = = zp1 = pixel, zp2 = (0,0):
  temp = z
  z = zp2*zp2  - zp1
  zp2 = zp1
  zp1 = temp^.5, 
  |zp1| <= 4
  ;SOURCE: noel.frm
}


Quiz {; Sylvie Gallet [101324,3444], 1995
  z=0 , c=pixel , c1=0.25-c*c , c2=c1-1 , ki=p1*(0.0,1.0) :
  z2=z*z , n=z2*z + c2*z - c1
  d=3*z2 + c2 + ki
  z=z-n/d
  |n|>=0.000001
  ;SOURCE: 96msg.frm
}


Quotient (XAXIS) {
  z = pixel:
  z = (sqr(z) + pixel) / (sqr(z) - pixel), 
  |z| <= 42
  ;SOURCE: hubert.frm
}


qwerty {; Putting the cart before the horse again...
  c = z, z = pixel:
  z = z*z + c
  |z| < 4
  ;SOURCE: querty.frm
}


qwerty_2 {; Putting the cart before the horse again...
  b = srand(z), c = rand, z = pixel:
  z = z*z + c
  |z| < 4
  ;SOURCE: querty.frm
}

