

R_&_B {
  z = c = pixel:
  c = fn1(c) + z 
  z = z + p1
  z = z / c  
  |z| < 6
  ;SOURCE: gestalt.frm
}


Rabadon {
  z = pixel/2; q = z^sin(pixel); g = pixel:
  z = z^q/g;
  z = (log(q) + sqr(g)) / z;
  z = 4^z / q^g*2;
  |real(z)| <=8;
  ;SOURCE: fractals.frm
}


Ramanujan1 (ORIGIN) {
  z = pixel:
  z = (cosh(p1 * sqr(z)) - sinh(p2 * sqr(z))/(p2 * sqr(z)))/z,
  |z|<= 4
  ;SOURCE: fract002.frm
}


Random_Olio {
  z = pixel, rand = srand(z):
  z = z + p1
  z = z + rand
  |z| < 4
  ;SOURCE: olio.frm
}


Raphaelbrot (xyaxis) {; phi
  z = pixel:
  z = sqr(z) + ((sqrt 5 - 1)/2) 
  |z| <= 4;
  ;SOURCE: drcha.frm
}


rat {
   ; Still more attempts at ht variants
  z = zp1 = pixel, zp2 = (0,0),huge=1.0e32:
  temp = z
  z = z*z - zp2
  zp2 = zp1
  zp1 = (temp/zp1)*p1, (|zp1| <= 64) && (|z| <= huge) 
  ;SOURCE: noel.frm
}


Ratz { 
  z=pixel:
  z=(p1*fn1(z)^p2+pixel)/(p1*fn2(z)^(p2-1)+pixel),
  |z|<=10 
  ;SOURCE: test.frm
}


Ratz-fn {
  z = Pixel :  
  z = (z * z * z * fn1(z) * p1 + Pixel )/(z * z * fn2(z) * p1 + Pixel ) 
  | z | <= 10 
  ;SOURCE: ratz.frm
}


ratz1p12 {
  z=pixel: 
  z=p1*z/pixel+p2,
  |z|<=10
  ;SOURCE: ratz.frm
}


ratz2j {
  z=pixel: 
  z=(z*z+p1)/(z+p1),
  |z|<=10
  ;SOURCE: ratz.frm
}


ratz3jp12 {
  z=pixel: 
  z=(z*z*z*p1+p2)/(z*z*p1+p2),
  |z|<=10
  ;SOURCE: ratz.frm
}


ratz3p12 {
  z=pixel: 
  z=(z*z*z*p1+pixel)/(z*z*p2+pixel),
  |z|<=10
  ;SOURCE: ratz.frm
}


RCL_1 (XAXIS) {; Ron Lewen
               ; An interesting Biomorph inspired by Pickover's
               ; Computers, Pattern, Choas and Beauty.
               ; Use Floating Point
  z=pixel:
  z=pixel/z-z^2
  |real(z)| <= 100 || |imag(z)| <= 100
  ;SOURCE: fractint.frm
}


RCL_10 {; Ron Lewen, 76376,2567
  z=pixel:
  z=flip((z^2+pixel)/(pixel^2+z))
  |z| <= 4
  ;SOURCE: fractint.frm
}


RCL_11 {; Ron Lewen, 76376,2567
        ; A variation on the formula used to generate
        ; Figure 9.18 (p. 134) from Pickover's book.
        ; P1 sets the initial value for z.
        ; Try p1=.75, or p1=2, or just experiment!
  z=real(p1):
  z=z*pixel-pixel/sqr(z)
  z=flip(z),
  abs(z) < 8
  ;SOURCE: rclpar.frm
}


RCL_12 (XAXIS) { ; Ron Lewen, 76376,2567
  z=pixel:
  z=(z^2+3z+pixel)/(z^2-3z-pixel)
  |z| <= 10
  ;SOURCE: rclpar.frm
}


RCL_13 (XAXIS) {; Ron Lewen, 76376,2567
  z=pixel:
  z=(z^2+2z+pixel)/(z^2-2z+pixel)
  |z| <= 100
  ;SOURCE: rclpar.frm
}


RCL_14 (XAXIS) {; Ron Lewen, 76376,2567
  z=pixel:
  z=z^pixel+pixel^z
  |z| <= 96
  ;SOURCE: rclpar.frm
}


RCL_15 (XAXIS) {; Ron Lewen, 76376,2567
                ; Adapted from Pickover's Biomorph Zoo Collection in
                ; Figure 8.7 (p. 102).
  z=pixel:
  z=z^2.71828 + pixel,     
  |real(z)| <= 100 || |imag(z)| <= 100
  ;SOURCE: rclpar.frm
}


RCL_16 (XAXIS) {; Ron Lewen, 76376,2567
                ; Set fn1 to sqr to generate Figure 9.18 (p. 134)
                ; from Pickover's book.
                ; Set maxiter >= 1000 to see good detail in the spirals
                ; in the three large lakes.  Also set inside=0.
  z=0.5:
  z=z*pixel-pixel/fn1(z),
  abs(z) < 8
  ;SOURCE: rclpar.frm
}


RCL_2 (XAXIS) {; Ron Lewen
               ; A biomorph flower?  Simply a change in initial
               ; conditions from RCL_1 above
               ; Use Floating Point
  z=1/pixel:
  z=pixel/z-z^2
  |real(z)| <= 100 || |imag(z)| <= 100
  ;SOURCE: rcl.frm
}


RCL_3 (XAXIS) {; Ron Lewen
               ; A seemingly endless vertical pattern.  The most activity
               ; is around the center of the image.
               ; Use Floating Point
  z=pixel:
  z=pixel^z+z^pixel,
  |real(z)| <= 100 || |imag(z)| <= 100
  ;SOURCE: rcl.frm
}


RCL_4_J {; Ron Lewen, 76376,2567
         ; A julia-style variation of the formula in Figure 8.9
         ; (p. 105) of Pickover's book.
  z=pixel:
  z=sin(z^2) + sin(z) + sin(p1),
  |z| <= 4
  ;SOURCE: rclpar.frm
}


RCL_4_M (XAXIS) {; Ron Lewen, 76376,2567
                 ; A Mandelbrot-style variation on Pickover's book,
                 ; Figure 8.9 (p. 105).
                 ; Use floating point
  z=pixel:
  z=sin(z^2) + sin(z) + sin(pixel),
  |z| <= 4
  ;SOURCE: rclpar.frm
}


RCL_5_J (ORIGIN) {; Ron Lewen, 76376,2567
                  ; A variation on the classical Julia set.
                  ; Use floating point
  z=pixel:
  z=sin(z^2+p1),
  |z| <= 4
  ;SOURCE: rclpar.frm
}


RCL_5_M (XAXIS) {; Ron Lewen, 76376,2567
                 ; A variation on the classical Mandelbrot set
                 ; formula.
                 ; Use floating point
  z=pixel:
  z=sin(z^2+pixel),
  |z| <= 4
  ;SOURCE: rclpar.frm
}


RCL_6_J (ORIGIN) {; Ron Lewen, 76376,2567
                  ; A variation on the classic Julia formula
                  ; use floating point
  z=pixel:
  z=sin(z)^2 + p1,
  |z| <= 4
  ;SOURCE: rclpar.frm
}


RCL_6_M (XAXIS) {; Ron Lewen, 76376,2567
                 ; A variation on the classic Mandelbrot formula
                 ; Use floating point
  z=pixel:
  z=sin(z)^2 + pixel,
  |z| <= 4
  ;SOURCE: rclpar.frm
}


RCL_7 (XAXIS) {; Ron Lewen, 76376,2567
               ; Inspired by the Spider
               ; fractal type included with Fractint
  z=c=pixel:
  z=z^2+pixel+c
  c=c^2+pixel+z
  |z| <= 4
  ;SOURCE: rclpar.frm
}


RCL_8_J (ORIGIN) {; Ron Lewen, 76376,2567
  z=pixel:
  z=z^2+flip(p1)
  |real(z)| <= 100 || |imag(z)| <= 100
  ;SOURCE: rclpar.frm
}


RCL_8_M {; Ron Lewen, 76376,2567
         ; Another variation on the classic Mandelbrot
         ; set.
  z=pixel:
  z=z^2+flip(pixel)
  |real(z)| <= 100 || |imag(z)| <= 100
  ;SOURCE: rclpar.frm
}


RCL_9 (XAXIS) {; Ron Lewen, 76376,2567
  z=pixel:
  z=(z^2+pixel)/(pixel^2+z)
  |z| <= 4
  ;SOURCE: rclpar.frm
}


RCL_Cosh (XAXIS) {; Ron Lewen, 76376,2567
                  ; Try corners=2.008874/-3.811126/-3.980167/3.779833/
                  ; -3.811126/3.779833 to see Figure 9.7 (P. 123) in 
                  ; Pickover's Computers, Pattern, Chaos and Beauty.
                  ; Figures 9.9 - 9.13 can be found by zooming.
                  ; Use floating point
  z=0:
  z=cosh(z) + pixel
  abs(z) < 40
  ;SOURCE: fractint.frm
}


RCL_Cosh_Flip (XAXIS) {; Ron Lewen, 76376,2567
                       ; A FLIPed version of RCL_Cosh.
                       ; An interesting repeating pattern with lots
                       ; of detail.
                       ; Use floating point
  z=0:
  z=flip(cosh(z) + pixel),
  abs(z) < 40
  ;SOURCE: rclpar.frm
}


RCL_Cosh_J {; Ron Lewen, 76376,2567
            ; A julia-style version of RCL_Cosh above.
            ; Lots of interesting detail to zoom in on.
            ; Use floating point
  z=pixel:
  z=cosh(z) + p1,
  abs(z) < 40
  ;SOURCE: rclpar.frm
}


RCL_Cross1 {; Ron Lewen
            ; Try p1=(0,1), fn1=sin and fn2=sqr.  Set corners at
            ; -10/10/-7.5/7.5 to see a cross shape.  The larger 
            ; lakes at the center of the cross have good detail
            ; to zoom in on.
            ; Use floating point.
  z=pixel:
  z=p1*fn1(fn2(z+p1))
  |z| <= 4
  ;SOURCE: fractint.frm
}


RCL_Cross2 {; Ron Lewen
            ; Try p1=(0,1), fn1=sin and fn2=sqr.  Set corners at
            ; -10/10/-7.5/7.5 to see a deformed cross shape. 
            ; The larger lakes at the center of the cross have
            ; good detail to zoom in on.
            ; Try corner=-1.58172/.976279/-1.21088/-.756799 to see
            ; a deformed mandelbrot set.
            ; Use floating point.
  z=pixel:
  z=pixel*fn1(fn2(z+p1)),
  |z| <= 4
  ;SOURCE: rcl.frm
}


RCL_Logistic_1 (XAXIS) {; Ron Lewen
                        ; Based on logistic equation  x -> c(x)(1-x) used
                        ; to model animal populations.  Try p1=(3,0.1) to
                        ; see a family of spiders out for a walk <G>!
  z=pixel:
  z=p1*z*(1-z),
  |z| <= 1
  ;SOURCE: rcl.frm
}


RCL_Mandel (XAXIS) {; Ron Lewen
   ; The traditional Mandelbrot formula with a different
   ; escape condition.  Try p1=(1,0).  This is basically the M-Set
   ; with more chaos outside.  p1=(0,0) yields a distorted M-set.
   ; Use floating point
  z=pixel:
  z=sqr(z) + pixel,
  sin(z) <= p1
  ;SOURCE: rcl.frm
}


RCL_Pick1 (XAXIS) {; Ron Lewen
                   ; Try corners=2.008874/-3.811126/-3.980167/3.779833/
                   ; -3.811126/3.779833 to see Figure 9.7 (P. 123) in 
                   ; Pickover's Computers, Pattern, Chaos and Beauty.
                   ; Figures 9.9 - 9.13 can be found by zooming.
                   ; Use floating point
  z=0:
  z=cosh(z) + pixel,
  abs(z) < 40
  ;SOURCE: rcl.frm
}


RCL_Pick10 (XAXIS) {; Ron Lewen
                    ;  Variation of Figure 9.18 (p.134) from Pickover's
                    ;  Book.  Generates an interesting Biomorph.
  z=pixel:
  z=z/pixel-pixel*sqr(z),
  abs(z) < 8
  ;SOURCE: rcl.frm
}


RCL_Pick11 (XAXIS) {; Ron Lewen
                    ; Formula from Figure 8.3 (p. 98) of Pickover's
                    ; book.  Generates a biomorph.  Figure 8.3 is a
                    ; zoom on one of the shapes at the corner of the
                    ; biomorph.
                    ;  Use Floating Point
  z=pixel:
  z=z^2+0.5
  |real(z)| <= 100 || |imag(z)| <= 100
  ;SOURCE: rcl.frm
}


RCL_Pick12 {; Ron Lewen
            ; Formula from Figure 12.7 (p. 202) of Pickover's
            ; book.
            ; Use Floating Point
  z=pixel:
  z=(2.71828^(p1)) * z * (1-z),
  abs(real(z)) < 10 || abs(imag(z)) < 10
  ;SOURCE: rcl.frm
}


RCL_Pick13 {; Ron Lewen
            ; Formula from Frontpiece for Appendix C 
            ; and Credits in Pickover's book.
            ; Set p1=(3,0) to generate the Frontpiece
            ; for Appendix C and to (2,0) for Credits
            ; Use Floating Point
  z=.001:
  z=z^p1+(1/pixel)^p1
  |z| <= 100
  ;SOURCE: fractint.frm
}


RCL_Pick2_J {; Ron Lewen
             ; A julia set based on the formula in Figure 8.9
             ; (p. 105) of Pickover's book.  Very similar to 
             ; the Frontpiece for Appendix A.
  z=pixel:
  z=sin(z) + z^2 + p1,
  abs(real(z)) < 100 || abs(imag(z)) < 100
  ;SOURCE: rcl.frm
}


RCL_Pick2_M (XAXIS) {; Ron Lewen
   ; Generates a biomorph of a Pseudo-Mandelbrot set with
   ; extra tails.  Part of Pickover's Biomorph Zoo Collection
   ; Formula is adapted from Pickover's book, Figure 8.9
   ; (p. 105) but the result is different.  Set corners=
   ; -2.640801/1.359199/-1.5/1.5 to center image.  I use the
   ; color map that comes as default in WINFRACT. (I guess I
   ; like purple <G>).
   ; Use floating point
  z=pixel:
  z=sin(z) + z^2 + pixel,
  |real(z)| < 100 || |imag(z)| < 100
  ;SOURCE: rcl.frm
}


RCL_Pick3 (XAXIS) {; Ron Lewen
   ; Generates Figure 9.18 (p. 134) from Pickover's book.
   ; Set maxiter >= 1000 to see good detail in the spirals
   ; in the three large lakes.  Also set inside=0.
  z=0.5:
  z=z*pixel-pixel/sqr(z),
  abs(z) < 8
  ;SOURCE: rcl.frm
}


RCL_Pick4 (XAXIS) {; Ron Lewen
   ; Variation of formula for Figure 9.18 (p. 134) from Pickover's
   ; book.
   ; Set inside=0 to see three large lakes around a blue "core".
  z=pixel:
  z=z*pixel-pixel/sqr(z),
  |z| <= 4
  ;SOURCE: rcl.frm
}


RCL_Pick5 (XAXIS) {; Ron Lewen
                   ; Adapted from Pickover's Biomorph Zoo Collection in
                   ; Figure 8.7 (p. 102).
  z=pixel:
  z=z^z + z^5 + pixel,
  |real(z)| <= 100 || |imag(z)| <= 100
  ;SOURCE: rcl.frm
}


RCL_Pick6 (XAXIS) {; Ron Lewen
                   ; Adapted from Pickover's Biomorph Zoo Collection in
                   ; Figure 8.7 (p. 102).
  z=pixel:
  z=z^z + z^6 + pixel,
  |real(z)| <= 100 || |imag(z)| <= 100
  ;SOURCE: rcl.frm
}


RCL_Pick7 (XAXIS) {; Ron Lewen
                   ; Adapted from Pickover's Biomorph Zoo Collection in
                   ; Figure 8.7 (p. 102).
  z=pixel:
  z=z^5 + pixel,
  |real(z)| <= 100 || |imag(z)| <= 100
  ;SOURCE: rcl.frm
}


RCL_Pick8 (XAXIS) {; Ron Lewen
                   ; Adapted from Pickover's Biomorph Zoo Collection in
                   ; Figure 8.7 (p. 102).
  z=pixel:
  z=z^3 + pixel,
  |real(z)| <= 100 || |imag(z)| <= 100
  ;SOURCE: rcl.frm
}


RCL_Pick9 (XAXIS) {; Ron Lewen
                   ; Adapted from Pickover's Biomorph Zoo Collection in
                   ; Figure 8.7 (p. 102).
  z=pixel:
  z=sin(z) + 2.71828^z + pixel,
  |real(z)| <= 100 || |imag(z)| <= 100
  ;SOURCE: rcl.frm
}


RCL_Quaternion_J (ORIGIN) {; Ron Lewen
   ; From Pseudocode 10.5 (p. 169) of Pickover's book.
   ; Looks at Julia set for a0,a2 plane.  p1 selects
   ; slice in to look at.
   ; p2 correspondes to a point on the Quaternion
   ; Mandelbrot set (see below).
   ; Try (-.745,.113) as a starting point.
  a0=real(pixel), a2=imag(pixel), a1=real(p1), a3=imag(p1):
  savea0=a0^2-a1^2-a2^2-a3^2+p2
  savea2=2*a0*a2+p2
  a0=savea0
  a2=savea2
  (a0^2+a1^2+a2^2+a3^2) <= 2
  ;SOURCE: rcl.frm
}


RCL_Quaternion_M (XAXIS) {; Ron Lewen
   ; From Pseudocode 10.5 (p. 169) of Pickover's book.
   ; Looks at Mandelbrot set for a0,a2 plane.
   ; p1 selects slice in to look at.  p1 should
   ; not be (0,0) (this yields a blank screen!).
  a0=a2=pixel, a1=real(p1), a3=imag(p1):
  savea0=a0^2-a1^2-a2^2-a3^2+pixel
  savea2=2*a0*a2+pixel
  a0=savea0
  a2=savea2
  (a0^2+a1^2+a2^2+a3^2) <= 2
  ;SOURCE: rcl.frm
}


REB004A {; Ron Barnett, 1993
  z = pixel:
  z =p1*fn1(z) + p1*p1*fn2(p2*z) + pixel
  |z| <= 100
  ;SOURCE: fractint.frm
}


REB004AJulia {; Ron Barnett, 1995
  z = pixel:
  z =p1*fn1(z) + p1*p1*fn2(p2*z) + p3, 
  |z| <= 100
  ;SOURCE: reb007.frm
}


REB004B {; Ron Barnett, 1993
         ; floating point required
  z = pixel:
  z = pixel + p1*(z/2 + z*z/6 + z*z*z/12), 
  |z| <= 100
  ;SOURCE: reb004.frm
}


REB004C {; Ron Barnett, 1993
         ; floating point required
  z = pixel:
  z = p2 + p1*(z/2 + z*z/6 + z*z*Z/12), 
  |z| <= 100
  ;SOURCE: reb004.frm
}


REB004D {; Ron Barnett, 1993
  z = pixel:
  z = pixel + fn1(2*z+1)/(2*z+p1), 
  |z| <= 100
  ;SOURCE: reb004.frm
}


REB004E {; Ron Barnett, 1993
         ; floating point required
  z = pixel:
  z = pixel + fn1(2*z+1)/(2*z+p1); 
  z = z + fn2(4*z+1)/(4*z+p2), 
  |z| <= 100
  ;SOURCE: reb004.frm
}


REB004F {; Ron Barnett, 1993
  z = pixel:
  z = p2 + fn1(2*z+1)/(2*z+p1), 
  |z| <= 100
  ;SOURCE: reb004.frm
}


REB004G {; Ron Barnett, 1993
         ; floating point required
  z = pixel:
  z = p2 + fn1(2*z+1)/(2*z+p1); 
  z = z + fn2(4*z+1)/(4*z+p1), 
  |z| <= 100
  ;SOURCE: reb004.frm
}


REB004H {; Ron Barnett, 1993
         ; floating point required
  z = pixel:
  z = pixel + fn1(3/z - z/4), 
  |z| <= 100
  ;SOURCE: reb004.frm
}


REB004I {; Ron Barnett, 1993
         ; floating point required
  z = pixel:
  z = p1 + fn1(3/z - z/4), 
  |z| <= 100
  ;SOURCE: reb004.frm
}


REB004J {; Ron Barnett, 1993
         ; floating point required
  z = pixel:
  x = flip(pixel + fn1(3/z - z/4));
  z = x*z + pixel, 
  |z| <= 100
  ;SOURCE: reb004.frm
}


REB004K {; Ron Barnett, 1993
         ; floating point required
  z = pixel:
  x = flip(pixel + fn1(3/z - z/4))
  z = x*z + p1
  |z| <= 100
  ;SOURCE: fractint.frm
}


REB004L {; Ron Barnett, 1993
         ; floating point required
  z = pixel:
  x = flip(pixel + fn1(p1/z - z/(p2+1)))
  z = x*z + pixel
  |z| <= 100
  ;SOURCE: fractint.frm
}


REB004LJulia {; Ron Barnett, 1995
              ; floating point required
  z = pixel:
  x = flip(pixel + fn1(p1/z - z/(p2+1)));
  z = x*z + p3, 
  |z| <= 100
  ;SOURCE: reb007.frm
}


REB004M {; Ron Barnett, 1993
         ; floating point required
  z = pixel:
  x = real(z), y = imag(z)
  const = x*x + y*y
  x1 = -fn1(const - 12*x)*x/(4*const)
  y1 = -fn2(const + 12*x)*y/(4*const)
  x2 = x1*x1 - y1*y1 + p1
  y2 = 2*x*y
  z = x2 + flip(y2)
  |z| <= 100
  ;SOURCE: fractint.frm
}


REB004N {; Ron Barnett [70153,1233]
  z = 0.5:
  x = pixel*(z - 1/z) + p1,
  z = pixel*(x - 1/sqr(x) + p2), |z| <= 100
  ;SOURCE: fract003.frm
}


REB005A {; Ron Barnett, 1993
         ; floating point required
  z = pixel:
  x = real(z), y = imag(z)
  const = x*x + y*y
  x1 = -fn1(const - 12*x)*x/(4*const)
  y1 = -fn2(const + 12*y)*y/(4*const)
  x2 = x1*x1 - y1*y1 + p1
  y2 = 2*x1*y1
  z = x2 + flip(y2)
  |z| <= 100
  ;SOURCE: fractint.frm
}


REB005B {; Ron Barnett, 1993
         ; floating point required
  z = pixel:
  x = real(z), y = imag(z);
  const = x*x + y*y;
  x1 = -fn1(const - x)*x/const;
  y1 = -fn2(const + y)*y/const;
  x2 = x1*x1 - y1*y1 + p1;
  y2 = 2*x1*y1;
  z = x2 + flip(y2), 
  |z| <= 100
  ;SOURCE: reb005.frm
}


REB005C {; Ron Barnett, 1993
         ; floating point required
  z = pixel:
  x = real(z), y = imag(z);
  const = x*x + y*y;
  x1 = -fn1(const + p1*x)*x/const;
  y1 = -fn2(const + y)*y/const;
  x2 = x1*x1 - y1*y1 + p2;
  y2 = 2*x1*y1;
  z = x2 + flip(y2), 
  |z| <= 100
  ;SOURCE: reb005.frm
}


REB005D {; Ron Barnett, 1993
         ; floating point required
  z = pixel:
  x = real(z), y = imag(z);
  const = x*x + y*y;
  x1 = -fn1((const + p1*x)*x/const);
  y1 = -fn2((const + y)*y/const);
  x2 = x1*x1 - y1*y1 + p2;
  y2 = 2*x1*y1;
  z = x2 + flip(y2), 
  |z| <= 100
  ;SOURCE: reb005.frm
}


REB005E {; Ron Barnett, 1993
         ; floating point required
  z = pixel:
  x = real(z), y = imag(z)
  const = x*x + y*y
  x1 = -fn1((const - x)*x/const)
  y1 = -fn2((const + y)*y/const)
  x2 = x1*x1 - y1*y1 + p1
  y2 = 2*x1*y1
  z = x2 + flip(y2)
  |z| <= 100
  ;SOURCE: fractint.frm
}


REB005F {; Ron Barnett, 1993
         ; floating point required
  z = pixel:
  x = real(z), y = imag(z)
  const = x*x + y*y
  x1 = -fn1((const - 12*x)*x/(4*const))
  y1 = -fn2((const + 12*y)*y/(4*const))
  x2 = x1*x1 - y1*y1 + p1
  y2 = 2*x1*y1
  z = x2 + flip(y2)
  |z| <= 100
  ;SOURCE: fractint.frm
}


REB005G {; Ron Barnett, 1993
         ; floating point required
  z = pixel:
  x = real(z), y = imag(z)
  const = x*x + y*y
  x1 = -fn1(const + p1*x)*y/const
  y1 = -fn2(const + y)*x/const
  x2 = x1*x1 - y1*y1 + p2
  y2 = 2*x1*y1
  z = x2 + flip(y2)
  |z| <= 100
  ;SOURCE: fractint.frm
}


REBRefInd1 {; Ron Barnett, 1993
            ; Use floating point
  z = pixel:
  z = (z*z-p1)/(z*z+p2)*fn1(z)*fn2(z) + pixel, 
  |z| <= 100
  ;SOURCE: reb002.frm
}


REBRefInd1Julia {; Ron Barnett, 1995
                 ; Use floating point
  z = pixel:
  z = (z*z-p1)/(z*z+p2)*fn1(z)*fn2(z) + p3, 
  |z| <= 100
  ;SOURCE: reb007.frm
}


REBRefInd2 {; Ron Barnett, 1993
            ; Use floating point
  z = pixel:
  z = (z*z-1)/(z*z+2)*fn1(z)*fn2(z) + p1
  |z| <= 100
  ;SOURCE: fractint.frm
}


REBRefInd3 {; Ron Barnett, 1993
            ; Use floating point
  z = pixel:
  z = (z*z-1)/(z*z+2)*fn1(z) + p1, 
  |z| <= 100
  ;SOURCE: reb002.frm
}


REBRefInd4 {; Ron Barnett, 1993
            ; Use floating point
  z = pixel:
  z = flip(z);
  z = (z*z-p1)/(z*z+p2)*fn1(z)*fn2(z) + pixel, |z| <= 100
  ;SOURCE: reb002.frm
}


REBRefInd4Julia {; Ron Barnett, 1995
                 ; Use floating point
  z = pixel:
  z = flip(z);
  z = (z*z-p1)/(z*z+p2)*fn1(z)*fn2(z) + p3, 
  |z| <= 100
  ;SOURCE: reb007.frm
}


REBRefInd5 {; Ron Barnett, 1993
            ; Use floating point
  z = pixel:
  z = flip(z);
  z = (z*z-1)/(z*z+2)*fn1(z)*fn2(z) + p1, 
  |z| <= 100
  ;SOURCE: reb002.frm
}


RecipIke {; Ron Barnett, 1993
  z = pixel:
  z = 1/(z*z*z + (p1-1)*z - p1), 
  |z| <= 4
  ;SOURCE: reb001.frm
}


ReEntry (XAXIS) {; Try params=2/1000/0/0
  c=z=pixel: 
  z=z^Real(p1)+c, 
  1/Imag(p1)<=|z^c|
                 ; "Shields up!  Hull temperature approaching critical!"
  ;SOURCE: fractfun.frm
}


Richard1 (XYAXIS) {; Jm Collard-Richard
  z = pixel:
  sq=z*z, z=(sq*sin(sq)+sq)+pixel
  |z|<=50
  ;SOURCE: fractint.frm
}


Richard10 (XYAXIS) {; Jm Collard-Richard
  z=pixel:
  z=1/sin(1/(z*z))
  |z|<=50
  ;SOURCE: fractint.frm
}


Richard11 (XYAXIS) {; Jm Collard-Richard
  z=pixel:
  z=1/sinh(1/(z*z))
  |z|<=50
  ;SOURCE: fractint.frm
}


Richard2 (XYAXIS) {; Jm Collard-Richard
  z = pixel:
  z=1/(sin(z*z+pixel*pixel))
  |z|<=50
  ;SOURCE: fractint.frm
}


Richard3 (XAXIS) {; Jm Collard-Richard
  z = pixel:
  sh=sinh(z), z=(1/(sh*sh))+pixel
  |z|<=50
  ;SOURCE: fractint.frm
}


Richard4 (XAXIS) {; Jm Collard-Richard
  z = pixel:
  z2=z*z, z=(1/(z2*cos(z2)+z2))+pixel
  |z|<=50
  ;SOURCE: fractint.frm
}


Richard5 (XAXIS) {; Jm Collard-Richard
  z = pixel:
  z=sin(z*sinh(z))+pixel
  |z|<=50
  ;SOURCE: fractint.frm
}


Richard6 (XYAXIS) {; Jm Collard-Richard
  z = pixel:
  z=sin(sinh(z))+pixel
  |z|<=50
  ;SOURCE: fractint.frm
}


Richard7 (XAXIS) {; Jm Collard-Richard
  z=pixel:
  z=log(z)*pixel
  |z|<=50
  ;SOURCE: fractint.frm
}


Richard8 (XYAXIS) {; Jm Collard-Richard
                   ; This was used for the "Fractal Creations" cover
  z=pixel,sinp = sin(pixel):
  z=sin(z)+sinp
  |z|<=50
  ;SOURCE: fractint.frm
}


Richard9 (XAXIS) {; Jm Collard-Richard
  z=pixel:
  sqrz=z*z, z=sqrz + 1/sqrz + pixel
  |z|<=4
  ;SOURCE: fractint.frm
}


Robert1 (XAXIS) {  
  c = z = pixel:
  z = ((z+c)+(z*z+c*c)+(z*z*z+c*c*c)) + c; 
  |z| <= 4
  ;SOURCE: robert.frm
}


Rootura {
  z = pixel, pix = pixel + p1:
  z = (1/sqrt(z)) + pix
  z = fn1(z) * z - pixel 
  |z| < 4
  ;SOURCE: altura.frm
}


royal1 (XYAXIS) {
   ; Coupling conjugate functions with others produce some nice variants.
  z = pixel,  zp = (0,0):
  temp = z
  z = z*z  - cos(zp)
  zp = conj(temp), 
  |zp| <= 4 
  ;SOURCE: noel.frm
}


royal2 (XYAXIS) {
   ; Yet another Conjugate variation
  z = pixel, zp2 = zp1 = (0,0):
  temp = z
  z = z*z  - zp2
  zp2 = cos(zp1)
  zp1 = conj(temp), 
  |zp1| <= 4
  ;SOURCE: noel.frm
}


RSQ-TIT-MJ {; P1 is the Mandelbrot/Julia coordinates (real & imaginary)
     ; P2(real [decimal]) is the % remaining in Mandelbrot Space (0.13 = 13%)
  J=P1 ;
  M=P2 ; (Only the REAL NEED BE USED... quite different if IMAGINARY GIVEN
  K=1-M ; % Julia given from Mandelbrot
  z = Pixel:
  z = (M*(sqr(z)+pixel))+(K*(sqr(z)+J)), 
  |z| <= 4
    ;Equation entries of 1st image: p1 real=-0.05; p1 imaginary=0.65
    ;                               p2 real= 0.1 ; p2 imaginary=0 (always)
  ;SOURCE: rsqtitmj.frm
}

